indexing
    title       : "GTK ";
    cluster     : "Testgtk";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: create_pixmap.e,v 1.5 2000/03/13 18:20:00 eugenem Exp $";

class CREATE_PIXMAP
inherit
   SIMPLE_TEST
   GTK_CONSTANTS
   VEGTK_CALLBACK_HANDLER

creation
   make

feature -- Creation

   make is
      -- Creation and initialization
      local
         box1, box2 : GTK_VBOX
         box3 : GTK_HBOX
         button : GTK_BUTTON
         label : GTK_LABEL
         separator : GTK_HSEPARATOR
         pixmapwid : GTK_PIXMAP
      do
         !!window.make(Gtk_window_toplevel)
         signal_connect(window,"destroy",$destroy_window)
         window.set_title("pixmap")
         window.set_border_width(0)
         window.realize

         !!box1.make(False, 0)
         window.add(box1)
         box1.show

         !!box2.make(False, 10)
         box2.set_border_width(10)
         box1.pack_start(box2, True, True, 0)
         box2.show

         !!button.make
         box2.pack_start(button, False, False, 0)
         button.show

         style := button.get_style
         !!pixmapwid.make(gtk_mini_pixmap(window),gtk_mini_pixmap(window).mask)

         !!label.make("Pixmap%Ntest")
         !!box3.make(False, 0)
         box3.set_border_width(2)
         box3.add(pixmapwid)
         box3.add(label)
         button.add(box3)
         pixmapwid.show
         label.show
         box3.show

         !!separator.make
         box1.pack_start(separator, False, True, 0)
         separator.show

         !!box2.make(False, 10)
         box2.set_border_width(10)
         box1.pack_start(box2, False, True, 0)
         box2.show

         !!button.make_with_label("close")
         signal_connect(button,"clicked", $close_window)
         box2.pack_start(button, True, True, 0)
         button.set_flags(Gtk_can_default)
         button.grab_default
         button.show

         window.show
      end -- make

feature {NONE} -- Implementations

   style : GTK_STYLE

end -- class CREATE_PIXMAP

