/*---------------------------------------------------------------------------
*
*     BASIC_IO.H     Copyright (c) 1993, 1994, 1995 by SiG Computer
*
*     Version:       0.00
*
*     Eiffel/X library.
*     Feature prototypes for class BASIC_IO
*
*     Notes:
*/

#ifndef _EX_BASIC_IO_H
#define _EX_BASIC_IO_H

#include <cecil.h>

#if defined (IO_RTDLL32)
  #define IOEXPIMP      __declspec (dllexport)
#else
  #define IOEXPIMP
#endif

#ifdef __cplusplus
   extern "C" {
#endif // __cplusplus

void SetEIODll     (char *eioname, DWORD param);

IOEXPIMP EIF_BOOLEAN   IOAttach (HINSTANCE hInstance, HANDLE *hSupHeap, DWORD param);
IOEXPIMP void      IODetach (void);

IOEXPIMP EIF_BOOLEAN   _io_get_boolean (EIF_REFERENCE current, EIF_BOOLEAN *dest_bool);
IOEXPIMP EIF_BOOLEAN   _io_get_character (EIF_REFERENCE current, EIF_CHARACTER *dest_ch);
IOEXPIMP EIF_BOOLEAN   _io_get_double  (EIF_REFERENCE current, EIF_DOUBLE *dest_double);
IOEXPIMP EIF_BOOLEAN   _io_get_int     (EIF_REFERENCE current, EIF_INTEGER *dest_int);
IOEXPIMP EIF_BOOLEAN   _io_get_newline (EIF_REFERENCE current);
IOEXPIMP EIF_BOOLEAN   _io_get_real    (EIF_REFERENCE current, EIF_REAL *dest_real);
IOEXPIMP EIF_BOOLEAN   _io_get_line    (EIF_REFERENCE current, char **line, EIF_INTEGER *len);

IOEXPIMP EIF_BOOLEAN   _io_get_bool    (EIF_REFERENCE current);
IOEXPIMP char *        _io_get_string  (EIF_REFERENCE current);
IOEXPIMP EIF_CHARACTER _io_get_char    (EIF_REFERENCE current);

IOEXPIMP EIF_BOOLEAN _io_put_string  (EIF_REFERENCE current, char *string, EIF_INTEGER length);
IOEXPIMP EIF_BOOLEAN _io_put_int     (EIF_REFERENCE current, EIF_INTEGER integer);
IOEXPIMP EIF_BOOLEAN _io_put_real    (EIF_REFERENCE current, EIF_REAL real);
IOEXPIMP EIF_BOOLEAN _io_put_double  (EIF_REFERENCE current, EIF_DOUBLE dbl);
IOEXPIMP EIF_BOOLEAN _io_put_char    (EIF_REFERENCE current, EIF_INTEGER ch);
IOEXPIMP EIF_BOOLEAN _io_put_boolean (EIF_REFERENCE current, EIF_BOOLEAN b);
IOEXPIMP EIF_BOOLEAN _io_put_newline (EIF_REFERENCE current);

IOEXPIMP EIF_BOOLEAN  printError (char *msg);

#ifdef __cplusplus
   }
#endif // __cplusplus
#endif    // _EX_BASIC_IO_H
