indexing

   title:       "";
   project:     "Visual Eiffel";
   date:        "$Date: 2005/02/14 11:56:23 $";
   revision:    "$Revision: 1.1 $";
   copyright:   "Copyright (C) 1996-2005 Object Tools Group";
   license:     "http://visual-eiffel.com/license";
   disclaimer:  "[
      This program is free software; you can redistribute it and/or modify it 
      under the terms of the GNU General Public License as published by the 
      Free Software Foundation; either version 2 of the License, or (at your 
      option) any later version. This program is distributed in the hope that 
      it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
      See the GNU General Public License for more details. 
      You should have received a copy of the GNU General Public License along 
      with this program; if not, write to the Free Software Foundation, Inc., 
      59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
   ]";
   restrictions:"[
      if you want to use this program under a different license type, contact 
      Object Tools http://www.object-tools.com
   ]";

class CONTRACT

   creation
      make


   feature -- Operations

      make (no, name, date: STRING; quantity, release, value: INTEGER) is
            -- ...
         require
            no /= Void
         do
            customer_contract_number       := no;
            customer_name                   := name;
            earliest_possible_delivery_date  := date;

            sales_order_item_quantity    := quantity;
            sales_order_release_number    := release;
            shipping_order_value           := value
         end


   feature -- Queries

      customer_contract_number,
      customer_name,
      earliest_possible_delivery_date: STRING;

      sales_order_item_quantity,
      sales_order_release_number,
      shipping_order_value:            INTEGER


   invariant

      customer_contract_number /= Void

end -- class CONTRACT
