indexing

   title      : "SCIENTIFIC_FORMAT usage example";
   project:     "Visual Eiffel";
   date:        "$Date: 2005/02/18 15:34:30 $";
   revision:    "$Revision: 1.2 $";
   copyright:   "Copyright (C) 1996-2005 Object Tools Group";
   license:     "http://visual-eiffel.com/license";
   disclaimer:  "[
      This program is free software; you can redistribute it and/or modify it 
      under the terms of the GNU General Public License as published by the 
      Free Software Foundation; either version 2 of the License, or (at your 
      option) any later version. This program is distributed in the hope that 
      it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
      See the GNU General Public License for more details. 
      You should have received a copy of the GNU General Public License along 
      with this program; if not, write to the Free Software Foundation, Inc., 
      59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
   ]";
   restrictions:"[
      if you want to use this program under a different license type, contact 
      Object Tools http://www.object-tools.com
   ]";


class SF_EXAMPLE

creation

   make

feature

   make is
      local
         sf: G_SCIENTIFIC_FORMAT
         m_pi: REAL
         s, s1: STRING
      do
         !!sf.make
         m_pi := -3.14159265
         s  := "programmer"
         s1 := "programmers"

         sf.printf("!10d_!10d_!-10d_!10o_!010o_!-10x_!010x%N%N",
                  <<360,   -1, 360,  360, 360,  360,  360 >>);
         sf.printf("!10f_!10.3f_!-10.3f_!10.0f_!10g_!10e_!10.2e_%N%N",
                  <<m_pi,  m_pi,    m_pi,     m_pi,    m_pi,  m_pi,  m_pi >>);
         sf.printf("! 010f_! 010.3f_! 010.3f_! 010.0f_! 010g_! 010e_! 010.2e_%N%N",
                  <<m_pi,  m_pi,    m_pi,     m_pi,    m_pi,  m_pi,  m_pi >>);
         sf.printf("!10s_!10s_!10.7s_!-10.7s_!10.4s_!10.0s_!.3s%N%N",
                  <<s,   s1,  s,      s,      s,     s,     s>>);
         sf.printf("!f", <<1.0>>);

         io.put_string("%NPress any key ...")
         io.read_character
      end

end
