indexing

   title      : "Demo for Commercial formats. Show all formats";
   project:     "Visual Eiffel";
   date:        "$Date: 2005/02/18 15:34:31 $";
   revision:    "$Revision: 1.2 $";
   copyright:   "Copyright (C) 1996-2005 Object Tools Group";
   license:     "http://visual-eiffel.com/license";
   disclaimer:  "[
      This program is free software; you can redistribute it and/or modify it 
      under the terms of the GNU General Public License as published by the 
      Free Software Foundation; either version 2 of the License, or (at your 
      option) any later version. This program is distributed in the hope that 
      it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
      See the GNU General Public License for more details. 
      You should have received a copy of the GNU General Public License along 
      with this program; if not, write to the Free Software Foundation, Inc., 
      59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
   ]";
   restrictions:"[
      if you want to use this program under a different license type, contact 
      Object Tools http://www.object-tools.com
   ]";

class WIDTH

creation

   make

feature

   sf: G_COMMERCIAL_FORMAT is
      once
         !!Result.make
      end

   make is
      local
         s: STRING
         i: INTEGER
      do
         i := 360
         sf.printf("%N  Formatting of number !d%N",<<i>>)
         printf_int("!9999",i)
         printf_int("!ZZZZ",i)
         printf_int("!ZZZZ+",i)
         printf_int("!-ZZZZ",i)

         printf_int("!$++99",i)

         i := -360
         sf.printf("%N  Formatting of number !d%N",<<i>>)
         printf_int("!9999",i)
         printf_int("!ZZZZ",i)
         printf_int("!ZZZZ+",i)
         printf_int("!-ZZZZ",i)

         printf_int("!$++99",i)

         i :=0
         sf.printf("%N  Formatting of number !d%N",<<i>>)
         printf_int("!9999",i)
         printf_int("!ZZZZ",i)
         printf_int("!ZZZZ+",i)
         printf_int("!-ZZZZ",i)

         printf_int("!$++99",i)

         s := "Very lazy programmer"
         printf_str("!XXXX",s)
         printf_str("!X(5)",s)
         printf_str("!X(0)",s)
         printf_str("!I(30)",s)
         printf_str("!I(30)[UPPER CHARACTER]",s)
         printf_str("!I(30)[LOWER CHARACTER]",s)
         printf_str("!X(30)[JUSTIFIED LEFT]",s)
         printf_str("!X(30)[JUSTIFIED RIGHT]",s)

         printf_fix("!99999.9",23.12345)
         printf_fix("!ZZZZZ.9",23.12345)
         printf_fix("!ZZZ.999$",23.12345)
         printf_fix("!ZZZ.999+",23.12345)
         printf_fix("!ZZZ.999+",-23.12345)

         sf.printf("L=<!(L)/!(L)>%N",<<True, False >>)
         sf.printf("Y=<!(Y)/!(Y)>%N",<<True, False >>)

         sf.set_currency("#")
         sf.set_decimal(',')
         printf_fix("!99999.9",23.12345)
         printf_fix("!ZZZZZ.9",23.12345)
         printf_fix("!ZZZ.999$",23.12345)
         printf_fix("!ZZZ.999+",23.12345)
         printf_fix("!ZZZ.999+",-23.12345)

         io.put_string("Press any key ...")
         io.read_character
      end

   printf_int(f : STRING ; i : INTEGER) is
      do
         sf.printf("]!s[%T]",<<f>>)
         sf.printf(f,<<i>>)
         sf.printf("[%N",<<>>)
      end

   printf_str(f : STRING ; s : STRING) is
      do
         sf.printf("]!s[%T]",<<f>>)
         sf.printf(f,<<s>>)
         sf.printf("[%N",<<>>)
         sf.printf("]!s[%T]123456789012345678901234567890%N",<<f>>)
      end

   printf_fix(f : STRING ; r : REAL) is
      do
         sf.printf("]!s[%T]",<<f>>)
         sf.printf(f,<<r>>)
         sf.printf("[%N",<<>>)
      end

end -- class WIDTH
