indexing

   title      : "EXT_SCIENTIFIC_FORMAT usage example";
   description: "This example illustrates how to extend set of printf escape",
                "codes available in standard SCIENTIFIC_FORMAT.",
                "Here  we add  !v  typechar that print  a  vector of  reals.",
                "Format specificators  such as width, precision or alignment",
                "applied to every element of vector.",
                "1).  To  do this, you should create  class  inherited  from",
                "ABSTRACT_FORMATTER and redefine callback methods - that set",
                "width, precision, etc for you object (See vect_fmt.e)",
                "2) Next   you   should   create   class   inherited    from",
                "SCIENTIFIC_FORMAT   and   redefine   only  one  methods   -",
                "formatters, that  create  table  of  available  for  printf",
                "typechars. Add you  own typechar class to defaut table (See",
                "ext_form.e).";
   project:     "Visual Eiffel";
   date:        "$Date: 2005/02/18 15:34:31 $";
   revision:    "$Revision: 1.2 $";
   copyright:   "Copyright (C) 1996-2005 Object Tools Group";
   license:     "http://visual-eiffel.com/license";
   disclaimer:  "[
      This program is free software; you can redistribute it and/or modify it 
      under the terms of the GNU General Public License as published by the 
      Free Software Foundation; either version 2 of the License, or (at your 
      option) any later version. This program is distributed in the hope that 
      it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
      See the GNU General Public License for more details. 
      You should have received a copy of the GNU General Public License along 
      with this program; if not, write to the Free Software Foundation, Inc., 
      59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
   ]";
   restrictions:"[
      if you want to use this program under a different license type, contact 
      Object Tools http://www.object-tools.com
   ]";


class BINARY
   -- Class illustrate SCIENTIFIC_FORMAT usage.

inherit
   EXT_SCIENTIFIC_FORMAT
      rename make as sformat_make
      end

creation
   make

feature

   make is
   do
      sformat_make

      printf ( "Binary numbers !z !z !z !z !z !z%N", <<0,1,2,3,4,5>> );

   end

end -- class BINARY

