indexing

   title      : "SCIENTIFIC_FORMAT extension example";
   project:     "Visual Eiffel";
   date:        "$Date: 2005/02/18 15:34:31 $";
   revision:    "$Revision: 1.2 $";
   copyright:   "Copyright (C) 1996-2005 Object Tools Group";
   license:     "http://visual-eiffel.com/license";
   disclaimer:  "[
      This program is free software; you can redistribute it and/or modify it 
      under the terms of the GNU General Public License as published by the 
      Free Software Foundation; either version 2 of the License, or (at your 
      option) any later version. This program is distributed in the hope that 
      it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
      See the GNU General Public License for more details. 
      You should have received a copy of the GNU General Public License along 
      with this program; if not, write to the Free Software Foundation, Inc., 
      59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
   ]";
   restrictions:"[
      if you want to use this program under a different license type, contact 
      Object Tools http://www.object-tools.com
   ]";

class EXT_SCIENTIFIC_FORMAT
      -- Class illustrate SCIENTIFIC_FORMAT extension

inherit

   G_SCIENTIFIC_FORMAT
      redefine
         formatters
      end

creation

   make

feature

   formatters : G_TYPECHAR_FORMAT_TABLE [ G_TYPECHAR_FORMATTER ] is
      local
         fmt :  G_TYPECHAR_FORMATTER
         type : G_ABSTRACT_FORMATTER
         vect : ARRAY [ REAL ]
      once
         Result := Precursor
         !!vect.make (1, 0)

         !VECTOR_FORMATTER!type.make (vect)
         !!fmt.make ('v', vect, type, "")
         Result.put_at_end (fmt)
      end

end -- class EXT_SCIENTIFIC_FORMAT

