indexing
    title       : "GTK ";
    cluster     : "Testgtk";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: create_dialog.e,v 1.4 2000/03/13 18:20:00 eugenem Exp $";

class CREATE_DIALOG
inherit
   SIMPLE_TEST
   VEGTK_CALLBACK_HANDLER

creation
   make

feature -- Creation

   make is
      local
         button : GTK_BUTTON
      do
         !!dialog.make

         window := dialog

         signal_connect(dialog,"destroy",$destroy_window)
         !!button.make_with_label("OK")
         signal_connect(button,"clicked", $close_window)
         dialog.action_area.pack_start(button, True, True, 0)
         button.show

         !!button.make_with_label("Toggle")
         signal_connect(button,"clicked",$toggle_clicked)
         dialog.action_area.pack_start(button, True, True, 0)
         button.show

         dialog.show
      end -- make

feature {NONE} -- Implementations

   dialog : GTK_DIALOG
   label : GTK_LABEL

   toggle_clicked is
      do
         if label = Void then
            !!label.make("Dialog Test")
            dialog.vbox.pack_start(label, True, True, 0)
            label.set_padding(10,10)
            label.show
         else
            label.destroy
            label := Void
         end -- if
      end -- toggle_clicked

end -- class CREATE_DIALOG
