indexing
    title       : "GTK ";
    cluster     : "Testgtk";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: create_fileselection.e,v 1.4 2000/03/13 18:20:00 eugenem Exp $";

class CREATE_FILESELECTION
inherit
   SIMPLE_TEST
   VEGTK_CALLBACK_HANDLER

creation
   make

feature -- Creation

   make is
      local
         button : GTK_BUTTON
      do
         !!filesel.make("File selection dialog")

         window := filesel

         signal_connect(filesel,"destroy",$destroy_window)
         signal_connect(filesel.ok_button,"clicked",$file_selection_ok)
         signal_connect(filesel.cancel_button,"clicked", $close_window)

         !!button.make_with_label("Hide Fileops")
         signal_connect(button,"clicked",$hide_fileops)
         filesel.action_area.pack_start(button, False, False, 0)
         button.show

         !!button.make_with_label("Show fileops")
         signal_connect(button,"clicked",$show_fileops)
         filesel.action_area.pack_start(button, False, False, 0)
         button.show

         filesel.show
      end -- make

feature {NONE} -- Implementations

   filesel : GTK_FILE_SELECTION

   show_fileops is
      do
         filesel.show_fileop_buttons
      end -- show_fileops

   hide_fileops is
      do
         filesel.hide_fileop_buttons
      end -- hide_fileops

   file_selection_ok is
      do
         print(filesel.get_filename)
         print("%N")
         destroy_window
      end -- file_selection_ok

end -- class CREATE_FILESELECTION
