indexing
    title       : "GTK ";
    cluster     : "Testgtk";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: create_radio_buttons.e,v 1.5 2000/03/13 18:20:00 eugenem Exp $";

class CREATE_RADIO_BUTTONS
inherit
   SIMPLE_TEST
   GTK_CONSTANTS
   VEGTK_CALLBACK_HANDLER

creation
   make

feature -- Creation

   make is
      -- Creation and initialization
      local
         box1, box2 : GTK_VBOX
         button : GTK_RADIO_BUTTON
         close_button : GTK_BUTTON
         separator : GTK_HSEPARATOR
      do
         !!window.make(Gtk_window_toplevel)
         signal_connect(window,"destroy",$destroy_window)
         window.set_title("radio buttons")
         window.set_border_width(0)

         !!box1.make(False, 0)
         window.add(box1)
         box1.show

         !!box2.make(False, 10)
         box2.set_border_width(10)
         box1.pack_start(box2, True, True, 0)
         box2.show

         !!button.make_alone_with_label("button1")
         box2.pack_start(button, True, True, 0)
         button.show

         !!button.make_with_label_from_widget(button, "button2")
         box2.pack_start(button, True, True, 0)
         button.show

         !!button.make_with_label_from_widget(button, "button3")
         box2.pack_start(button, True, True, 0)
         button.show

         !!separator.make
         box1.pack_start(separator, False, True, 0)
         separator.show

         !!box2.make(False, 10)
         box2.set_border_width(10)
         box1.pack_start(box2, False, True, 0)
         box2.show

         !!close_button.make_with_label("close")
         signal_connect(close_button,"clicked", $close_window)
         box2.pack_start(close_button, True, True, 0)
         close_button.set_flags(Gtk_can_default)
         close_button.grab_default
         close_button.show

         if not window.visible then
            window.show
         else
            window.destroy
         end -- if
      end -- make

end -- class CREATE_RADIO_BUTTONS
