indexing
    title       : "GTK ";
    cluster     : "Testgtk";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: create_range_controls.e,v 1.5 2000/03/13 18:20:00 eugenem Exp $";

class CREATE_RANGE_CONTROLS
inherit
   SIMPLE_TEST
   GTK_CONSTANTS
   VEGTK_CALLBACK_HANDLER

creation
   make

feature -- Creation

   make is
      local
         box1, box2: GTK_VBOX
         button : GTK_BUTTON
         scrollbar : GTK_HSCROLLBAR
         scale : GTK_HSCALE
         separator : GTK_HSEPARATOR
         adjustment : GTK_ADJUSTMENT
      do
         !!window.make(Gtk_window_toplevel)
         signal_connect(window,"destroy",$destroy_window)
         window.set_title("range controls")
         window.set_border_width(0)

         !!box1.make(False, 0)
         window.add(box1)
         box1.show

         !!box2.make(False, 10)
         box2.set_border_width(10)
         box1.pack_start(box2, True, True, 0)
         box2.show

         !!adjustment.make(0.0, 0.0, 101.0, 0.1, 1.0, 1.0)
         !!scale.make(adjustment)
         scale.set_usize(150,30)
         scale.set_update_policy(Gtk_update_delayed)
         scale.set_digits(1)
         scale.set_draw_value(True)
         box2.pack_start(scale, True, True, 0)
         scale.show

         !!scrollbar.make(adjustment)
         scrollbar.set_update_policy(Gtk_update_continuous)
         box2.pack_start(scrollbar, True, True, 0)
         scrollbar.show

         !!separator.make
         box1.pack_start(separator, False, True, 0)
         separator.show

         !!box2.make(False, 10)
         box2.set_border_width(10)
         box1.pack_start(box2, False, True, 0)
         box2.show

         !!button.make_with_label("close")
         signal_connect(button,"clicked", $close_window)
         box2.pack_start(button, True, True, 0)
         button.set_flags(Gtk_can_default)
         button.grab_default
         button.show

         window.show
      end -- make

end -- class CREATE_RANGE_CONTROLS
