indexing
    title       : "GTK ";
    cluster     : "Testgtk";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: create_reparent.e,v 1.5 2000/03/13 18:20:00 eugenem Exp $";

class CREATE_REPARENT
inherit
   SIMPLE_TEST
   GTK_CONSTANTS
   VEGTK_CALLBACK_HANDLER

creation
   make

feature -- Creation

   make is
      -- Creation and initialization
      local
         box1, box2, box3 : GTK_BOX
         frame : GTK_FRAME
         button : GTK_BUTTON
         separator : GTK_HSEPARATOR
      do
         !!window.make(Gtk_window_toplevel)
         signal_connect(window,"destroy",$destroy_window)
         window.set_title("buttons")
         window.set_border_width(0)
         !GTK_VBOX!box1.make(False, 0)
         window.add(box1)
         box1.show

         !GTK_HBOX!box2.make(False, 5)
         box2.set_border_width(10)
         box1.pack_start(box2, True, True, 0)
         box2.show

         !!label.make("Hello World")

         !!frame.make("Frame 1")
         box2.pack_start(frame, True, True, 0)
         frame.show

         !GTK_VBOX!box3.make(False, 5)
         box3.set_border_width(5)
         frame.add(box3)
         box3.show

         !!button.make_with_label("switch")
         signal_connect_with_data(button,"clicked",$button_clicked,box3)
         button.set_user_data(label)
         box3.pack_start(button, False, True, 0)
         button.show

         box3.pack_start(label, False, True, 0)
         label.show

         !!frame.make("Frame 2")
         box2.pack_start(frame, True, True, 0)
         frame.show

         !GTK_VBOX!box3.make(False, 5)
         box3.set_border_width(5)
         frame.add(box3)
         box3.show

         !!button.make_with_label("switch")
         signal_connect_with_data(button,"clicked",$button_clicked,box3)
         button.set_user_data(label)
         box3.pack_start(button, False, True, 0)
         button.show

         !!separator.make
         box1.pack_start(separator, False, True, 0)
         separator.show

         !GTK_VBOX!box2.make(False, 10)
         box2.set_border_width(10)
         box1.pack_start(box2, False, True, 0)
         box2.show

         !!button.make_with_label("close")
         signal_connect(button,"clicked", $close_window)
         box2.pack_start(button, True, True, 0)
         button.set_flags(Gtk_can_default)
         button.grab_default
         button.show

         window.show
      end -- make

feature -- callbacks

   label : GTK_LABEL

   button_clicked(data : ANY) is
      local
         widget : GTK_WIDGET
      do
         widget ?= data
         label.reparent(widget)
      end -- button_clicked

end -- class CREATE_REPARENT
