indexing
    title       : "GTK ";
    cluster     : "Testgtk";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: export_struct.e,v 1.4 2000/03/13 18:20:00 eugenem Exp $";

class EXPORT_STRUCT

creation
   make

feature {ANY} -- Creation

   make(arg_tree : STRING; arg_info : STRING; arg_is_leaf : BOOLEAN) is
      do
         tree := arg_tree
         info := arg_info
         is_leaf := arg_is_leaf
      end -- make

feature {ANY} -- compare

   copmpare(other : like current) : BOOLEAN is
      do
         if tree.is_equal(other.tree) and info.is_equal(other.info) and
            is_leaf=other.is_leaf then
            Result := true
         else
            Result := false
         end -- if
      end -- compare

feature {ANY} -- data

  tree : STRING
  info : STRING
  is_leaf : BOOLEAN

end -- class EXPORT_STRUCT

