indexing
    title       : "GTK ";
    cluster     : "Testgtk";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: tree_buttons.e,v 1.4 2000/03/13 18:20:00 eugenem Exp $";

class TREE_BUTTONS
--inherit
--   MEMORY
--      redefine
--         dispose
--      end

creation
   make

feature -- Creation

   make(arg_window : GTK_WINDOW) is
      do
         window := arg_window
      end -- make

feature {ANY} -- Operations

--   dispose is
--      do
--         if window /= Void then
--            window.destroy
--            window := Void
--         end
--      end -- dispose

   set_window (wnd : GTK_WINDOW) is
      do
         window := wnd
      end -- set_window
   set_nb_item_add( value : INTEGER ) is
      do
         nb_item_add := value
      end -- set_nb_item_add
   set_add_button( button : GTK_BUTTON ) is
      do
         add_button := button
      end -- set_add_button
   set_remove_button( button : GTK_BUTTON ) is
      do
         remove_button := button
      end -- set_remove_button
   set_subtree_button( button : GTK_BUTTON ) is
      do
         subtree_button := button
      end -- set_subtree_button

feature {ANY} -- Data

   window : GTK_WINDOW
   nb_item_add : INTEGER
   add_button : GTK_BUTTON
   remove_button : GTK_BUTTON
   subtree_button : GTK_BUTTON

end -- class TREE_BUTTONS
