indexing
   title      : "Calculator in reverse polish form                           ";
   cluster    : ISE_Eiffel_Base_Calculator;
   project    : "EiffelBase Examples",
                "Based on EiffelBase examples for ISE Eiffel,                ",
                "used with permission.                                       ";
   copyright  : "(c) 1986-1997 Interactive Software Engineering Inc.         ",
                "Modifications and extensions:                               ",
                "(c) 1997 Object Tools                                       ",
                "All rights reserved. Duplication and distribution prohibited",
                "May be used only with Visual Eiffel under terms of user     ",
                "license                                                     ";
   address    : "mail_to:support@object-tools.com                            ",
                "http://www.object-tools.com                                 ";

class EMPTY

inherit 
	CALC_STATE 

feature 

	operation is 
			-- Empty the stack and set accumulator and register to 0.
		do 
			from
				register := 0.0
			until
				operand_stack.count = 1
			loop
				operand_stack.remove
			end
			operand_stack.replace (0.0)
		ensure then
			register = 0.0;
			operand_stack.count = 1
			operand_stack.item = 0.0
		end; 
	
end -- class EMPTY 
