indexing
   title      : "Interactive data structures builder                         ",
                "Demo class for trees implemented as binary search trees     ";
   cluster    : ISE_Eiffel_Base_Structures_Builder;
   project    : "EiffelBase Examples",
                "Based on EiffelBase examples for ISE Eiffel,                ",
                "used with permission.                                       ";
   copyright  : "(c) 1986-1997 Interactive Software Engineering Inc.         ",
                "Modifications and extensions:                               ",
                "(c) 1997 Object Tools                                       ",
                "All rights reserved. Duplication and distribution prohibited",
                "May be used only with Visual Eiffel under terms of user     ",
                "license                                                     ";
   address    : "mail_to:support@object-tools.com                            ",
                "http://www.object-tools.com                                 ";

class MBSTS

inherit
   BINARY_SEARCH_TREE_SET [INTEGER]

creation
   make

feature

   display is
      do
         -- io.set_error_default;
         if not left_child.Void then
            left_child.display
         end;
         if not tree_item.Void then
            io.putchar (' ');
            io.putint (tree_item.item);
         end;
         if not right_child.Void then
            right_child.display
         end;
      end

end -- class MBSTS
