indexing
   title      : "Abstract formatter, raises exceptions %
   % calls from parser for any recognized type";
   copyright  : "Object Tools, 1996-1998";
   original   : "8,Sep,1996";
   version    : "1.1";
   last_change: "1999-08-09"
   licencse   : "Eiffel-forum freeware licence"
   
-----------------------------------------------------------------------------
deferred class G_ABSTRACT_FORMATTER
-----------------------------------------------------------------------------
inherit
   G_STRING_TOOLS
-----------------------------------------------------------------------------
feature {G_ABSTRACT_FORMATTER}
------------------------------------------------------------------------- exc
   exc : G_FORMAT_ERROR_HANDLER is
   once
      !!Result
   end -- exc
------------------------------------------------------------- raise_exception
   raise_exception (msg: STRING) is
   local
      s: STRING
   do
      s := "Bad Picture(";
      x_append (s, msg);
      x_extend (s, ')');
      exc.report ("G_SCIENTIFIC_FORMATTER", s, 0, Current);
   end -- raise_exception


feature {ANY}
------------------------------------------------------------------------ make
   make (a: ANY) is
   -- create formatter from object, need to format
   -- effected with parameter type redefinition
   do
   end -- make
------------------------------------------------------------------- set_width
   set_width (w:INTEGER) is
   do
      raise_exception ("Illegal width");
   end -- set_width
--------------------------------------------------------------- set_precision
   set_precision (p:INTEGER) is
   do
      raise_exception ("Illegal precision");
   end -- set_precision
-------------------------------------------------------------------- set_sign
   set_sign (s:CHARACTER) is
   do
      raise_exception ("Illegal sign");
   end -- set_sign
-------------------------------------------------------------- set_align_left
   set_align_left is
   do
      raise_exception ("Illegal left align");
   end -- set_align_left
------------------------------------------------------------- set_align_right
   set_align_right is
   do
      raise_exception ("Illegal right align");
   end -- set_align_right
------------------------------------------------------------ set_align_center
   set_align_center is
   do
      raise_exception ("Illegal right align");
   end -- set_align_center
-------------------------------------------------------------- set_align_char
   set_align_char (c: CHARACTER) is
   do
      raise_exception ("Illegal align char");
   end -- set_align_char
---------------------------------------------------------------------- output
   output : STRING is
   deferred
   end -- output
-----------------------------------------------------------------------------
end -- class G_ABSTRACT_FORMATTER
