indexing
   copyright  : "Object Tools, 1996-1997";
   original   : "8,Sep,1996";
   version    : "1.1";
   last_change: "1999,Aug"
   licencse   : "Eiffel-forum freeware licence"

class G_DYNATYPE_TABLE [ G -> G_FORMAT_TABLE_ELEMENT ]

inherit
   G_FORMAT_TABLE [ G ]
      redefine
         put_at_end
   end

creation
   make

feature  -- add/modify

   put_at_end (new_g: G) is
   -- if not exist element T : new_g.sample.conform_to(T.sample)
   -- insert it. Insertion order determine formatters priority.
   do
      search_by_example (new_g.sample);
      if not found then -- add new_g to dyna_types
         Precursor (new_g);
      end
   end -- put_at_end

   make_default (g: G) is
   -- put on proper position
   do
      search_by_example (g.sample);
      check found end
      put (g, found_index);
   end -- make_default

end -- class G_DYNATYPE_TABLE
