indexing

   copyright:   "Object Tools, 1996-2002";
   original:    "08 Sep 1996";
   version:     "1.3";
   last_change: "02 Sep 2002";
   licence:     "Eiffel-forum freeware licence";

class G_OCTAL_FORMATTER

inherit

   G_UNSIGNED_INTEGER_FORMATTER
      redefine
         make,
         is_valid_base
      end

creation

   make

feature

   make (i: INTEGER_REF) is
      do
         Precursor (i)
         set_base (8)
      end

   is_valid_base (b: INTEGER): BOOLEAN is
      do
         Result := b = 8
      ensure then
         Result implies b = 8
      end

end -- class G_OCTAL_FORMATTER
