/*
You may be able to redistribute and/or modify this program.
See the README for details.
Copyright (C) 1999 Andrew Klochkov, Eugene Melekhov
*/


#include <gtk/gtk.h>
#include <vegtk.h>

GList* c_g_list_from_array(gpointer* array, int count)
{
 int i;
 GList* list;

 list = NULL;

 for (i=0; i<count; i++)
  list = g_list_append(list, array[i]);

 return list;
}

void c_g_list_to_pointer_array(GList *list, gpointer* array)
{
 int i;

 i = 0;
 while (list)
 {
  array[i] = list->data;
  list = list->next;
  i++;
 }
}

gpointer g_list_data_acr(GList *list)
{
 return list->data;
}

gpointer g_list_next_acr(GList *list)
{
 return list->next;
}

gpointer g_list_prev_acr(GList *list)
{
 return list->prev;
}

EIF_INTEGER pointer_to_int(gpointer data)
{
 return GPOINTER_TO_INT(data);
}
EIF_POINTER int_to_pointer (EIF_INTEGER data)
{
 return GINT_TO_POINTER(data);
}
