/*
You may be able to redistribute and/or modify this program.
See the README for details.
Copyright (C) 1999 Andrew Klochkov, Eugene Melekhov
*/


#include <gtk/gtk.h>
#include <eif_callback.h>

static void gdk_input_function (gpointer	    data,
				gint		    source,
				GdkInputCondition condition)
{
  eif_call_data *e_data = data;
  if (e_data && e_data->eiffel_func && e_data->eiffel_object)
    ((VEGTK_EIF_PROC)e_data->eiffel_func)((EIF_REFERENCE)eif_access(e_data->eiffel_object),
                                    (EIF_REFERENCE)(e_data->data?eif_access(e_data->data):0),
                                     source,condition);

}

EIF_INTEGER c_gdk_input_add(EIF_REFERENCE object, EIF_INTEGER source_fd,
                            EIF_INTEGER condition, VEGTK_EIF_FN_BOOL func,
                            EIF_REFERENCE data)
{
  eif_call_data *e_data = eif_call_data_new(object,func,data);
  if (e_data)
    return gdk_input_add_full(source_fd,condition,gdk_input_function,e_data,free_cb_data);
  else
    return 0;
}

