/*
You may be able to redistribute and/or modify this program.
See the README for details.
Copyright (C) 1999 Andrew Klochkov, Eugene Melekhov
*/


#include <gdk/gdk.h>
#include <vegtk.h>

GdkRectangle *gdk_rectangle_new(int x, int y, int width, int height)
{
 GdkRectangle* res = (GdkRectangle*) g_malloc (sizeof(GdkRectangle));
 res->x = x;
 res->y = y;
 res->width = width;
 res->height = height;
 return res;
}
void gdk_rectangle_free(GdkRectangle *rectangle)
{
 g_free(rectangle);
}

EIF_INTEGER  gdk_rectangle_x_acr (GdkRectangle * obj)
{
  return obj->x;
}
EIF_INTEGER  gdk_rectangle_y_acr (GdkRectangle * obj)
{
  return obj->y;
}
EIF_INTEGER  gdk_rectangle_width_acr (GdkRectangle * obj)
{
  return obj->width;
}
EIF_INTEGER  gdk_rectangle_height_acr (GdkRectangle * obj)
{
  return obj->height;
}
void  gdk_rectangle_x_acw (GdkRectangle * obj,EIF_INTEGER arg_x)
{
  obj->x=arg_x;
}
void  gdk_rectangle_y_acw (GdkRectangle * obj,EIF_INTEGER arg_y)
{
  obj->y=arg_y;
}
void  gdk_rectangle_width_acw (GdkRectangle * obj,EIF_INTEGER arg_width)
{
  obj->width=arg_width;
}
void  gdk_rectangle_height_acw (GdkRectangle * obj,EIF_INTEGER arg_height)
{
  obj->height=arg_height;
}
