/*
You may be able to redistribute and/or modify this program.
See the README for details.
Copyright (C) 1999 Andrew Klochkov, Eugene Melekhov
*/


#include <gtk/gtk.h>
#include <eif_callback.h>

EIF_INTEGER c_gtk_idle_add(EIF_REFERENCE object, VEGTK_EIF_FN_BOOL func, EIF_REFERENCE data)
{
  eif_call_data *e_data = eif_call_data_new(object,func,data);
  if (e_data)
    return gtk_idle_add_full(GTK_PRIORITY_DEFAULT,eif_callback_int,NULL,e_data,
                             free_cb_data);
  else
    return 0;
}

EIF_INTEGER c_gtk_idle_add_priority(EIF_INTEGER priority, EIF_REFERENCE object, VEGTK_EIF_FN_BOOL func, EIF_REFERENCE data)
{
  eif_call_data *e_data = eif_call_data_new(object,func,data);
  if (e_data)
    return gtk_idle_add_full(priority,eif_callback_int,NULL,e_data,
                             free_cb_data);
  else
    return 0;
}

EIF_INTEGER c_gtk_idle_add_full(EIF_INTEGER priority, EIF_REFERENCE object, VEGTK_EIF_FN_BOOL function,
        GtkCallbackMarshal marshal, EIF_REFERENCE data, GtkDestroyNotify destroy)
{
 g_print("VEGTK Warning : gtk_idle_add_full is not yet implemented\n");
 return 0;
}
