/*
You may be able to redistribute and/or modify this program.
See the README for details.
Copyright (C) 1999 Andrew Klochkov, Eugene Melekhov
*/


#include <gtk/gtk.h>
#include <vegtk.h>

void c_gtk_list_extend_selection(GtkList *list,EIF_INTEGER scroll_type, EIF_REAL position, EIF_INTEGER auto_start_selection)
{
 gtk_list_extend_selection(list,scroll_type,position,auto_start_selection);
}
void c_gtk_list_scroll_horizontal(GtkList *list,EIF_INTEGER scroll_type,EIF_REAL position)
{
 gtk_list_scroll_horizontal(list,scroll_type,position);
}
void c_gtk_list_scroll_vertical(GtkList *list,EIF_INTEGER scroll_type,EIF_REAL position)
{
 gtk_list_scroll_vertical(list,scroll_type,position);
}

GList *gtk_list_selection_acr (GtkList * obj)
{
  return obj->selection;
}

GList *gtk_list_children_acr (GtkList * obj)
{
  return obj->children;
}

GList *gtk_list_undo_selection_acr (GtkList * obj)
{
  return obj->undo_selection;
}

GList *gtk_list_undo_unselection_acr (GtkList * obj)
{
  return obj->undo_unselection;
}

GtkWidget *gtk_list_last_focus_child_acr(GtkList *obj)
{
 return obj->last_focus_child;
}

GtkWidget *gtk_list_undo_focus_child_acr(GtkList *obj)
{
 return obj->undo_focus_child;
}

EIF_INTEGER gtk_list_htimer_acr(GtkList *obj)
{
 return obj->htimer;
}

EIF_INTEGER gtk_list_vtimer_acr(GtkList *obj)
{
 return obj->vtimer;
}

EIF_INTEGER gtk_list_anchor_acr(GtkList *obj)
{
 return obj->anchor;
}

EIF_INTEGER gtk_list_drag_pos_acr(GtkList *obj)
{
 return obj->drag_pos;
}

GtkStateType gtk_list_anchor_state_acr(GtkList *obj)
{
 return obj->anchor_state;
}

EIF_INTEGER gtk_list_selection_mode_acr(GtkList *obj)
{
 return obj->selection_mode;
}

EIF_INTEGER gtk_list_drag_selection_acr(GtkList *obj)
{
 return obj->drag_selection;
}

EIF_INTEGER gtk_list_add_mode_acr(GtkList *obj)
{
 return obj->add_mode;
}
