/*
You may be able to redistribute and/or modify this program.
See the README for details.
Copyright (C) 1999 Andrew Klochkov, Eugene Melekhov
*/


#include <gtk/gtk.h>
#include <vegtk.h>

GtkTargetEntry* gtk_target_entry_new(char *target, int flags, int info)
{
	GtkTargetEntry *entry = (GtkTargetEntry*) g_malloc(sizeof(GtkTargetEntry));
	entry->target = target;
	entry->flags = flags;
	entry->info = info;
	return entry;
}

char* gtk_target_entry_target_acr(GtkTargetEntry* entry)
{
	return entry->target;
}

guint gtk_target_entry_flags_acr(GtkTargetEntry* entry)
{
	return entry->flags;
}

guint gtk_target_entry_info_acr(GtkTargetEntry* entry)
{
	return entry->info;
}

void gtk_target_entry_target_acw(GtkTargetEntry* entry, char* target)
{
	entry->target = target;
}

void gtk_target_entry_flags_acw(GtkTargetEntry* entry, guint flags)
{
	entry->flags = flags;
}

void gtk_target_entry_info_acw(GtkTargetEntry* entry, int info)
{
	entry->info = info;
}
