rem This is the simple example of the batch file for making low-level
rem VEGTK libraries. This file assumes that there is envirionment variable
rem called 'VEGTK' which points to the top of VEGTK distribution. 
rem It also assumes that GTK include files are in %VEGTK%/Win32-GTK/include.
rem If you want to use Win32 GTK distribution other then provided with
rem VEGTK then you have to set INCLUDE variable according your own 
rem configuration

rem set VEGTK=C:\src\vegtk

rem 'INCLUDE' variable required for Microsoft C compiler to set path for
rem looking for necessary GTK include files.

set Win32-GTK=%VEGTK%/Win32-GTK
set INCLUDE=%Win32-GTK%/include/;%Win32-GTK%/include/glib/;%Win32-GTK%/include/gdk;%INCLUDE%

rem Change the name of the Makefile according your own needs.
nmake -f Makefile.Win32.VE

