indexing
    title       : "GTK ";
    cluster     : "VEGDK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gdk_bitmap.e,v 1.5 2000/03/16 14:03:50 eugenem Exp $";

class GDK_BITMAP
inherit
   GDK_BITMAP_EXTERNALS
   GDK_DRAWABLE
creation
   from_external

feature -- operations

   create_from_data (window : GDK_WINDOW; data : POINTER; width : INTEGER; height : INTEGER) : GDK_BITMAP is
      do
         !!Result.from_external(gdk_bitmap_create_from_data  (window.to_external, data, width, height));
      end
   ref : GDK_BITMAP is
      do
         !!Result.from_external(gdk_bitmap_ref  (to_external));
      end
   unref is
      do
         gdk_bitmap_unref  (to_external);
      end

end -- class GDK_BITMAP
