indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gdk_constants.e,v 1.4 2000/03/13 18:19:49 eugenem Exp $";

class GDK_CONSTANTS

feature

   Gdk_window_root : GDK_WINDOW_TYPE is
      once
         !!Result.make(0)
      end

   Gdk_window_toplevel : GDK_WINDOW_TYPE is
      once
         !!Result.make(1)
      end

   Gdk_window_child : GDK_WINDOW_TYPE is
      once
         !!Result.make(2)
      end

   Gdk_window_dialog : GDK_WINDOW_TYPE is
      once
         !!Result.make(3)
      end

   Gdk_window_temp : GDK_WINDOW_TYPE is
      once
         !!Result.make(4)
      end

   Gdk_window_pixmap : GDK_WINDOW_TYPE is
      once
         !!Result.make(5)
      end

   Gdk_window_foreign : GDK_WINDOW_TYPE is
      once
         !!Result.make(6)
      end

   Gdk_input_output : GDK_WINDOW_CLASS is
      once
         !!Result.make(0)
      end

   Gdk_input_only : GDK_WINDOW_CLASS is
      once
         !!Result.make(1)
      end

   Gdk_image_normal : GDK_IMAGE_TYPE is
      once
         !!Result.make(0)
      end

   Gdk_image_shared : GDK_IMAGE_TYPE is
      once
         !!Result.make(1)
      end

   Gdk_image_fastest : GDK_IMAGE_TYPE is
      once
         !!Result.make(2)
      end

   Gdk_visual_static_gray : GDK_VISUAL_TYPE is
      once
         !!Result.make(0)
      end

   Gdk_visual_grayscale : GDK_VISUAL_TYPE is
      once
         !!Result.make(1)
      end

   Gdk_visual_static_color : GDK_VISUAL_TYPE is
      once
         !!Result.make(2)
      end

   Gdk_visual_pseudo_color : GDK_VISUAL_TYPE is
      once
         !!Result.make(3)
      end

   Gdk_visual_true_color : GDK_VISUAL_TYPE is
      once
         !!Result.make(4)
      end

   Gdk_visual_direct_color : GDK_VISUAL_TYPE is
      once
         !!Result.make(5)
      end

   Gdk_font_font : GDK_FONT_TYPE is
      once
         !!Result.make(0)
      end

   Gdk_font_fontset : GDK_FONT_TYPE is
      once
         !!Result.make(1)
      end

   Gdk_wa_title : GDK_WINDOW_ATTRIBUTES_TYPE is
      once
         !!Result.make(2)
      end

   Gdk_wa_x : GDK_WINDOW_ATTRIBUTES_TYPE is
      once
         !!Result.make(4)
      end

   Gdk_wa_y : GDK_WINDOW_ATTRIBUTES_TYPE is
      once
         !!Result.make(8)
      end

   Gdk_wa_cursor : GDK_WINDOW_ATTRIBUTES_TYPE is
      once
         !!Result.make(16)
      end

   Gdk_wa_colormap : GDK_WINDOW_ATTRIBUTES_TYPE is
      once
         !!Result.make(32)
      end

   Gdk_wa_visual : GDK_WINDOW_ATTRIBUTES_TYPE is
      once
         !!Result.make(64)
      end

   Gdk_wa_wmclass : GDK_WINDOW_ATTRIBUTES_TYPE is
      once
         !!Result.make(128)
      end

   Gdk_wa_noredir : GDK_WINDOW_ATTRIBUTES_TYPE is
      once
         !!Result.make(256)
      end

   Gdk_hint_pos : GDK_WINDOW_HINTS is
      once
         !!Result.make(1)
      end

   Gdk_hint_min_size : GDK_WINDOW_HINTS is
      once
         !!Result.make(2)
      end

   Gdk_hint_max_size : GDK_WINDOW_HINTS is
      once
         !!Result.make(4)
      end

   Gdk_hint_base_size : GDK_WINDOW_HINTS is
      once
         !!Result.make(8)
      end

   Gdk_hint_aspect : GDK_WINDOW_HINTS is
      once
         !!Result.make(16)
      end

   Gdk_hint_resize_inc : GDK_WINDOW_HINTS is
      once
         !!Result.make(32)
      end

   Gdk_copy : GDK_FUNCTION is
      once
         !!Result.make(0)
      end

   Gdk_invert : GDK_FUNCTION is
      once
         !!Result.make(1)
      end

   Gdk_xor : GDK_FUNCTION is
      once
         !!Result.make(2)
      end

   Gdk_clear : GDK_FUNCTION is
      once
         !!Result.make(3)
      end

   Gdk_and : GDK_FUNCTION is
      once
         !!Result.make(4)
      end

   Gdk_and_reverse : GDK_FUNCTION is
      once
         !!Result.make(5)
      end

   Gdk_and_invert : GDK_FUNCTION is
      once
         !!Result.make(6)
      end

   Gdk_noop : GDK_FUNCTION is
      once
         !!Result.make(7)
      end

   Gdk_or : GDK_FUNCTION is
      once
         !!Result.make(8)
      end

   Gdk_equiv : GDK_FUNCTION is
      once
         !!Result.make(9)
      end

   Gdk_or_reverse : GDK_FUNCTION is
      once
         !!Result.make(10)
      end

   Gdk_copy_invert : GDK_FUNCTION is
      once
         !!Result.make(11)
      end

   Gdk_or_invert : GDK_FUNCTION is
      once
         !!Result.make(12)
      end

   Gdk_nand : GDK_FUNCTION is
      once
         !!Result.make(13)
      end

   Gdk_set : GDK_FUNCTION is
      once
         !!Result.make(14)
      end

   Gdk_solid : GDK_FILL is
      once
         !!Result.make(0)
      end

   Gdk_tiled : GDK_FILL is
      once
         !!Result.make(1)
      end

   Gdk_stippled : GDK_FILL is
      once
         !!Result.make(2)
      end

   Gdk_opaque_stippled : GDK_FILL is
      once
         !!Result.make(3)
      end

   Gdk_even_odd_rule : GDK_FILL_RULE is
      once
         !!Result.make(0)
      end

   Gdk_winding_rule : GDK_FILL_RULE is
      once
         !!Result.make(1)
      end

   Gdk_line_solid : GDK_LINE_STYLE is
      once
         !!Result.make(0)
      end

   Gdk_line_on_off_dash : GDK_LINE_STYLE is
      once
         !!Result.make(1)
      end

   Gdk_line_double_dash : GDK_LINE_STYLE is
      once
         !!Result.make(2)
      end

   Gdk_cap_not_last : GDK_CAP_STYLE is
      once
         !!Result.make(0)
      end

   Gdk_cap_butt : GDK_CAP_STYLE is
      once
         !!Result.make(1)
      end

   Gdk_cap_round : GDK_CAP_STYLE is
      once
         !!Result.make(2)
      end

   Gdk_cap_projecting : GDK_CAP_STYLE is
      once
         !!Result.make(3)
      end

   Gdk_join_miter : GDK_JOIN_STYLE is
      once
         !!Result.make(0)
      end

   Gdk_join_round : GDK_JOIN_STYLE is
      once
         !!Result.make(1)
      end

   Gdk_join_bevel : GDK_JOIN_STYLE is
      once
         !!Result.make(2)
      end

   Gdk_num_glyphs : GDK_CURSOR_TYPE is
      once
         !!Result.make(154)
      end

   Gdk_x_cursor : GDK_CURSOR_TYPE is
      once
         !!Result.make(0)
      end

   Gdk_arrow : GDK_CURSOR_TYPE is
      once
         !!Result.make(2)
      end

   Gdk_based_arrow_down : GDK_CURSOR_TYPE is
      once
         !!Result.make(4)
      end

   Gdk_based_arrow_up : GDK_CURSOR_TYPE is
      once
         !!Result.make(6)
      end

   Gdk_boat : GDK_CURSOR_TYPE is
      once
         !!Result.make(8)
      end

   Gdk_bogosity : GDK_CURSOR_TYPE is
      once
         !!Result.make(10)
      end

   Gdk_bottom_left_corner : GDK_CURSOR_TYPE is
      once
         !!Result.make(12)
      end

   Gdk_bottom_right_corner : GDK_CURSOR_TYPE is
      once
         !!Result.make(14)
      end

   Gdk_bottom_side : GDK_CURSOR_TYPE is
      once
         !!Result.make(16)
      end

   Gdk_bottom_tee : GDK_CURSOR_TYPE is
      once
         !!Result.make(18)
      end

   Gdk_box_spiral : GDK_CURSOR_TYPE is
      once
         !!Result.make(20)
      end

   Gdk_center_ptr : GDK_CURSOR_TYPE is
      once
         !!Result.make(22)
      end

   Gdk_circle : GDK_CURSOR_TYPE is
      once
         !!Result.make(24)
      end

   Gdk_clock : GDK_CURSOR_TYPE is
      once
         !!Result.make(26)
      end

   Gdk_coffee_mug : GDK_CURSOR_TYPE is
      once
         !!Result.make(28)
      end

   Gdk_cross : GDK_CURSOR_TYPE is
      once
         !!Result.make(30)
      end

   Gdk_cross_reverse : GDK_CURSOR_TYPE is
      once
         !!Result.make(32)
      end

   Gdk_crosshair : GDK_CURSOR_TYPE is
      once
         !!Result.make(34)
      end

   Gdk_diamond_cross : GDK_CURSOR_TYPE is
      once
         !!Result.make(36)
      end

   Gdk_dot : GDK_CURSOR_TYPE is
      once
         !!Result.make(38)
      end

   Gdk_dotbox : GDK_CURSOR_TYPE is
      once
         !!Result.make(40)
      end

   Gdk_double_arrow : GDK_CURSOR_TYPE is
      once
         !!Result.make(42)
      end

   Gdk_draft_large : GDK_CURSOR_TYPE is
      once
         !!Result.make(44)
      end

   Gdk_draft_small : GDK_CURSOR_TYPE is
      once
         !!Result.make(46)
      end

   Gdk_draped_box : GDK_CURSOR_TYPE is
      once
         !!Result.make(48)
      end

   Gdk_exchange : GDK_CURSOR_TYPE is
      once
         !!Result.make(50)
      end

   Gdk_fleur : GDK_CURSOR_TYPE is
      once
         !!Result.make(52)
      end

   Gdk_gobbler : GDK_CURSOR_TYPE is
      once
         !!Result.make(54)
      end

   Gdk_gumby : GDK_CURSOR_TYPE is
      once
         !!Result.make(56)
      end

   Gdk_hand1 : GDK_CURSOR_TYPE is
      once
         !!Result.make(58)
      end

   Gdk_hand2 : GDK_CURSOR_TYPE is
      once
         !!Result.make(60)
      end

   Gdk_heart : GDK_CURSOR_TYPE is
      once
         !!Result.make(62)
      end

   Gdk_icon : GDK_CURSOR_TYPE is
      once
         !!Result.make(64)
      end

   Gdk_iron_cross : GDK_CURSOR_TYPE is
      once
         !!Result.make(66)
      end

   Gdk_left_ptr : GDK_CURSOR_TYPE is
      once
         !!Result.make(68)
      end

   Gdk_left_side : GDK_CURSOR_TYPE is
      once
         !!Result.make(70)
      end

   Gdk_left_tee : GDK_CURSOR_TYPE is
      once
         !!Result.make(72)
      end

   Gdk_leftbutton : GDK_CURSOR_TYPE is
      once
         !!Result.make(74)
      end

   Gdk_ll_angle : GDK_CURSOR_TYPE is
      once
         !!Result.make(76)
      end

   Gdk_lr_angle : GDK_CURSOR_TYPE is
      once
         !!Result.make(78)
      end

   Gdk_man : GDK_CURSOR_TYPE is
      once
         !!Result.make(80)
      end

   Gdk_middlebutton : GDK_CURSOR_TYPE is
      once
         !!Result.make(82)
      end

   Gdk_mouse : GDK_CURSOR_TYPE is
      once
         !!Result.make(84)
      end

   Gdk_pencil : GDK_CURSOR_TYPE is
      once
         !!Result.make(86)
      end

   Gdk_pirate : GDK_CURSOR_TYPE is
      once
         !!Result.make(88)
      end

   Gdk_plus : GDK_CURSOR_TYPE is
      once
         !!Result.make(90)
      end

   Gdk_question_arrow : GDK_CURSOR_TYPE is
      once
         !!Result.make(92)
      end

   Gdk_right_ptr : GDK_CURSOR_TYPE is
      once
         !!Result.make(94)
      end

   Gdk_right_side : GDK_CURSOR_TYPE is
      once
         !!Result.make(96)
      end

   Gdk_right_tee : GDK_CURSOR_TYPE is
      once
         !!Result.make(98)
      end

   Gdk_rightbutton : GDK_CURSOR_TYPE is
      once
         !!Result.make(100)
      end

   Gdk_rtl_logo : GDK_CURSOR_TYPE is
      once
         !!Result.make(102)
      end

   Gdk_sailboat : GDK_CURSOR_TYPE is
      once
         !!Result.make(104)
      end

   Gdk_sb_down_arrow : GDK_CURSOR_TYPE is
      once
         !!Result.make(106)
      end

   Gdk_sb_h_double_arrow : GDK_CURSOR_TYPE is
      once
         !!Result.make(108)
      end

   Gdk_sb_left_arrow : GDK_CURSOR_TYPE is
      once
         !!Result.make(110)
      end

   Gdk_sb_right_arrow : GDK_CURSOR_TYPE is
      once
         !!Result.make(112)
      end

   Gdk_sb_up_arrow : GDK_CURSOR_TYPE is
      once
         !!Result.make(114)
      end

   Gdk_sb_v_double_arrow : GDK_CURSOR_TYPE is
      once
         !!Result.make(116)
      end

   Gdk_shuttle : GDK_CURSOR_TYPE is
      once
         !!Result.make(118)
      end

   Gdk_sizing : GDK_CURSOR_TYPE is
      once
         !!Result.make(120)
      end

   Gdk_spider : GDK_CURSOR_TYPE is
      once
         !!Result.make(122)
      end

   Gdk_spraycan : GDK_CURSOR_TYPE is
      once
         !!Result.make(124)
      end

   Gdk_star : GDK_CURSOR_TYPE is
      once
         !!Result.make(126)
      end

   Gdk_target : GDK_CURSOR_TYPE is
      once
         !!Result.make(128)
      end

   Gdk_tcross : GDK_CURSOR_TYPE is
      once
         !!Result.make(130)
      end

   Gdk_top_left_arrow : GDK_CURSOR_TYPE is
      once
         !!Result.make(132)
      end

   Gdk_top_left_corner : GDK_CURSOR_TYPE is
      once
         !!Result.make(134)
      end

   Gdk_top_right_corner : GDK_CURSOR_TYPE is
      once
         !!Result.make(136)
      end

   Gdk_top_side : GDK_CURSOR_TYPE is
      once
         !!Result.make(138)
      end

   Gdk_top_tee : GDK_CURSOR_TYPE is
      once
         !!Result.make(140)
      end

   Gdk_trek : GDK_CURSOR_TYPE is
      once
         !!Result.make(142)
      end

   Gdk_ul_angle : GDK_CURSOR_TYPE is
      once
         !!Result.make(144)
      end

   Gdk_umbrella : GDK_CURSOR_TYPE is
      once
         !!Result.make(146)
      end

   Gdk_ur_angle : GDK_CURSOR_TYPE is
      once
         !!Result.make(148)
      end

   Gdk_watch : GDK_CURSOR_TYPE is
      once
         !!Result.make(150)
      end

   Gdk_xterm : GDK_CURSOR_TYPE is
      once
         !!Result.make(152)
      end

   Gdk_last_cursor : GDK_CURSOR_TYPE is
      once
         !!Result.make(153)
      end

   Gdk_cursor_is_pixmap : GDK_CURSOR_TYPE is
      once
         !!Result.make(-1)
      end

   Gdk_filter_continue : GDK_FILTER_RETURN is
      once
         !!Result.make(0)
      end

   Gdk_filter_translate : GDK_FILTER_RETURN is
      once
         !!Result.make(1)
      end

   Gdk_filter_remove : GDK_FILTER_RETURN is
      once
         !!Result.make(2)
      end

   Gdk_visibility_unobscured : GDK_VISIBILITY_STATE is
      once
         !!Result.make(0)
      end

   Gdk_visibility_partial : GDK_VISIBILITY_STATE is
      once
         !!Result.make(1)
      end

   Gdk_visibility_fully_obscured : GDK_VISIBILITY_STATE is
      once
         !!Result.make(2)
      end

   Gdk_nothing : GDK_EVENT_TYPE is
      once
         !!Result.make(-1)
      end

   Gdk_delete : GDK_EVENT_TYPE is
      once
         !!Result.make(0)
      end

   Gdk_destroy : GDK_EVENT_TYPE is
      once
         !!Result.make(1)
      end

   Gdk_expose : GDK_EVENT_TYPE is
      once
         !!Result.make(2)
      end

   Gdk_motion_notify : GDK_EVENT_TYPE is
      once
         !!Result.make(3)
      end

   Gdk_button_press : GDK_EVENT_TYPE is
      once
         !!Result.make(4)
      end

   Gdk_2button_press : GDK_EVENT_TYPE is
      once
         !!Result.make(5)
      end

   Gdk_3button_press : GDK_EVENT_TYPE is
      once
         !!Result.make(6)
      end

   Gdk_button_release : GDK_EVENT_TYPE is
      once
         !!Result.make(7)
      end

   Gdk_key_press : GDK_EVENT_TYPE is
      once
         !!Result.make(8)
      end

   Gdk_key_release : GDK_EVENT_TYPE is
      once
         !!Result.make(9)
      end

   Gdk_enter_notify : GDK_EVENT_TYPE is
      once
         !!Result.make(10)
      end

   Gdk_leave_notify : GDK_EVENT_TYPE is
      once
         !!Result.make(11)
      end

   Gdk_focus_change : GDK_EVENT_TYPE is
      once
         !!Result.make(12)
      end

   Gdk_configure : GDK_EVENT_TYPE is
      once
         !!Result.make(13)
      end

   Gdk_map : GDK_EVENT_TYPE is
      once
         !!Result.make(14)
      end

   Gdk_unmap : GDK_EVENT_TYPE is
      once
         !!Result.make(15)
      end

   Gdk_property_notify : GDK_EVENT_TYPE is
      once
         !!Result.make(16)
      end

   Gdk_selection_clear : GDK_EVENT_TYPE is
      once
         !!Result.make(17)
      end

   Gdk_selection_request : GDK_EVENT_TYPE is
      once
         !!Result.make(18)
      end

   Gdk_selection_notify : GDK_EVENT_TYPE is
      once
         !!Result.make(19)
      end

   Gdk_proximity_in : GDK_EVENT_TYPE is
      once
         !!Result.make(20)
      end

   Gdk_proximity_out : GDK_EVENT_TYPE is
      once
         !!Result.make(21)
      end

   Gdk_drag_enter : GDK_EVENT_TYPE is
      once
         !!Result.make(22)
      end

   Gdk_drag_leave : GDK_EVENT_TYPE is
      once
         !!Result.make(23)
      end

   Gdk_drag_motion : GDK_EVENT_TYPE is
      once
         !!Result.make(24)
      end

   Gdk_drag_status : GDK_EVENT_TYPE is
      once
         !!Result.make(25)
      end

   Gdk_drop_start : GDK_EVENT_TYPE is
      once
         !!Result.make(26)
      end

   Gdk_drop_finished : GDK_EVENT_TYPE is
      once
         !!Result.make(27)
      end

   Gdk_client_event : GDK_EVENT_TYPE is
      once
         !!Result.make(28)
      end

   Gdk_visibility_notify : GDK_EVENT_TYPE is
      once
         !!Result.make(29)
      end

   Gdk_no_expose : GDK_EVENT_TYPE is
      once
         !!Result.make(30)
      end

   Gdk_exposure_mask : GDK_EVENT_MASK is
      once
         !!Result.make(2)
      end

   Gdk_pointer_motion_mask : GDK_EVENT_MASK is
      once
         !!Result.make(4)
      end

   Gdk_pointer_motion_hint_mask : GDK_EVENT_MASK is
      once
         !!Result.make(8)
      end

   Gdk_button_motion_mask : GDK_EVENT_MASK is
      once
         !!Result.make(16)
      end

   Gdk_button1_motion_mask : GDK_EVENT_MASK is
      once
         !!Result.make(32)
      end

   Gdk_button2_motion_mask : GDK_EVENT_MASK is
      once
         !!Result.make(64)
      end

   Gdk_button3_motion_mask : GDK_EVENT_MASK is
      once
         !!Result.make(128)
      end

   Gdk_button_press_mask : GDK_EVENT_MASK is
      once
         !!Result.make(256)
      end

   Gdk_button_release_mask : GDK_EVENT_MASK is
      once
         !!Result.make(512)
      end

   Gdk_key_press_mask : GDK_EVENT_MASK is
      once
         !!Result.make(1024)
      end

   Gdk_key_release_mask : GDK_EVENT_MASK is
      once
         !!Result.make(2048)
      end

   Gdk_enter_notify_mask : GDK_EVENT_MASK is
      once
         !!Result.make(4096)
      end

   Gdk_leave_notify_mask : GDK_EVENT_MASK is
      once
         !!Result.make(8192)
      end

   Gdk_focus_change_mask : GDK_EVENT_MASK is
      once
         !!Result.make(16384)
      end

   Gdk_structure_mask : GDK_EVENT_MASK is
      once
         !!Result.make(32768)
      end

   Gdk_property_change_mask : GDK_EVENT_MASK is
      once
         !!Result.make(65536)
      end

   Gdk_visibility_notify_mask : GDK_EVENT_MASK is
      once
         !!Result.make(131072)
      end

   Gdk_proximity_in_mask : GDK_EVENT_MASK is
      once
         !!Result.make(262144)
      end

   Gdk_proximity_out_mask : GDK_EVENT_MASK is
      once
         !!Result.make(524288)
      end

   Gdk_substructure_mask : GDK_EVENT_MASK is
      once
         !!Result.make(1048576)
      end

   Gdk_all_events_mask : GDK_EVENT_MASK is
      once
         !!Result.make(1048575)
      end

   Gdk_notify_ancestor : GDK_NOTIFY_TYPE is
      once
         !!Result.make(0)
      end

   Gdk_notify_virtual : GDK_NOTIFY_TYPE is
      once
         !!Result.make(1)
      end

   Gdk_notify_inferior : GDK_NOTIFY_TYPE is
      once
         !!Result.make(2)
      end

   Gdk_notify_nonlinear : GDK_NOTIFY_TYPE is
      once
         !!Result.make(3)
      end

   Gdk_notify_nonlinear_virtual : GDK_NOTIFY_TYPE is
      once
         !!Result.make(4)
      end

   Gdk_notify_unknown : GDK_NOTIFY_TYPE is
      once
         !!Result.make(5)
      end

   Gdk_crossing_normal : GDK_CROSSING_MODE is
      once
         !!Result.make(0)
      end

   Gdk_crossing_grab : GDK_CROSSING_MODE is
      once
         !!Result.make(1)
      end

   Gdk_crossing_ungrab : GDK_CROSSING_MODE is
      once
         !!Result.make(2)
      end

   Gdk_modifier_type_zero : GDK_MODIFIER_TYPE is
      once
         !!result.make(0)
      end

   Gdk_shift_mask : GDK_MODIFIER_TYPE is
      once
         !!Result.make(1)
      end

   Gdk_lock_mask : GDK_MODIFIER_TYPE is
      once
         !!Result.make(2)
      end

   Gdk_control_mask : GDK_MODIFIER_TYPE is
      once
         !!Result.make(4)
      end

   Gdk_mod1_mask : GDK_MODIFIER_TYPE is
      once
         !!Result.make(8)
      end

   Gdk_mod2_mask : GDK_MODIFIER_TYPE is
      once
         !!Result.make(16)
      end

   Gdk_mod3_mask : GDK_MODIFIER_TYPE is
      once
         !!Result.make(32)
      end

   Gdk_mod4_mask : GDK_MODIFIER_TYPE is
      once
         !!Result.make(64)
      end

   Gdk_mod5_mask : GDK_MODIFIER_TYPE is
      once
         !!Result.make(128)
      end

   Gdk_button1_mask : GDK_MODIFIER_TYPE is
      once
         !!Result.make(256)
      end

   Gdk_button2_mask : GDK_MODIFIER_TYPE is
      once
         !!Result.make(512)
      end

   Gdk_button3_mask : GDK_MODIFIER_TYPE is
      once
         !!Result.make(1024)
      end

   Gdk_button4_mask : GDK_MODIFIER_TYPE is
      once
         !!Result.make(2048)
      end

   Gdk_button5_mask : GDK_MODIFIER_TYPE is
      once
         !!Result.make(4096)
      end

   Gdk_release_mask : GDK_MODIFIER_TYPE is
      once
         !!Result.make(8192)
      end

   Gdk_modifier_mask : GDK_MODIFIER_TYPE is
      once
         !!Result.make(16383)
      end

   Gdk_clip_by_children : GDK_SUBWINDOW_MODE is
      once
         !!Result.make(0)
      end

   Gdk_include_inferiors : GDK_SUBWINDOW_MODE is
      once
         !!Result.make(1)
      end

   Gdk_input_read : GDK_INPUT_CONDITION is
      once
         !!Result.make(1)
      end

   Gdk_input_write : GDK_INPUT_CONDITION is
      once
         !!Result.make(2)
      end

   Gdk_input_exception : GDK_INPUT_CONDITION is
      once
         !!Result.make(4)
      end

   Gdk_ok : GDK_STATUS is
      once
         !!Result.make(0)
      end

   Gdk_error : GDK_STATUS is
      once
         !!Result.make(-1)
      end

   Gdk_error_param : GDK_STATUS is
      once
         !!Result.make(-2)
      end

   Gdk_error_file : GDK_STATUS is
      once
         !!Result.make(-3)
      end

   Gdk_error_mem : GDK_STATUS is
      once
         !!Result.make(-4)
      end

   Gdk_lsb_first : GDK_BYTE_ORDER is
      once
         !!Result.make(0)
      end

   Gdk_msb_first : GDK_BYTE_ORDER is
      once
         !!Result.make(1)
      end

   Gdk_gc_foreground : GDK_GCVALUES_MASK is
      once
         !!Result.make(1)
      end

   Gdk_gc_background : GDK_GCVALUES_MASK is
      once
         !!Result.make(2)
      end

   Gdk_gc_font : GDK_GCVALUES_MASK is
      once
         !!Result.make(4)
      end

   Gdk_gc_function : GDK_GCVALUES_MASK is
      once
         !!Result.make(8)
      end

   Gdk_gc_fill : GDK_GCVALUES_MASK is
      once
         !!Result.make(16)
      end

   Gdk_gc_tile : GDK_GCVALUES_MASK is
      once
         !!Result.make(32)
      end

   Gdk_gc_stipple : GDK_GCVALUES_MASK is
      once
         !!Result.make(64)
      end

   Gdk_gc_clip_mask : GDK_GCVALUES_MASK is
      once
         !!Result.make(128)
      end

   Gdk_gc_subwindow : GDK_GCVALUES_MASK is
      once
         !!Result.make(256)
      end

   Gdk_gc_ts_x_origin : GDK_GCVALUES_MASK is
      once
         !!Result.make(512)
      end

   Gdk_gc_ts_y_origin : GDK_GCVALUES_MASK is
      once
         !!Result.make(1024)
      end

   Gdk_gc_clip_x_origin : GDK_GCVALUES_MASK is
      once
         !!Result.make(2048)
      end

   Gdk_gc_clip_y_origin : GDK_GCVALUES_MASK is
      once
         !!Result.make(4096)
      end

   Gdk_gc_exposures : GDK_GCVALUES_MASK is
      once
         !!Result.make(8192)
      end

   Gdk_gc_line_width : GDK_GCVALUES_MASK is
      once
         !!Result.make(16384)
      end

   Gdk_gc_line_style : GDK_GCVALUES_MASK is
      once
         !!Result.make(32768)
      end

   Gdk_gc_cap_style : GDK_GCVALUES_MASK is
      once
         !!Result.make(65536)
      end

   Gdk_gc_join_style : GDK_GCVALUES_MASK is
      once
         !!Result.make(131072)
      end

   Gdk_selection_primary : GDK_SELECTION is
      once
         !!Result.make(1)
      end

   Gdk_selection_secondary : GDK_SELECTION is
      once
         !!Result.make(2)
      end

   Gdk_property_new_value : GDK_PROPERTY_STATE is
      once
         !!Result.make(0)
      end

   Gdk_property_delete : GDK_PROPERTY_STATE is
      once
         !!Result.make(1)
      end

   Gdk_prop_mode_replace : GDK_PROP_MODE is
      once
         !!Result.make(0)
      end

   Gdk_prop_mode_prepend : GDK_PROP_MODE is
      once
         !!Result.make(1)
      end

   Gdk_prop_mode_append : GDK_PROP_MODE is
      once
         !!Result.make(2)
      end

   Gdk_source_mouse : GDK_INPUT_SOURCE is
      once
         !!Result.make(0)
      end

   Gdk_source_pen : GDK_INPUT_SOURCE is
      once
         !!Result.make(1)
      end

   Gdk_source_eraser : GDK_INPUT_SOURCE is
      once
         !!Result.make(2)
      end

   Gdk_source_cursor : GDK_INPUT_SOURCE is
      once
         !!Result.make(3)
      end

   Gdk_mode_disabled : GDK_INPUT_MODE is
      once
         !!Result.make(0)
      end

   Gdk_mode_screen : GDK_INPUT_MODE is
      once
         !!Result.make(1)
      end

   Gdk_mode_window : GDK_INPUT_MODE is
      once
         !!Result.make(2)
      end

   Gdk_axis_ignore : GDK_AXIS_USE is
      once
         !!Result.make(0)
      end

   Gdk_axis_x : GDK_AXIS_USE is
      once
         !!Result.make(1)
      end

   Gdk_axis_y : GDK_AXIS_USE is
      once
         !!Result.make(2)
      end

   Gdk_axis_pressure : GDK_AXIS_USE is
      once
         !!Result.make(3)
      end

   Gdk_axis_xtilt : GDK_AXIS_USE is
      once
         !!Result.make(4)
      end

   Gdk_axis_ytilt : GDK_AXIS_USE is
      once
         !!Result.make(5)
      end

   Gdk_axis_last : GDK_AXIS_USE is
      once
         !!Result.make(6)
      end

   Gdk_target_bitmap : GDK_TARGET is
      once
         !!Result.make(5)
      end

   Gdk_target_colormap : GDK_TARGET is
      once
         !!Result.make(7)
      end

   Gdk_target_drawable : GDK_TARGET is
      once
         !!Result.make(17)
      end

   Gdk_target_pixmap : GDK_TARGET is
      once
         !!Result.make(20)
      end

   Gdk_target_string : GDK_TARGET is
      once
         !!Result.make(31)
      end

   Gdk_selection_type_atom : GDK_SELECTION_TYPE is
      once
         !!Result.make(4)
      end

   Gdk_selection_type_bitmap : GDK_SELECTION_TYPE is
      once
         !!Result.make(5)
      end

   Gdk_selection_type_colormap : GDK_SELECTION_TYPE is
      once
         !!Result.make(7)
      end

   Gdk_selection_type_drawable : GDK_SELECTION_TYPE is
      once
         !!Result.make(17)
      end

   Gdk_selection_type_integer : GDK_SELECTION_TYPE is
      once
         !!Result.make(19)
      end

   Gdk_selection_type_pixmap : GDK_SELECTION_TYPE is
      once
         !!Result.make(20)
      end

   Gdk_selection_type_window : GDK_SELECTION_TYPE is
      once
         !!Result.make(33)
      end

   Gdk_selection_type_string : GDK_SELECTION_TYPE is
      once
         !!Result.make(31)
      end

   Gdk_extension_events_none : GDK_EXTENSION_MODE is
      once
         !!Result.make(0)
      end

   Gdk_extension_events_all : GDK_EXTENSION_MODE is
      once
         !!Result.make(1)
      end

   Gdk_extension_events_cursor : GDK_EXTENSION_MODE is
      once
         !!Result.make(2)
      end

   Gdk_im_preedit_area : GDK_IMSTYLE is
      once
         !!Result.make(1)
      end

   Gdk_im_preedit_callbacks : GDK_IMSTYLE is
      once
         !!Result.make(2)
      end

   Gdk_im_preedit_position : GDK_IMSTYLE is
      once
         !!Result.make(4)
      end

   Gdk_im_preedit_nothing : GDK_IMSTYLE is
      once
         !!Result.make(8)
      end

   Gdk_im_preedit_none : GDK_IMSTYLE is
      once
         !!Result.make(16)
      end

   Gdk_im_preedit_mask : GDK_IMSTYLE is
      once
         !!Result.make(31)
      end

   Gdk_im_status_area : GDK_IMSTYLE is
      once
         !!Result.make(256)
      end

   Gdk_im_status_callbacks : GDK_IMSTYLE is
      once
         !!Result.make(512)
      end

   Gdk_im_status_nothing : GDK_IMSTYLE is
      once
         !!Result.make(1024)
      end

   Gdk_im_status_none : GDK_IMSTYLE is
      once
         !!Result.make(2048)
      end

   Gdk_im_status_mask : GDK_IMSTYLE is
      once
         !!Result.make(3840)
      end

   Gdk_ic_style : GDK_ICATTRIBUTES_TYPE is
      once
         !!Result.make(1)
      end

   Gdk_ic_focus_window : GDK_ICATTRIBUTES_TYPE is
      once
         !!Result.make(4)
      end

   Gdk_ic_filter_events : GDK_ICATTRIBUTES_TYPE is
      once
         !!Result.make(8)
      end

   Gdk_ic_spot_location : GDK_ICATTRIBUTES_TYPE is
      once
         !!Result.make(16)
      end

   Gdk_ic_line_spacing : GDK_ICATTRIBUTES_TYPE is
      once
         !!Result.make(32)
      end

   Gdk_ic_cursor : GDK_ICATTRIBUTES_TYPE is
      once
         !!Result.make(64)
      end

   Gdk_ic_preedit_fontset : GDK_ICATTRIBUTES_TYPE is
      once
         !!Result.make(1024)
      end

   Gdk_ic_preedit_area : GDK_ICATTRIBUTES_TYPE is
      once
         !!Result.make(2048)
      end

   Gdk_ic_preedit_area_needed : GDK_ICATTRIBUTES_TYPE is
      once
         !!Result.make(4096)
      end

   Gdk_ic_preedit_foreground : GDK_ICATTRIBUTES_TYPE is
      once
         !!Result.make(8192)
      end

   Gdk_ic_preedit_background : GDK_ICATTRIBUTES_TYPE is
      once
         !!Result.make(16384)
      end

   Gdk_ic_preedit_pixmap : GDK_ICATTRIBUTES_TYPE is
      once
         !!Result.make(32768)
      end

   Gdk_ic_preedit_colormap : GDK_ICATTRIBUTES_TYPE is
      once
         !!Result.make(65536)
      end

   Gdk_ic_status_area : GDK_ICATTRIBUTES_TYPE is
      once
         !!Result.make(4194304)
      end

   Gdk_ic_status_area_needed : GDK_ICATTRIBUTES_TYPE is
      once
         !!Result.make(8388608)
      end

   Gdk_ic_status_foreground : GDK_ICATTRIBUTES_TYPE is
      once
         !!Result.make(16777216)
      end

   Gdk_ic_status_background : GDK_ICATTRIBUTES_TYPE is
      once
         !!Result.make(33554432)
      end

   Gdk_ic_status_pixmap : GDK_ICATTRIBUTES_TYPE is
      once
         !!Result.make(67108864)
      end

   Gdk_ic_status_colormap : GDK_ICATTRIBUTES_TYPE is
      once
         !!Result.make(134217728)
      end

   Gdk_ic_all_req : GDK_ICATTRIBUTES_TYPE is
      once
         !!Result.make(3)
      end

   Gdk_ic_client_window : GDK_ICATTRIBUTES_TYPE is
      once
         !!Result.make(2)
      end

   Gdk_ic_preedit_area_req : GDK_ICATTRIBUTES_TYPE is
      once
         !!Result.make(3072)
      end

   Gdk_ic_preedit_position_req : GDK_ICATTRIBUTES_TYPE is
      once
         !!Result.make(3088)
      end

   Gdk_ic_status_area_req : GDK_ICATTRIBUTES_TYPE is
      once
         !!Result.make(6291456)
      end

   Gdk_ic_status_fontset : GDK_ICATTRIBUTES_TYPE is
      once
         !!Result.make(2097152)
      end

   Gdk_decor_all : GDK_WMDECORATION is
      once
         !!Result.make(1)
      end

   Gdk_decor_border : GDK_WMDECORATION is
      once
         !!Result.make(2)
      end

   Gdk_decor_resizeh : GDK_WMDECORATION is
      once
         !!Result.make(4)
      end

   Gdk_decor_title : GDK_WMDECORATION is
      once
         !!Result.make(8)
      end

   Gdk_decor_menu : GDK_WMDECORATION is
      once
         !!Result.make(16)
      end

   Gdk_decor_minimize : GDK_WMDECORATION is
      once
         !!Result.make(32)
      end

   Gdk_decor_maximize : GDK_WMDECORATION is
      once
         !!Result.make(64)
      end

   Gdk_func_all : GDK_WMFUNCTION is
      once
         !!Result.make(1)
      end

   Gdk_func_resize : GDK_WMFUNCTION is
      once
         !!Result.make(2)
      end

   Gdk_func_move : GDK_WMFUNCTION is
      once
         !!Result.make(4)
      end

   Gdk_func_minimize : GDK_WMFUNCTION is
      once
         !!Result.make(8)
      end

   Gdk_func_maximize : GDK_WMFUNCTION is
      once
         !!Result.make(16)
      end

   Gdk_func_close : GDK_WMFUNCTION is
      once
         !!Result.make(32)
      end

   Gdk_cc_mode_undefined : GDK_COLOR_CONTEXT_MODE is
      once
         !!Result.make(0)
      end

   Gdk_cc_mode_bw : GDK_COLOR_CONTEXT_MODE is
      once
         !!Result.make(1)
      end

   Gdk_cc_mode_std_cmap : GDK_COLOR_CONTEXT_MODE is
      once
         !!Result.make(2)
      end

   Gdk_cc_mode_true : GDK_COLOR_CONTEXT_MODE is
      once
         !!Result.make(3)
      end

   Gdk_cc_mode_my_gray : GDK_COLOR_CONTEXT_MODE is
      once
         !!Result.make(4)
      end

   Gdk_cc_mode_palette : GDK_COLOR_CONTEXT_MODE is
      once
         !!Result.make(5)
      end

   Gdk_overlap_rectangle_in : GDK_OVERLAP_TYPE is
      once
         !!Result.make(0)
      end

   Gdk_overlap_rectangle_out : GDK_OVERLAP_TYPE is
      once
         !!Result.make(1)
      end

   Gdk_overlap_rectangle_part : GDK_OVERLAP_TYPE is
      once
         !!Result.make(2)
      end

   Gdk_action_default : GDK_DRAG_ACTION is
      once
         !!Result.make(1)
      end

   Gdk_action_copy : GDK_DRAG_ACTION is
      once
         !!Result.make(2)
      end

   Gdk_action_move : GDK_DRAG_ACTION is
      once
         !!Result.make(4)
      end

   Gdk_action_link : GDK_DRAG_ACTION is
      once
         !!Result.make(8)
      end

   Gdk_action_private : GDK_DRAG_ACTION is
      once
         !!Result.make(16)
      end

   Gdk_action_ask : GDK_DRAG_ACTION is
      once
         !!Result.make(32)
      end

   Gdk_drag_proto_motif : GDK_DRAG_PROTOCOL is
      once
         !!Result.make(0)
      end

   Gdk_drag_proto_xdnd : GDK_DRAG_PROTOCOL is
      once
         !!Result.make(1)
      end

   Gdk_drag_proto_rootwin : GDK_DRAG_PROTOCOL is
      once
         !!Result.make(2)
      end

   Gdk_drag_proto_none : GDK_DRAG_PROTOCOL is
      once
         !!Result.make(5)
      end

   Gdk_rgb_dither_none : GDK_RGB_DITHER is
      once
         !!Result.make(0)
      end

   Gdk_rgb_dither_normal : GDK_RGB_DITHER is
      once
         !!Result.make(1)
      end

   Gdk_rgb_dither_max : GDK_RGB_DITHER is
      once
         !!Result.make(2)
      end

end -- class GDK_CONSTANTS
