indexing
    title       : "GTK ";
    cluster     : "VEGDK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gdk_event_dnd.e,v 1.5 2000/03/16 14:03:50 eugenem Exp $";

class GDK_EVENT_DND
inherit
   GDK_EVENT
creation
   from_external

feature -- operations

   context : GDK_DRAG_CONTEXT is
      do
         !!Result.from_external(gdk_event_dnd_context_acr  (to_external));
      end
   time : INTEGER is
      do
         Result:= gdk_event_dnd_time_acr  (to_external);
      end
   x_root : INTEGER is
      do
         Result:= gdk_event_dnd_x_root_acr  (to_external);
      end
   y_root : INTEGER is
      do
         Result:= gdk_event_dnd_y_root_acr  (to_external);
      end

feature {NONE} -- external C features

   gdk_event_dnd_context_acr (obj : POINTER) : POINTER is
      external "C"
      alias "gdk_event_dnd_context_acr"
      end
   gdk_event_dnd_time_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_dnd_time_acr"
      end
   gdk_event_dnd_x_root_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_dnd_x_root_acr"
      end
   gdk_event_dnd_y_root_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_dnd_y_root_acr"
      end
end -- class GDK_EVENT_DND
