indexing
    title       : "GTK ";
    cluster     : "VEGDK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gdk_event_selection.e,v 1.5 2000/03/16 14:03:50 eugenem Exp $";

class GDK_EVENT_SELECTION
inherit
   GDK_EVENT
creation
   from_external

feature -- operations

   selection : GDK_ATOM is
      do
         Result := gdk_event_selection_selection_acr  (to_external)
      end
   target : GDK_ATOM is
      do
         Result := gdk_event_selection_target_acr  (to_external)
      end
   property : GDK_ATOM is
      do
         Result := gdk_event_selection_property_acr  (to_external)
      end
   requestor : INTEGER is
      do
         Result:= gdk_event_selection_requestor_acr  (to_external);
      end
   time : INTEGER is
      do
         Result:= gdk_event_selection_time_acr  (to_external);
      end

feature {NONE} -- external C features

   gdk_event_selection_selection_acr (obj : POINTER) : GDK_ATOM is
      external "C"
      alias "gdk_event_selection_selection_acr"
      end
   gdk_event_selection_target_acr (obj : POINTER) : GDK_ATOM is
      external "C"
      alias "gdk_event_selection_target_acr"
      end
   gdk_event_selection_property_acr (obj : POINTER) : GDK_ATOM is
      external "C"
      alias "gdk_event_selection_property_acr"
      end
   gdk_event_selection_requestor_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_selection_requestor_acr"
      end
   gdk_event_selection_time_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_selection_time_acr"
      end
end -- class GDK_EVENT_SELECTION
