indexing
    title       : "GTK ";
    cluster     : "VEGDK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gdk_input.e,v 1.2 2000/03/13 18:19:50 eugenem Exp $";

class GDK_INPUT
inherit
   GDK_INPUT_EXTERNALS
creation
   make

feature -- Creation

   make (object : ANY; source_fd : INTEGER; condition: GDK_INPUT_CONDITION;
         function : POINTER; data : ANY) is
      do
         if input_id /= 0 then
            remove
         end
         input_id := c_gdk_input_add(object, source_fd, condition.get_value,
                                     function, data)
      end
feature -- Operations
   remove is
      do
         gdk_input_remove (input_id);
      end

feature {NONE} -- Implementation

   input_id : INTEGER

end
