indexing
    title       : "GTK ";
    cluster     : "VEGDK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gdk_point.e,v 1.5 2000/03/16 14:03:50 eugenem Exp $";

class GDK_POINT
inherit
   GDK_POINT_EXTERNALS
   GDK_OBJECT
creation
   from_external
--   , make, make_with_values
--feature -- creation
--   make is
--      do
--         from_external(gdk_point_new)
--      end
--   make_with_values (arg_x : INTEGER; arg_y : INTEGER) is
--      do
--         from_external(gdk_point_new_with_values  (arg_x, arg_y))
--     end

feature -- operations

   x : INTEGER is
      do
         Result:= gdk_point_x_acr  (to_external);
      end
   y : INTEGER is
      do
         Result:= gdk_point_y_acr  (to_external);
      end
   set_x (arg_x : INTEGER) is
      do
         gdk_point_set_x_acw  (to_external, arg_x);
      end
   set_y (arg_y : INTEGER) is
      do
         gdk_point_set_y_acw  (to_external, arg_y);
      end

end -- class GDK_POINT
