indexing
    title       : "GTK ";
    cluster     : "VEGDK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gdk_visual.e,v 1.5 2000/03/16 14:03:50 eugenem Exp $";

class GDK_VISUAL
inherit
   GDK_VISUAL_EXTERNALS
   GDK_OBJECT
creation
   from_external

feature -- operations

   byte_order : GDK_BYTE_ORDER is
      do
         !!result.make(gdk_visual_byte_order_acr  (to_external));
      end
   colormap_size : INTEGER is
      do
         Result:= gdk_visual_colormap_size_acr  (to_external);
      end
   bits_per_rgb : INTEGER is
      do
         Result:= gdk_visual_bits_per_rgb_acr  (to_external);
      end
   red_mask : INTEGER is
      do
         Result:= gdk_visual_red_mask_acr  (to_external);
      end
   red_shift : INTEGER is
      do
         Result:= gdk_visual_red_shift_acr  (to_external);
      end
   red_prec : INTEGER is
      do
         Result:= gdk_visual_red_prec_acr  (to_external);
      end
   green_mask : INTEGER is
      do
         Result:= gdk_visual_green_mask_acr  (to_external);
      end
   green_shift : INTEGER is
      do
         Result:= gdk_visual_green_shift_acr  (to_external);
      end
   green_prec : INTEGER is
      do
         Result:= gdk_visual_green_prec_acr  (to_external);
      end
   blue_mask : INTEGER is
      do
         Result:= gdk_visual_blue_mask_acr  (to_external);
      end
   blue_shift : INTEGER is
      do
         Result:= gdk_visual_blue_shift_acr  (to_external);
      end
   blue_prec : INTEGER is
      do
         Result:= gdk_visual_blue_prec_acr  (to_external);
      end

end -- class GDK_VISUAL
