indexing
    title       : "GTK ";
    cluster     : "VEGDK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gdk_window_attr.e,v 1.5 2000/03/16 14:03:50 eugenem Exp $";

class GDK_WINDOW_ATTR
inherit
   GDK_WINDOW_ATTR_EXTERNALS
   GDK_OBJECT
creation
   from_external

feature -- operations

   title : STRING is
      do
         Result := string_from_external(gdk_window_attr_title_acr  (to_external))
      end
   event_mask : INTEGER is
      do
         result := gdk_window_attr_event_mask_acr  (to_external)
      end
   x : INTEGER is
      do
         result := gdk_window_attr_x_acr  (to_external)
      end
   y : INTEGER is
      do
         Result:= gdk_window_attr_y_acr  (to_external);
      end
   width : INTEGER is
      do
         Result:= gdk_window_attr_width_acr  (to_external);
      end
   height : INTEGER is
      do
         Result:= gdk_window_attr_height_acr  (to_external);
      end
   wclass : GDK_WINDOW_CLASS is
      do
         !!Result.make(gdk_window_attr_wclass_acr  (to_external))
      end
   visual : GDK_VISUAL is
      do
         !!Result.from_external(gdk_window_attr_visual_acr  (to_external));
      end
   colormap : GDK_COLORMAP is
      do
         !!Result.from_external(gdk_window_attr_colormap_acr  (to_external));
      end
   window_type : GDK_WINDOW_TYPE is
      do
         !!result.make(gdk_window_attr_window_type_acr  (to_external))
      end
   cursor : GDK_CURSOR is
      do
         !!Result.from_external(gdk_window_attr_cursor_acr  (to_external));
      end
   wmclass_name : STRING is
      do
         Result := string_from_external(gdk_window_attr_wmclass_name_acr  (to_external))
      end
   wmclass_class : STRING is
      do
         Result := string_from_external(gdk_window_attr_wmclass_class_acr  (to_external))
      end
   override_redirect : BOOLEAN is
      do
         Result:= gdk_window_attr_override_redirect_acr  (to_external);
      end

end -- class GDK_WINDOW_ATTR
