indexing
    title       : "GTK ";
    cluster     : "VEGDK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gdk_atom.e,v 1.2 2000/03/13 18:19:51 eugenem Exp $";

class GDK_ATOM
inherit
   GDK_ATOM_EXTERNALS

feature -- Creation

   intern(atom_name : STRING; only_if_exists : BOOLEAN) is
      local
         t : ANY
      do
         t := atom_name.to_c
         item := gdk_atom_intern($t, only_if_exists);
      end

feature -- Queries

   name : STRING is
      local
         s_helper : VEGTK_STRING_HELPER
      do
         !!s_helper
         Result := s_helper.string_from_external(gdk_atom_name(item))
      end

feature {NONE}

   item : INTEGER

end -- class GDK_ATOM
