indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_cell.e,v 1.5 2000/03/16 14:03:51 eugenem Exp $";

class GTK_CELL
inherit
   GTK_CELL_EXTERNALS
   VEGTK_EXTERNAL_OBJECT

creation
   from_external

feature -- Queries

   type : GTK_CELL_TYPE is
      do
         !!result.make(gtk_cell_type_acr(to_external))
      end

   style : GTK_STYLE is
      do
    !!Result.from_external(gtk_cell_style_acr(to_external))
      end

   horizontal : INTEGER is
      do
    Result := gtk_cell_horizontal_acr(to_external)
      end

   vertical : INTEGER is
      do
    Result := gtk_cell_vertical_acr(to_external)
      end

   text : STRING is
      do
         Result := Void
      end

   pixmap : GDK_PIXMAP is
      do
         Result := Void
      end

   widget : GTK_WIDGET is
      do
         Result := Void
      end

end -- class GTK_CELL
