indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_check_button.e,v 1.5 2000/03/16 14:03:51 eugenem Exp $";

class GTK_CHECK_BUTTON
inherit
   GTK_CHECK_BUTTON_NP
   GTK_CHECK_BUTTON_EXTERNALS
   GTK_TOGGLE_BUTTON
      redefine
         make,
         make_with_label,
         make_for_register
      end;
creation
   from_external, make, make_with_label
feature -- creation
   make is
      do
         from_external(gtk_check_button_new)
      end
   make_with_label (label : STRING) is
      do
         from_external(np_gtk_check_button_new_with_label  (label))
      end

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_check_button_get_type)
      end

end -- class GTK_CHECK_BUTTON
