indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_clist_row.e,v 1.6 2000/03/16 14:03:51 eugenem Exp $";

class GTK_CLIST_ROW
inherit
   GTK_CLIST_ROW_EXTERNALS
   VEGTK_EXTERNAL_OBJECT
   GTK_CONSTANTS

creation
   from_external

feature -- access

   style : GTK_STYLE is
      do
         !!Result.from_external(gtk_clist_row_style_acr(to_external))
      end

   state : GTK_STATE_TYPE is
      do
         Result := gtk_clist_row_state_acr(to_external)
      end

   foreground : GDK_COLOR is
      do
         !!Result.from_external(gtk_clist_row_foreground_acr(to_external))
      end

   background : GDK_COLOR is
      do
         !!Result.from_external(gtk_clist_row_background_acr(to_external))
      end

   fg_set : BOOLEAN is
      do
         Result := gtk_clist_row_fg_set_acr(to_external)
      end

   bg_set : BOOLEAN is
      do
         Result := gtk_clist_row_bg_set_acr(to_external)
      end

   selectable : BOOLEAN is
      do
         Result := gtk_clist_row_selectable_acr(to_external)
      end

   data : POINTER is
      do
         Result := gtk_clist_row_data_acr (to_external)
      end

   cell(index : INTEGER) : GTK_CELL is
      local
         cell_factory : GTK_CELL_FACTORY
      do
         !!cell_factory
         Result := cell_factory.make_cell_from_pointer (gtk_clist_row_cell_acr (to_external, index))
      end -- cell

end -- class GTK_CLIST_ROW
