indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_ctree_row.e,v 1.6 2000/03/16 14:03:51 eugenem Exp $";

class GTK_CTREE_ROW
inherit
   GTK_CTREE_ROW_EXTERNALS
   GTK_CLIST_ROW
creation
   from_external,
   from_node

feature -- creation

 -- this replaces C type conversion
 -- I don't know any better way
   from_node(node : GTK_CTREE_NODE) is
      do
         copy (node.to_row)
      end

feature -- access

   is_leaf : BOOLEAN is
      do
         Result := gtk_ctree_row_is_leaf_acr(to_external)
      end

   children : GTK_CTREE_NODE is
      local
         tmp : POINTER
      do
         tmp := gtk_ctree_row_children_acr(to_external)
         if tmp /= default_pointer then
            !!Result.from_external(tmp)
         end
      end

   parent : GTK_CTREE_NODE is
      local
         tmp : POINTER
      do
         tmp := gtk_ctree_row_parent_acr(to_external)
         if tmp /= default_pointer then
            !!Result.from_external(tmp)
         end
      end

--   row : GTK_CLIST_ROW is
--      local
--         tmp : POINTER
--      do
--         tmp := gtk_ctree_row_row_acr(to_external)
--         if tmp /= default_pointer then
--            !!Result.from_external(tmp)
--         end
--      end

end -- class GTK_CTREE_ROW
