indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_dialog.e,v 1.5 2000/03/16 14:03:51 eugenem Exp $";

class GTK_DIALOG
inherit
   GTK_DIALOG_EXTERNALS
   GTK_WINDOW
      rename
         make as make_window
      redefine
         make_for_register
      end
creation
   from_external, make, make_for_register
feature -- creation
   make is
      do
         from_external(gtk_dialog_new)
      end

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_dialog_get_type)
      end

feature -- operations

   vbox : GTK_VBOX is
      do
         !!Result.from_external(gtk_dialog_vbox_acr  (to_external));
      end
   action_area : GTK_HBOX is
      do
         !!Result.from_external(gtk_dialog_action_area_acr  (to_external));
      end

end -- class GTK_DIALOG
