indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_gamma_curve.e,v 1.5 2000/03/16 14:03:51 eugenem Exp $";

class GTK_GAMMA_CURVE
inherit
   GTK_GAMMA_CURVE_EXTERNALS
   GTK_VBOX
      rename
         make as make_vbox
      redefine
         make_for_register
      end
creation
   from_external, make, make_for_register
feature -- creation
   make is
      do
         from_external(gtk_gamma_curve_new)
      end

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_gamma_curve_get_type)
      end

feature -- access

   curve : GTK_CURVE is
      do
         !!Result.from_external(gtk_gamma_curve_curve_acr(to_external))
      end

end -- class GTK_GAMMA_CURVE
