indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_handle_box.e,v 1.5 2000/03/16 14:03:51 eugenem Exp $";

class GTK_HANDLE_BOX
inherit
   GTK_HANDLE_BOX_EXTERNALS
   GTK_BIN
      redefine
         make_for_register
      end
creation
   from_external, make, make_for_register
feature -- creation
   make is
      do
         from_external(gtk_handle_box_new)
      end

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_handle_box_get_type)
      end

feature -- operations

   set_shadow_type (arg_type : GTK_SHADOW_TYPE) is
      do
         gtk_handle_box_set_shadow_type  (to_external, arg_type.get_value);
      end
   set_handle_position (position : GTK_POSITION_TYPE) is
      do
         gtk_handle_box_set_handle_position  (to_external, position.get_value);
      end
   set_snap_edge (edge : GTK_POSITION_TYPE) is
      do
         gtk_handle_box_set_snap_edge  (to_external, edge.get_value);
      end

end -- class GTK_HANDLE_BOX
