indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_idle.e,v 1.5 2000/03/16 14:03:51 eugenem Exp $";

class GTK_IDLE
inherit
   GTK_IDLE_EXTERNALS
creation
   make

feature -- Creation

   make (object : ANY; function : POINTER; data : ANY) is
      do
         if idle_id /= 0 then
            remove
         end
         idle_id := gtk_idle_add(object, function, data)
      end
   make_with_priority (priority : INTEGER; object : ANY; function : POINTER; data : ANY) is
      do
         if idle_id /= 0 then
            remove
         end
         idle_id := gtk_idle_add_priority(priority, object, function, data)
      end


feature -- Operations

   remove is
      do
         gtk_idle_remove (idle_id)
      end


feature -- Queries

   running : BOOLEAN is
      do
         Result := idle_id /= 0
      end

feature {NONE} -- Implementation

   idle_id : INTEGER

end
