indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_item.e,v 1.5 2000/03/16 14:03:52 eugenem Exp $";

class GTK_ITEM
inherit
   GTK_ITEM_EXTERNALS
   GTK_BIN
      redefine
         make_for_register
      end
creation
   from_external, make_for_register

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_item_get_type)
      end

feature -- operations

   do_select is
      do
         gtk_item_select  (to_external);
      end
   deselect is
      do
         gtk_item_deselect  (to_external);
      end
   toggle is
      do
         gtk_item_toggle  (to_external);
      end

end -- class GTK_ITEM
