indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_list_item.e,v 1.5 2000/03/16 14:03:52 eugenem Exp $";

class GTK_LIST_ITEM
inherit
   GTK_LIST_ITEM_NP
   GTK_LIST_ITEM_EXTERNALS
   GTK_ITEM
      rename
         do_select as do_select_item,
         deselect as deselect_item
      redefine
         make_for_register
      end
creation
   from_external, make, make_with_label, make_for_register
feature -- creation
   make is
      do
         from_external(gtk_list_item_new)
      end
   make_with_label (label : STRING) is
      do
         from_external(np_gtk_list_item_new_with_label  (label))
      end

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_list_item_get_type)
      end

feature -- operations

   do_select is
      do
         gtk_list_item_select  (to_external);
      end
   deselect is
      do
         gtk_list_item_deselect  (to_external);
      end

end -- class GTK_LIST_ITEM
