indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_option_menu.e,v 1.5 2000/03/16 14:03:52 eugenem Exp $";

class GTK_OPTION_MENU
inherit
   GTK_OPTION_MENU_EXTERNALS
   GTK_BUTTON
      redefine
         make,
         make_for_register
      end
creation
   from_external, make, make_for_register
feature -- creation
   make is
      do
         from_external(gtk_option_menu_new)
      end

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_option_menu_get_type)
      end

feature -- access

   menu_item : GTK_RADIO_MENU_ITEM is
      do
         !!Result.from_external(gtk_option_menu_menu_item_acr(to_external))
      end

feature -- operations

   get_menu : GTK_WIDGET is
      do
         !!Result.from_external(gtk_option_menu_get_menu  (to_external));
      end
   set_menu (menu : GTK_WIDGET) is
      do
         gtk_option_menu_set_menu  (to_external, menu.to_external);
      end
   remove_menu is
      do
         gtk_option_menu_remove_menu  (to_external);
      end
   set_history (index : INTEGER) is
      do
         gtk_option_menu_set_history  (to_external, index);
      end

end -- class GTK_OPTION_MENU
