indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_packer_child.e,v 1.5 2000/03/13 18:19:52 eugenem Exp $";

class GTK_PACKER_CHILD
inherit
   VEGTK_EXTERNAL_OBJECT
   GTK_PACKER_CHILD_EXTERNALS
creation
   from_external

feature -- Queries
  get_widget : GTK_WIDGET is
  local
     of : VEGTK_OBJECT_FACTORY;
  do
     !!of
     Result ?= of.make_object_from_pointer (gtk_packer_child_widget_acr(to_external));
  end
  get_anchor : GTK_ANCHOR_TYPE is
  do
     !!Result.make(gtk_packer_child_anchor_acr(to_external));
  end
  get_side : GTK_SIDE_TYPE  is
  do
     !!Result.make(gtk_packer_child_side_acr(to_external));
  end
  get_options : GTK_PACKER_OPTIONS is
  do
     !!Result.make(gtk_packer_child_options_acr(to_external));
  end
  get_border_width : INTEGER is
  do
     Result := gtk_packer_child_border_width_acr(to_external)
  end
  get_pad_x : INTEGER is
  do
     Result := gtk_packer_child_pad_x_acr(to_external)
  end
  get_pad_y : INTEGER is
  do
     Result := gtk_packer_child_pad_y_acr(to_external)
  end
  get_i_pad_x : INTEGER is
  do
     Result := gtk_packer_child_i_pad_x_acr(to_external)
  end
  get_i_pad_y : INTEGER is
  do
     Result := gtk_packer_child_i_pad_y_acr(to_external)
  end

feature -- operations
--   set_widget
--   set_anchor
--   set_side
--   set_options
--   set_border_width
--   set_pad_x
--   set_pad_y
--   set_i_pad_x
--   set_i_pad_y

end -- class GTK_PACKER_CHILD
