indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_progress_bar.e,v 1.5 2000/03/16 14:03:52 eugenem Exp $";

class GTK_PROGRESS_BAR
inherit
   GTK_PROGRESS_BAR_NP
   GTK_PROGRESS_BAR_EXTERNALS
   GTK_PROGRESS
      redefine
         make_for_register
      end
creation
   from_external, make, make_with_adjustment, make_for_register
feature -- creation
   make is
      do
         from_external(gtk_progress_bar_new )
      end
   make_with_adjustment (arg_adjustment : GTK_ADJUSTMENT) is
      do
         from_external(gtk_progress_bar_new_with_adjustment  (arg_adjustment.to_external))
      end

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_progress_bar_get_type)
      end

feature -- operations

   set_bar_style (arg_style : GTK_PROGRESS_BAR_STYLE) is
      do
         gtk_progress_bar_set_bar_style  (to_external, arg_style.get_value);
      end
   set_discrete_blocks (blocks : INTEGER) is
      do
         gtk_progress_bar_set_discrete_blocks  (to_external, blocks);
      end
   set_activity_step (step : INTEGER) is
      do
         gtk_progress_bar_set_activity_step  (to_external, step);
      end
   set_activity_blocks (blocks : INTEGER) is
      do
         gtk_progress_bar_set_activity_blocks  (to_external, blocks);
      end
   set_orientation (orientation : GTK_PROGRESS_BAR_ORIENTATION) is
      do
         gtk_progress_bar_set_orientation  (to_external, orientation.get_value);
      end
   update (percentage : REAL) is
      do
         np_gtk_progress_bar_update  (to_external, percentage);
      end

end -- class GTK_PROGRESS_BAR
