indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_radio_menu_item.e,v 1.6 2000/03/13 18:19:52 eugenem Exp $";

class GTK_RADIO_MENU_ITEM
inherit
   GTK_RADIO_MENU_ITEM_NP
   GTK_RADIO_MENU_ITEM_EXTERNALS
   GTK_CHECK_MENU_ITEM
      rename
         make as make_check_menu_item,
         make_with_label as make_with_label_check_menu_item
      redefine
         make_for_register
      end
creation
   from_external, make, make_with_label, make_alone,
   make_alone_with_label, make_for_register
feature -- creation
   make (arg_group : G_SLIST) is
      do
         from_external(gtk_radio_menu_item_new (to_external_with_check(arg_group)));
      end
   make_with_label (arg_group : G_SLIST; label : STRING) is
      do
         from_external(np_gtk_radio_menu_item_new_with_label  (arg_group.to_external, label))
      end
   make_alone is
      do
         from_external (gtk_radio_menu_item_new  (default_pointer))
      end
   make_alone_with_label (label : STRING) is
      do
         from_external (np_gtk_radio_menu_item_new_with_label (default_pointer, label))
      end

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_radio_menu_item_get_type);
      end

feature -- operations

   group : G_SLIST is
      do
         !!Result.from_external(gtk_radio_menu_item_group  (to_external));
      end
   set_group (arg_group : G_SLIST) is
      do
         gtk_radio_menu_item_set_group  (to_external, arg_group.to_external);
      end

end -- class GTK_RADIO_MENU_ITEM
