indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_ruler.e,v 1.5 2000/03/16 14:03:52 eugenem Exp $";

class GTK_RULER
inherit
   GTK_RULER_NP
   GTK_RULER_EXTERNALS
   GTK_WIDGET
      redefine
         make_for_register
      end
creation
   from_external, make_for_register

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_ruler_get_type)
      end

feature -- operations

   set_metric (metric : GTK_METRIC_TYPE) is
      do
         gtk_ruler_set_metric  (to_external, metric.get_value);
      end
   set_range (lower : REAL; upper : REAL; position : REAL; max_size : REAL) is
      do
         np_gtk_ruler_set_range  (to_external, lower, upper, position, max_size);
      end
   draw_ticks is
      do
         gtk_ruler_draw_ticks  (to_external);
      end
   draw_pos is
      do
         gtk_ruler_draw_pos  (to_external);
      end

end -- class GTK_RULER
