indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_tips_query.e,v 1.5 2000/03/16 14:03:52 eugenem Exp $";

class GTK_TIPS_QUERY
inherit
   GTK_TIPS_QUERY_NP
   GTK_TIPS_QUERY_EXTERNALS
   GTK_LABEL
      rename
         make as make_label
      redefine
         make_for_register
      end
creation
   from_external, make, make_for_register
feature -- creation
   make is
      do
         from_external(gtk_tips_query_new)
      end

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_tips_query_get_type)
      end

feature -- operations

   start_query is
      do
         gtk_tips_query_start_query  (to_external);
      end
   stop_query is
      do
         gtk_tips_query_stop_query  (to_external);
      end
   set_caller (caller : GTK_WIDGET) is
      do
         gtk_tips_query_set_caller  (to_external, caller.to_external);
      end
   set_labels (label_inactive : STRING; label_no_tip : STRING) is
      do
         np_gtk_tips_query_set_labels  (to_external, label_inactive, label_no_tip);
      end

end -- class GTK_TIPS_QUERY
