indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_tooltips.e,v 1.5 2000/03/16 14:03:52 eugenem Exp $";

class GTK_TOOLTIPS
inherit
   GTK_TOOLTIPS_NP
   GTK_TOOLTIPS_EXTERNALS
   GTK_DATA
      redefine
         make_for_register
      end
creation
   from_external, make
feature -- creation
   make is
      do
         from_external(gtk_tooltips_new)
      end

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_tooltips_get_type)
      end

feature -- operations

   enable is
      do
         gtk_tooltips_enable  (to_external);
      end
   disable is
      do
         gtk_tooltips_disable  (to_external);
      end
   set_delay (delay : INTEGER) is
      do
         gtk_tooltips_set_delay  (to_external, delay);
      end
   set_tip (widget : GTK_WIDGET; tip_text : STRING; tip_private : STRING) is
      do
         np_gtk_tooltips_set_tip  (to_external, widget.to_external, tip_text, tip_private);
      end
   set_colors (background : GDK_COLOR; foreground : GDK_COLOR) is
      do
         gtk_tooltips_set_colors  (to_external, background.to_external, foreground.to_external);
      end
   force_window is
      do
         gtk_tooltips_force_window  (to_external);
      end

end -- class GTK_TOOLTIPS
