indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_viewport.e,v 1.5 2000/03/16 14:03:52 eugenem Exp $";

class GTK_VIEWPORT
inherit
   GTK_VIEWPORT_EXTERNALS
   GTK_BIN
      redefine
         make_for_register
      end
creation
   from_external, make, make_for_register
feature -- creation
   make (hadjustment : GTK_ADJUSTMENT; vadjustment : GTK_ADJUSTMENT) is
      do
         from_external(gtk_viewport_new  (to_external_with_check(hadjustment), to_external_with_check(vadjustment)))
      end

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_viewport_get_type)
      end

feature -- operations

   get_hadjustment : GTK_ADJUSTMENT is
      do
         !!Result.from_external(gtk_viewport_get_hadjustment  (to_external));
      end
   get_vadjustment : GTK_ADJUSTMENT is
      do
         !!Result.from_external(gtk_viewport_get_vadjustment  (to_external));
      end
   set_hadjustment (adjustment : GTK_ADJUSTMENT) is
      do
         gtk_viewport_set_hadjustment  (to_external, adjustment.to_external);
      end
   set_vadjustment (adjustment : GTK_ADJUSTMENT) is
      do
         gtk_viewport_set_vadjustment  (to_external, adjustment.to_external);
      end
   set_shadow_type (arg_type : GTK_SHADOW_TYPE) is
      do
         gtk_viewport_set_shadow_type  (to_external, arg_type.get_value);
      end

end -- class GTK_VIEWPORT
