indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_toolbar_np.e,v 1.5 2000/03/16 14:03:55 eugenem Exp $";

class GTK_TOOLBAR_NP
inherit
   GTK_TOOLBAR_EXTERNALS
feature {NONE} -- non portable calls
   np_gtk_toolbar_insert_element (toolbar : POINTER; element_type : INTEGER;
      widget : POINTER; text, tooltip_text, tooltip_private_text : STRING;
      icon : POINTER; position : INTEGER) : POINTER is
      local
         t1, t2, t3 : ANY
      do
         t1 := text.to_c
         t2 := text.to_c
         if tooltip_private_text = Void then
            Result := gtk_toolbar_insert_element(toolbar, element_type, widget,
               $t1, $t2, default_pointer, icon, default_pointer,
               default_pointer, position)
         else
            t3 := tooltip_private_text.to_c
            Result := gtk_toolbar_insert_element(toolbar, element_type, widget,
               $t1, $t2, $t3, icon, default_pointer, default_pointer,
               position)
         end
      end
   np_gtk_toolbar_append_widget (Toolbar : POINTER; Widget : POINTER; tooltip_text : STRING; tooltip_private_text : STRING) is
      local
         t1, t2 : ANY
      do
         t1 := tooltip_text.to_c
         t2 := tooltip_private_text.to_c
         gtk_toolbar_append_widget (Toolbar, Widget, $t1, $t2)
      end
   np_gtk_toolbar_prepend_widget (Toolbar : POINTER; Widget : POINTER; tooltip_text : STRING; tooltip_private_text : STRING) is
      local
         t1, t2 : ANY
      do
         t1 := tooltip_text.to_c
         t2 := tooltip_private_text.to_c
         gtk_toolbar_prepend_widget (Toolbar, Widget, $t1, $t2)
      end
   np_gtk_toolbar_insert_widget (Toolbar : POINTER; Widget : POINTER; tooltip_text : STRING; tooltip_private_text : STRING; position : INTEGER) is
      local
         t1, t2 : ANY
      do
         t1 := tooltip_text.to_c
         t2 := tooltip_private_text.to_c
         gtk_toolbar_insert_widget (Toolbar, Widget, $t1, $t2, position)
      end
   np_gtk_toolbar_append_item(toolbar : POINTER; text : STRING;
      tooltip_text : STRING; tooltip_private_text : STRING;
      icon : POINTER; callback : POINTER; user_data : ANY) : POINTER is
      local
         t1, t2, t3 : ANY
      do
         t1 := text.to_c
         t2 := tooltip_text.to_c
         t3 := tooltip_private_text.to_c
         Result := gtk_toolbar_append_item(toolbar, $t1, $t2, $t3,
            icon, callback, user_data)
      end
end -- class GTK_TOOLBAR_NP
