indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_curve_np.e,v 1.5 2000/03/16 14:03:55 eugenem Exp $";

class GTK_CURVE_NP
inherit
   GTK_CURVE_EXTERNALS
feature {NONE} -- non portable calls

   np_gtk_curve_set_vector(curve : POINTER; vector : ARRAY[REAL]) is
      do
         gtk_curve_set_vector(curve, vector.count, vector.to_external)
      end
   np_gtk_curve_set_gamma (curve : POINTER; gamma : REAL) is
      do
         gtk_curve_set_gamma  (curve, gamma);
      end
   np_gtk_curve_set_range (curve : POINTER; min_x : REAL; max_x : REAL; min_y : REAL; max_y : REAL) is
      do
         gtk_curve_set_range  (curve, min_x, max_x, min_y, max_y);
      end

end -- class GTK_CURVE_NP
