indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_frame_np.e,v 1.5 2000/03/16 14:03:55 eugenem Exp $";

class GTK_FRAME_NP
inherit
   GTK_FRAME_EXTERNALS
feature {NONE} -- non portable calls
   np_gtk_frame_new (label : STRING) : POINTER is
   do
      if label = Void then
         Result := gtk_frame_new (default_pointer)
      else
         Result := gtk_frame_new (label.to_external)
      end
   end
   np_gtk_frame_set_label (frame : POINTER; label : STRING) is
   do
      gtk_frame_set_label (frame, label.to_external)
   end
   np_gtk_frame_set_label_align (frame : POINTER; xalign : REAL; yalign : REAL) is
      do
         gtk_frame_set_label_align (frame, xalign, yalign)
      end
end -- class GTK_FRAME_NP
