indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_toggle_button.e,v 1.3 2000/03/16 14:03:55 eugenem Exp $";

class GTK_TOGGLE_BUTTON
inherit
   GTK_TOGGLE_BUTTON_NP
   GTK_TOGGLE_BUTTON_EXTERNALS
   GTK_BUTTON
      redefine
         make,make_with_label,
         make_for_register
      end
creation
   from_external, make, make_with_label, make_for_register
feature -- creation
   make is
      do
         from_external(gtk_toggle_button_new)
      end
   make_with_label (label : STRING) is
      do
         from_external(np_gtk_toggle_button_new_with_label  (label))
      end

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_toggle_button_get_type)
      end

feature -- operations

   set_mode (arg_draw_indicator : BOOLEAN) is
      do
         gtk_toggle_button_set_mode  (to_external, arg_draw_indicator.to_integer);
      end
   set_active (arg_state : BOOLEAN) is
      do
         gtk_toggle_button_set_active  (to_external, arg_state.to_integer);
      end
   get_active : BOOLEAN is
      do
         Result:= gtk_toggle_button_get_active  (to_external);
      end
   toggled is
      do
         gtk_toggle_button_toggled  (to_external);
      end

end -- class GTK_TOGGLE_BUTTON
