indexing
    title       : "GTK ";
    cluster     : "VEGTK_Common";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: vegtk_callback_args.e,v 1.2 2000/03/13 18:19:56 eugenem Exp $";

deferred class VEGTK_CALLBACK_ARGS
feature
   make (arg_cb_data : VEGTK_CALLBACK_DATA) is
      require
         arg_cb_data /= Void
      do
         cb_data := arg_cb_data;
         fetch_callback_arguments;
      end

   get_user_data : ANY is
      require
         cb_data /= Void
      do
         if cb_data /= Void then
            Result := cb_data.get_data;
         end; -- if
      end
   get_widget : GTK_OBJECT is
      require
         cb_data /= Void
      do
         if cb_data /= Void then
            Result := cb_data.get_widget;
         end; -- if
      end

   cb_data : VEGTK_CALLBACK_DATA

feature {NONE}

   fetch_callback_arguments is
      require
         cb_data /= Void
      deferred
      end
end -- class VEGTK_CALLBACK_ARGS

