expanded class GFLOAT

feature

  set_value (value : REAL) is
    do
      item := ext_double_to_int(value)
    end

  get_value : REAL is
    do
      Result := ext_int_to_double(item)
    end

feature -- data

  item : INTEGER

feature {NONE} -- external C functions

  ext_double_to_int(value : REAL) : INTEGER is
    external "C"
    alias "double_to_int"
    end

  ext_int_to_double(value : INTEGER) : REAL is
    external "C"
    alias "int_to_double"
    end

end -- class GFLOAT
