indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_progress_np.e,v 1.5 2000/03/16 14:03:56 eugenem Exp $";

class GTK_PROGRESS_NP
inherit
   GTK_PROGRESS_EXTERNALS
feature {NONE} -- non portable calls
   np_gtk_progress_set_format_string (progress : POINTER; arg_format : STRING) is
   local
      mem : expanded MEMORY
   do
      mem.collection_off;
      gtk_progress_set_format_string (progress, arg_format.to_external);
      mem.collection_on;
   end
   np_gtk_progress_set_text_alignment  (progress : POINTER; arg_x_align, arg_y_align :REAL) is
   do
      gtk_progress_set_text_alignment  (progress, real_to_float(arg_x_align),real_to_float (arg_y_align));
   end
   np_gtk_progress_configure  (progress : POINTER; value, min, max : REAL) is
   do
      gtk_progress_configure  (progress, real_to_float (value), real_to_float (min), real_to_float (max));
   end
   np_gtk_progress_set_percentage  (progress : POINTER; percentage : REAL) is
   do
      gtk_progress_set_percentage  (progress, real_to_float(percentage));
   end
   np_gtk_progress_set_value  (progress : POINTER; value : REAL) is
   do
     gtk_progress_set_value  (progress, real_to_float(value));
   end
   np_gtk_progress_get_text_from_value  (progress : POINTER; value : REAL) : POINTER is
   do
       Result := gtk_progress_get_text_from_value  (progress, real_to_float(value));
   end
   np_gtk_progress_get_percentage_from_value (progress : POINTER; value : REAL) : REAL is
   do
      Result := c_gtk_progress_get_percentage_from_value (progress, real_to_float(value));
   end
   np_gtk_progress_get_current_percentage (progress : POINTER) : REAL is
      do
         Result:= c_gtk_progress_get_current_percentage  (progress)
      end
   np_gtk_progress_get_value (progress : POINTER) : REAL is
      do
         Result := c_gtk_progress_get_value (progress);
      end
end -- class GTK_PROGRESS_NP
