indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_entry_np.e,v 1.6 2000/03/16 14:03:56 eugenem Exp $";

class GTK_ENTRY_NP
inherit
   GTK_ENTRY_EXTERNALS
feature {NONE} -- non portable calls
   np_gtk_entry_set_text (entry : POINTER; text : STRING) is
   local
      mem : MEMORY
   do
      !!mem
      mem.collection_off;
      gtk_entry_set_text (entry, text.to_external);
      mem.collection_on;
   end
   np_gtk_entry_append_text (entry : POINTER; text : STRING) is
   local
      mem : MEMORY
   do
      !!mem
      mem.collection_off;
      gtk_entry_append_text (entry, text.to_external);
      mem.collection_on;
   end
   np_gtk_entry_prepend_text (entry : POINTER; text : STRING) is
   local
      mem : MEMORY
   do
      !!mem
      mem.collection_off;
      gtk_entry_prepend_text (entry, text.to_external);
      mem.collection_on;
   end
end -- class GTK_ENTRY_NP
