indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_font_selection_np.e,v 1.6 2000/03/16 14:03:56 eugenem Exp $";

class GTK_FONT_SELECTION_NP
inherit
   GTK_FONT_SELECTION_EXTERNALS
feature {NONE} -- non portable calls
   np_gtk_font_selection_set_font_name (fontsel : POINTER; fontname : STRING) : BOOLEAN is
   local
      mem : MEMORY
   do
      !!mem
      mem.collection_off;
      Result := gtk_font_selection_set_font_name (fontsel, fontname.to_external);
      mem.collection_on;
   end
   np_gtk_font_selection_set_preview_text (fontsel : POINTER; text : STRING) is
   local
      mem : MEMORY
   do
      !!mem
      mem.collection_off;
      gtk_font_selection_set_preview_text (fontsel, text.to_external);
      mem.collection_on;
   end
end -- class GTK_FONT_SELECTION_NP
