indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_rc_np.e,v 1.5 2000/03/13 18:19:58 eugenem Exp $";

class GTK_RC_NP
inherit
   GTK_RC_EXTERNALS
feature {NONE} -- non portable calls

   np_gtk_rc_parse (filename : STRING) is
   local
      mem : MEMORY
   do
      !!mem
      mem.collection_off;
      gtk_rc_parse (filename.to_external);
      mem.collection_on;
   end

   np_gtk_rc_add_default_file (filename : STRING) is
   local
      mem : MEMORY
   do
      !!mem
      mem.collection_off;
      gtk_rc_add_default_file (filename.to_external);
      mem.collection_on;
   end

--   np_gtk_rc_set_default_files (filenames : ARRAY[STRING]) is
--   do
--   end

   np_gtk_rc_parse_string (rc_string : STRING) is
   local
      mem : MEMORY
   do
      !!mem
      mem.collection_off;
      gtk_rc_parse_string (rc_string.to_external);
      mem.collection_on;
   end

   np_gtk_rc_add_widget_name_style (rc_style : POINTER; pattern :STRING) is
   local
      mem : MEMORY
   do
      !!mem
      mem.collection_off;
      gtk_rc_add_widget_name_style (rc_style, pattern.to_external);
      mem.collection_on;
   end

   np_gtk_rc_add_widget_class_style(rc_style : POINTER; pattern :STRING) is
   local
      mem : MEMORY
   do
      !!mem
      mem.collection_off;
      gtk_rc_add_widget_class_style (rc_style, pattern.to_external);
      mem.collection_on;
   end

   np_gtk_rc_add_class_style (rc_style : POINTER; pattern :STRING) is
   local
      mem : MEMORY
   do
      !!mem
      mem.collection_off;
      gtk_rc_add_class_style (rc_style, pattern.to_external);
      mem.collection_on;
   end

--   np_gtk_rc_get_default_files : ARRAY[STRING] is
--   do
--   end

   np_gtk_rc_load_image (colourmap,transparent_colour : POINTER;
                         filename : STRING) : POINTER is
   local
      mem : MEMORY
   do
      !!mem
      mem.collection_off;
      Result := gtk_rc_load_image (colourmap,transparent_colour,
                                   filename.to_external);
      mem.collection_on;
   end

   np_gtk_rc_find_module_in_path (module_file : STRING) : POINTER is
   local
      mem : MEMORY
   do
      !!mem
      mem.collection_off;
      Result := gtk_rc_find_module_in_path (module_file.to_external);
      mem.collection_on;
   end
end -- class GTK_RC_NP
