indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_toolbar_np.e,v 1.6 2000/03/16 14:03:56 eugenem Exp $";

class GTK_TOOLBAR_NP
inherit
   GTK_TOOLBAR_EXTERNALS
feature {NONE} -- non portable calls
   np_gtk_toolbar_insert_element (toolbar : POINTER; element_type : INTEGER;
      widget : POINTER; text, tooltip_text, tooltip_private_text : STRING;
      icon : POINTER; position : INTEGER) : POINTER is
      local
         mem : MEMORY
      do
         !!mem
         mem.collection_off
         if tooltip_private_text = Void then
            Result := gtk_toolbar_insert_element(toolbar, element_type, widget,
               text.to_external, tooltip_text.to_external,
               default_pointer, icon,
               default_pointer, default_pointer,
               position)
         else
            Result := gtk_toolbar_insert_element(toolbar, element_type, widget,
               text.to_external, tooltip_text.to_external,
               tooltip_private_text.to_external, icon,
               default_pointer, default_pointer,
               position)
         end
         mem.collection_on;
      end
   np_gtk_toolbar_append_widget (Toolbar : POINTER; Widget : POINTER; tooltip_text : STRING; tooltip_private_text : STRING) is
   local
      mem : MEMORY
   do
      !!mem
      mem.collection_off;
      gtk_toolbar_append_widget (Toolbar, Widget, tooltip_text.to_external, tooltip_private_text.to_external)
      mem.collection_on;
   end
   np_gtk_toolbar_prepend_widget (Toolbar : POINTER; Widget : POINTER; tooltip_text : STRING; tooltip_private_text : STRING) is
   local
      mem : MEMORY
   do
      !!mem
      mem.collection_off;
      gtk_toolbar_prepend_widget (Toolbar, Widget, tooltip_text.to_external, tooltip_private_text.to_external)
      mem.collection_on;
   end
   np_gtk_toolbar_insert_widget (Toolbar : POINTER; Widget : POINTER; tooltip_text : STRING; tooltip_private_text : STRING; position : INTEGER) is
   local
      mem : MEMORY
   do
      !!mem
      mem.collection_off;
      gtk_toolbar_insert_widget (Toolbar, Widget, tooltip_text.to_external, tooltip_private_text.to_external, position)
      mem.collection_on;
   end
   np_gtk_toolbar_append_item(toolbar : POINTER; text : STRING;
      tooltip_text : STRING; tooltip_private_text : STRING;
      icon : POINTER; callback : POINTER; user_data : ANY) : POINTER is
   local
      mem : MEMORY
   do
      !!mem
      mem.collection_off
      Result := gtk_toolbar_append_item(toolbar, text.to_external, tooltip_text.to_external, tooltip_private_text.to_external,
       icon, callback, user_data)
      mem.collection_on;
   end
end -- class GTK_TOOLBAR_NP
