indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_widget_np.e,v 1.6 2000/03/16 14:03:56 eugenem Exp $";

class GTK_WIDGET_NP
inherit
   GTK_WIDGET_EXTERNALS
feature {NONE} -- non portable calls
   np_gtk_widget_add_accelerator (widget : POINTER; accel_signal : STRING; accel_group : POINTER; accel_key : INTEGER; accel_mods : INTEGER; accel_flags : INTEGER) is
   local
      mem : MEMORY
   do
      !!mem
      mem.collection_off;
      gtk_widget_add_accelerator (widget, accel_signal.to_external, accel_group, accel_key, accel_mods, accel_flags)
      mem.collection_on;
   end
   np_gtk_widget_set_name (widget : POINTER; name : STRING) is
   local
      mem : MEMORY
   do
      !!mem
      mem.collection_off;
      gtk_widget_set_name (widget, name.to_external)
      mem.collection_on;
   end
end -- class GTK_WIDGET_NP
