indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_window_np.e,v 1.6 2000/03/16 14:03:56 eugenem Exp $";

class GTK_WINDOW_NP
inherit
   GTK_WINDOW_EXTERNALS
feature {NONE} -- non portable calls
   np_gtk_window_set_title (arg_window : POINTER; title : STRING) is
   local
      mem : MEMORY
   do
      !!mem
      mem.collection_off;
      gtk_window_set_title (arg_window, title.to_external)
      mem.collection_on;
   end
   np_gtk_window_set_wmclass (arg_window : POINTER; wmclass_class : STRING; wmclass_name : STRING) is
   local
      mem : MEMORY
   do
      !!mem
      mem.collection_off;
      gtk_window_set_wmclass (arg_window, wmclass_class.to_external, wmclass_name.to_external)
      mem.collection_on;
   end
end -- class GTK_WINDOW_NP
