indexing
    title       : "GTK ";
    cluster     : "VEGTK_Common";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: vegtk_string_helper.e,v 1.5 2001/10/18 06:14:16 eugenem Exp $";

class VEGTK_STRING_HELPER
   -- VE version

feature

   string_from_external(p : POINTER) : STRING is
      do
         if p = default_pointer then
            Result := Void
         else
            !!Result.make_empty
            Result.from_c(p)
         end
      end

   string_from_external_with_free(p : POINTER) : STRING is
      do
         if p = default_pointer then
            Result := Void
         else
            !!Result.make_empty
            Result.from_c(p)
            ext_g_free(p)
         end
      end

feature {NONE} -- C externals

   ext_g_free(p : POINTER) is
      external "C"
      alias "g_free"
      end

end -- class VEGTK_STRING_HELPER
