indexing
    title       : "GTK ";
    cluster     : "VEGTK_Common";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: vegtk_external_object.e,v 1.5 2000/03/16 14:03:56 eugenem Exp $";

class VEGTK_EXTERNAL_OBJECT
creation
   from_external

feature -- creation

   from_external (external_object : POINTER) is
--      require
--         not_null : external_object /= default_pointer
      do
         object_ptr := external_object
      ensure
         connected : to_external = external_object
      end

feature -- operations

   to_external_with_check(object : VEGTK_EXTERNAL_OBJECT) : POINTER is
      do
         if object = Void then
            Result := default_pointer
         else
            Result := object.to_external
         end
      ensure
         object = Void implies Result = default_pointer
      end

   to_external : POINTER is
      do
         Result := object_ptr
      end

feature {NONE} -- implementations

   object_ptr : POINTER

end -- class VEGTK_EXTERNAL_OBJECT
