class VEGTK_EXTERNAL_STRINGS
inherit
   VEGTK_EXTERNAL_ARRAY
   MEMORY
      redefine
         dispose
      end

creation
   make

feature -- Creation

   make (array : ARRAY[STRING]) is
      local
         i, j : INTEGER
         mem : MEMORY
      do
        !!mem
         mem.collection_off;
         count := array.count+1
         from_external(c_make_array_of_pointers(array.count+1))
         from
            i := array.lower
         until
            i > array.upper
         loop
            c_array_put_pointer(to_external, i-array.lower, g_strdup(array.item(i).to_external))
            i := i+1
         end -- loop
         -- NULL terminate.
         c_array_put_pointer(to_external, i-array.lower, default_pointer)
         mem.collection_on;
      end

feature -- memory managment

   dispose is
      do
         if to_external /= default_pointer then
            c_free_pointers(to_external, count)
            from_external(default_pointer)
         end
      end

feature {NONE}

   count : INTEGER

end -- class VEGTK_EXTERNAL_STRINGS
