indexing
   description: "Cursors for arrayed lists                                   ";
   title      : "EiffelBase: library of reusable components for Eiffel.      ",
                "Based on EiffelBase library for ISE Eiffel,                 ",
                "used with permission.                                       ";
   cluster    : EiffelBase;
   project    : "EiffelBase Library";
   copyright  : "(c) 1986-1997 Interactive Software Engineering Inc.         ",
                "Modifications and extensions:                               ",
                "(c) 1997 Object Tools                                       ",
                "All rights reserved. Duplication and distribution prohibited",
                "May be used only with Visual Eiffel under terms of user     ",
                "license                                                     ";
   key        : fixed_list_cursor, cursor;
   address    : "mail_to:support@object-tools.com                            ",
                "http://www.object-tools.com                                 ";

class ARRAYED_LIST_CURSOR inherit

   CURSOR

creation

   make

feature {ARRAYED_LIST, FIXED_LIST} -- Initialization

   make (current_index: INTEGER) is
         -- Create a cursor and set it up on `current_index'.
      do
         index := current_index
      end;

feature {ARRAYED_LIST, FIXED_LIST} -- Access

   index: INTEGER;
      -- Index of current item

end -- class ARRAYED_LIST_CURSOR
