indexing
   description: "Cursors for hash table traversal";
   title      : "EiffelBase: library of reusable components for Eiffel.      ",
                "Based on EiffelBase library for ISE Eiffel,                 ",
                "used with permission.                                       ";
   cluster    : EiffelBase;
   project    : "EiffelBase Library";
   copyright  : "(c) 1986-1997 Interactive Software Engineering Inc.         ",
                "Modifications and extensions:                               ",
                "(c) 1997 Object Tools                                       ",
                "All rights reserved. Duplication and distribution prohibited",
                "May be used only with Visual Eiffel under terms of user     ",
                "license                                                     ";
   key        : linked_list_cursor, cursor;
   address    : "mail_to:support@object-tools.com                            ",
                "http://www.object-tools.com                                 ";

class HASH_TABLE_CURSOR inherit

   CURSOR

creation

   make

feature {NONE} -- Initialization

   make (pos: INTEGER) is
         -- Create a new cursor.
      do
         position := pos
      ensure
         position_set: position = pos
      end

feature {HASH_TABLE} -- Access

   position: INTEGER
         -- Cursor position

end -- class HASH_TABLE_CURSOR
