indexing
   description: "Queues (first-in, first-out dispensers), without commitment ",
                "to a particular representation                              ";
   title      : "EiffelBase: library of reusable components for Eiffel.      ",
                "Based on EiffelBase library for ISE Eiffel,                 ",
                "used with permission.                                       ";
   cluster    : EiffelBase;
   project    : "EiffelBase Library";
   copyright  : "(c) 1986-1997 Interactive Software Engineering Inc.         ",
                "Modifications and extensions:                               ",
                "(c) 1997 Object Tools                                       ",
                "All rights reserved. Duplication and distribution prohibited",
                "May be used only with Visual Eiffel under terms of user     ",
                "license                                                     ";
   key        : queue, dispenser;
   address    : "mail_to:support@object-tools.com                            ",
                "http://www.object-tools.com                                 ";

deferred class QUEUE [G] inherit

        DISPENSER [G]
                export
                        {NONE} prune, prune_all
                redefine
                        force
                end

feature -- Element change

         force (v: G) is
                        -- Add `v' as newest item.
                deferred
                end;

end -- class QUEUE
