indexing
   description: "Cells containing an item";
   title      : "EiffelBase: library of reusable components for Eiffel.      ",
                "Based on EiffelBase library for ISE Eiffel,                 ",
                "used with permission.                                       ";
   cluster    : EiffelBase;
   project    : "EiffelBase Library";
   copyright  : "(c) 1986-1997 Interactive Software Engineering Inc.         ",
                "Modifications and extensions:                               ",
                "(c) 1997 Object Tools                                       ",
                "All rights reserved. Duplication and distribution prohibited",
                "May be used only with Visual Eiffel under terms of user     ",
                "license                                                     ";
   key        : cell;
   address    : "mail_to:support@object-tools.com                            ",
                "http://www.object-tools.com                                 ";

class CELL [G]
inherit
        ISE_GENERAL
        end
creation

        put

feature -- Access

        item: G;
                        -- Content of cell.

feature -- Element change
        put, replace (v : G) is
                        -- Make `v' the cell's `item'.
                do
                        item := v
                ensure
                        item_inserted: item = v
                end;

end -- class CELL
