indexing
   description: "Infinite containers whose items are in one-to-one           ",
                "correspondence with the integers.                           ";
   title      : "EiffelBase: library of reusable components for Eiffel.      ",
                "Based on EiffelBase library for ISE Eiffel,                 ",
                "used with permission.                                       ";
   cluster    : EiffelBase;
   project    : "EiffelBase Library";
   copyright  : "(c) 1986-1997 Interactive Software Engineering Inc.         ",
                "Modifications and extensions:                               ",
                "(c) 1997 Object Tools                                       ",
                "All rights reserved. Duplication and distribution prohibited",
                "May be used only with Visual Eiffel under terms of user     ",
                "license                                                     ";
   key        : countable, infinite, storage;
   address    : "mail_to:support@object-tools.com                            ",
                "http://www.object-tools.com                                 ";

deferred class COUNTABLE [G] inherit

   INFINITE [G]

feature -- Access

   item (i: INTEGER): G is
         -- The `i'-th item
      require
         positive_argument: i > 0
      deferred
      end;

end -- class COUNTABLE
