indexing
   description: "Basic mathematical constants.                              ";
   title      : "EiffelBase: library of reusable components for Eiffel.      ",
                "Based on EiffelBase library for ISE Eiffel,                 ",
                "used with permission.                                       ";
   cluster    : EiffelBase;
   project    : "EiffelBase Library";
   copyright  : "(c) 1986-1997 Interactive Software Engineering Inc.         ",
                "Modifications and extensions:                               ",
                "(c) 1997 Object Tools                                       ",
                "All rights reserved. Duplication and distribution prohibited",
                "May be used only with Visual Eiffel under terms of user     ",
                "license                                                     ";
   address    : "mail_to:support@object-tools.com                            ",
                "http://www.object-tools.com                                 ";

class
   MATH_CONST

feature {NONE} -- Access

   Pi: DOUBLE is 3.14159265358979323846;

   Sqrt2: DOUBLE is 1.41421356237309504880;
         -- Square root of 2

   Euler: DOUBLE is 2.7182818284590452354;
         -- Logarithm base

end -- class MATH_CONST
