/*
   cluster:     "velibc";
   project:     "Visual Eiffel libc Library";
   date:        "$Date: 2005/02/01 10:20:43 $";
   revision:    "$Revision: 1.1 $";
   copyright:   "Copyright (C) 1996-2005 Object Tools Group";
   license:     "http://visual-eiffel.com/license";
   disclaimer:  "[
      This program is free software; you can redistribute it and/or modify it 
      under the terms of the GNU General Public License as published by the 
      Free Software Foundation; either version 2 of the License, or (at your 
      option) any later version. This program is distributed in the hope that 
      it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
      See the GNU General Public License for more details. 
      You should have received a copy of the GNU General Public License along 
      with this program; if not, write to the Free Software Foundation, Inc., 
      59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
   ]";
   restrictions: "[
      if you want to use this program under a different license type, contact 
      Object Tools http://www.object-tools.com
   ]";

*/

#include <dlfcn.h>

void* VELIBC_dlopen (const char *filename,int options)
{
  return dlopen(filename, options);
}

const char* VELIBC_dlerror ()
{
  return dlerror();
}

void* VELIBC_dlsym(void *handle, char *symbol)
{
  return dlsym(handle, symbol);
}

int VELIBC_dlclose (void *handle)
{
  return dlclose (handle);
}

int VELIBC_RTLD_GLOBAL()
{
  return RTLD_GLOBAL;
}

int VELIBC_RTLD_LAZY()
{
  return RTLD_LAZY;
}

int VELIBC_RTLD_NOW()
{
  return RTLD_NOW;
}
