/*
   cluster:     "velibc";
   project:     "Visual Eiffel libc Library";
   date:        "$Date: 2005/02/01 10:20:43 $";
   revision:    "$Revision: 1.1 $";
   copyright:   "Copyright (C) 1996-2005 Object Tools Group";
   license:     "http://visual-eiffel.com/license";
   disclaimer:  "[
      This program is free software; you can redistribute it and/or modify it 
      under the terms of the GNU General Public License as published by the 
      Free Software Foundation; either version 2 of the License, or (at your 
      option) any later version. This program is distributed in the hope that 
      it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
      See the GNU General Public License for more details. 
      You should have received a copy of the GNU General Public License along 
      with this program; if not, write to the Free Software Foundation, Inc., 
      59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
   ]";
   restrictions: "[
      if you want to use this program under a different license type, contact 
      Object Tools http://www.object-tools.com
   ]";

*/

#include <errno.h>

int VELIBC_errno()
{
  return errno;
}

int VELIBC_clear_errno()
{
  errno=0;
}

int VELIBC_EPERM()
{
   return EPERM;
}
int VELIBC_ENOENT()
{
  return ENOENT;
}
int VELIBC_ESRCH()
{
   return ESRCH;
}
int VELIBC_EINTR()
{
   return EINTR;
}
int VELIBC_EIO()
{
   return EIO;
}
int VELIBC_ENXIO()
{
   return ENXIO;
}
int VELIBC_E2BIG()
{
   return E2BIG;
}
int VELIBC_ENOEXEC()
{
   return ENOEXEC;
}
int VELIBC_EBADF()
{
   return EBADF;
}
int VELIBC_ECHILD()
{
   return ECHILD;
}
int VELIBC_EAGAIN()
{
   return EAGAIN;
}
int VELIBC_ENOMEM()
{
   return ENOMEM;
}
int VELIBC_EACCES()
{
   return EACCES;
}
int VELIBC_EFAULT()
{
   return EFAULT;
}
int VELIBC_ENOTBLK()
{
   return ENOTBLK;
}
int VELIBC_EBUSY()
{
   return EBUSY;
}
int VELIBC_EEXIST()
{
   return EEXIST;
}
int VELIBC_EXDEV()
{
   return EXDEV;
}
int VELIBC_ENODEV()
{
   return ENODEV;
}
int VELIBC_ENOTDIR()
{
   return ENOTDIR;
}
int VELIBC_EISDIR()
{
   return EISDIR;
}
int VELIBC_EINVAL()
{
   return EINVAL;
}
int VELIBC_ENFILE()
{
   return ENFILE;
}
int VELIBC_EMFILE()
{
   return EMFILE;
}
int VELIBC_ENOTTY()
{
   return ENOTTY;
}
int VELIBC_ETXTBSY()
{
   return ETXTBSY;
}
int VELIBC_EFBIG()
{
   return EFBIG;
}
int VELIBC_ENOSPC()
{
   return ENOSPC;
}
int VELIBC_ESPIPE()
{
   return ESPIPE;
}
int VELIBC_EROFS()
{
   return EROFS;
}
int VELIBC_EMLINK()
{
   return EMLINK;
}
int VELIBC_EPIPE()
{
   return EPIPE;
}
int VELIBC_EDOM()
{
   return EDOM;
}
int VELIBC_ERANGE()
{
   return ERANGE;
}
int VELIBC_EDEADLK()
{
   return EDEADLK;
}
int VELIBC_ENAMETOOLONG()
{
   return ENAMETOOLONG;
}
int VELIBC_ENOLCK()
{
   return ENOLCK;
}
int VELIBC_ENOSYS()
{
   return ENOSYS;
}
int VELIBC_ENOTEMPTY()
{
   return ENOTEMPTY;
}
int VELIBC_ELOOP()
{
   return ELOOP;
}
int VELIBC_EWOULDBLOCK()
{
   return EWOULDBLOCK;
}
int VELIBC_ENOMSG()
{
   return ENOMSG;
}
int VELIBC_EIDRM()
{
   return EIDRM;
}
int VELIBC_ECHRNG()
{
   return ECHRNG;
}
int VELIBC_EL2NSYNC()
{
   return EL2NSYNC;
}
int VELIBC_EL3HLT()
{
   return EL3HLT;
}
int VELIBC_EL3RST()
{
   return EL3RST;
}
int VELIBC_ELNRNG()
{
   return ELNRNG;
}
int VELIBC_EUNATCH()
{
   return EUNATCH;
}
int VELIBC_ENOCSI()
{
   return ENOCSI;
}
int VELIBC_EL2HLT()
{
   return EL2HLT;
}
int VELIBC_EBADE()
{
   return EBADE;
}
int VELIBC_EBADR()
{
   return EBADR;
}
int VELIBC_EXFULL()
{
   return EXFULL;
}
int VELIBC_ENOANO()
{
   return ENOANO;
}
int VELIBC_EBADRQC()
{
   return EBADRQC;
}
int VELIBC_EBADSLT()
{
   return EBADSLT;
}
int VELIBC_EDEADLOCK()
{
   return EDEADLOCK;
}
int VELIBC_EBFONT()
{
   return EBFONT;
}
int VELIBC_ENOSTR()
{
   return ENOSTR;
}
int VELIBC_ENODATA()
{
   return ENODATA;
}
int VELIBC_ETIME()
{
   return ETIME;
}
int VELIBC_ENOSR()
{
   return ENOSR;
}
int VELIBC_ENONET()
{
   return ENONET;
}
int VELIBC_ENOPKG()
{
   return ENOPKG;
}
int VELIBC_EREMOTE()
{
   return EREMOTE;
}
int VELIBC_ENOLINK()
{
   return ENOLINK;
}
int VELIBC_EADV()
{
   return EADV;
}
int VELIBC_ESRMNT()
{
   return ESRMNT;
}
int VELIBC_ECOMM()
{
   return ECOMM;
}
int VELIBC_EPROTO()
{
   return EPROTO;
}
int VELIBC_EMULTIHOP()
{
   return EMULTIHOP;
}
int VELIBC_EDOTDOT()
{
   return EDOTDOT;
}
int VELIBC_EBADMSG()
{
   return EBADMSG;
}
int VELIBC_EOVERFLOW()
{
   return EOVERFLOW;
}
int VELIBC_ENOTUNIQ()
{
   return ENOTUNIQ;
}
int VELIBC_EBADFD()
{
   return EBADFD;
}
int VELIBC_EREMCHG()
{
  return EREMCHG;
}
int VELIBC_ELIBACC()
{
  return ELIBACC;
}
int VELIBC_ELIBBAD()
{
  return ELIBBAD;
}
int VELIBC_ELIBSCN()
{
  return ELIBSCN;
}
int VELIBC_ELIBMAX()
{
  return ELIBMAX;
}
int VELIBC_ELIBEXEC()
{
  return ELIBEXEC;
}
int VELIBC_EILSEQ()
{
  return EILSEQ;
}
int VELIBC_ERESTART()
{
  return ERESTART;
}
int VELIBC_ESTRPIPE()
{
  return ESTRPIPE;
}
int VELIBC_EUSERS()
{
  return EUSERS;
}
int VELIBC_ENOTSOCK()
{
  return ENOTSOCK;
}
int VELIBC_EDESTADDRREQ()
{
  return EDESTADDRREQ;
}
int VELIBC_EMSGSIZE()
{
  return EMSGSIZE;
}
int VELIBC_EPROTOTYPE()
{
  return EPROTOTYPE;
}
int VELIBC_ENOPROTOOPT()
{
  return ENOPROTOOPT;
}
int VELIBC_EPROTONOSUPPORT()
{
  return EPROTONOSUPPORT;
}
int VELIBC_ESOCKTNOSUPPORT()
{
  return ESOCKTNOSUPPORT;
}
int VELIBC_EOPNOTSUPP()
{
  return EOPNOTSUPP;
}
int VELIBC_EPFNOSUPPORT()
{
  return EPFNOSUPPORT;
}
int VELIBC_EAFNOSUPPORT()
{
  return EAFNOSUPPORT;
}
int VELIBC_EADDRINUSE()
{
  return EADDRINUSE;
}
int VELIBC_EADDRNOTAVAIL()
{
  return EADDRNOTAVAIL;
}
int VELIBC_ENETDOWN()
{
  return ENETDOWN;
}
int VELIBC_ENETUNREACH()
{
  return ENETUNREACH;
}
int VELIBC_ENETRESET()
{
  return ENETRESET;
}
int VELIBC_ECONNABORTED()
{
  return ECONNABORTED;
}
int VELIBC_ECONNRESET()
{
  return ECONNRESET;
}
int VELIBC_ENOBUFS()
{
  return ENOBUFS;
}
int VELIBC_EISCONN()
{
  return EISCONN;
}
int VELIBC_ENOTCONN()
{
  return ENOTCONN;
}
int VELIBC_ESHUTDOWN()
{
  return ESHUTDOWN;
}
int VELIBC_ETOOMANYREFS()
{
  return ETOOMANYREFS;
}
int VELIBC_ETIMEDOUT()
{
  return ETIMEDOUT;
}
int VELIBC_ECONNREFUSED()
{
  return ECONNREFUSED;
}
int VELIBC_EHOSTDOWN()
{
  return EHOSTDOWN;
}
int VELIBC_EHOSTUNREACH()
{
  return EHOSTUNREACH;
}
int VELIBC_EALREADY()
{
  return EALREADY;
}
int VELIBC_EINPROGRESS()
{
  return EINPROGRESS;
}
int VELIBC_ESTALE()
{
  return ESTALE;
}
int VELIBC_EUCLEAN()
{
  return EUCLEAN;
}
int VELIBC_ENOTNAM()
{
  return ENOTNAM;
}
int VELIBC_ENAVAIL()
{
  return ENAVAIL;
}
int VELIBC_EISNAM()
{
  return EISNAM;
}
int VELIBC_EREMOTEIO()
{
  return EREMOTEIO;
}
int VELIBC_EDQUOT()
{
  return EDQUOT;
}
int VELIBC_ENOMEDIUM()
{
  return ENOMEDIUM;
}
int VELIBC_EMEDIUMTYPE()
{
  return EMEDIUMTYPE;
}
