/*
   cluster:     "velibc";
   project:     "Visual Eiffel libc Library";
   date:        "$Date: 2005/02/01 10:20:43 $";
   revision:    "$Revision: 1.1 $";
   copyright:   "Copyright (C) 1996-2005 Object Tools Group";
   license:     "http://visual-eiffel.com/license";
   disclaimer:  "[
      This program is free software; you can redistribute it and/or modify it 
      under the terms of the GNU General Public License as published by the 
      Free Software Foundation; either version 2 of the License, or (at your 
      option) any later version. This program is distributed in the hope that 
      it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
      See the GNU General Public License for more details. 
      You should have received a copy of the GNU General Public License along 
      with this program; if not, write to the Free Software Foundation, Inc., 
      59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
   ]";
   restrictions: "[
      if you want to use this program under a different license type, contact 
      Object Tools http://www.object-tools.com
   ]";

*/

#include <sys/stat.h>

int VELIBC_S_IRWXU()
{
  return S_IRWXU;
}

int VELIBC_S_IRUSR()
{
  return S_IRUSR;
}

int VELIBC_S_IWUSR()
{
  return S_IWUSR;
}

int VELIBC_S_IXUSR()
{
  return S_IXUSR;
}

int VELIBC_S_IRWXG()
{
  return S_IRWXG;
}

int VELIBC_S_IRGRP()
{
  return S_IRGRP;
}

int VELIBC_S_IWGRP()
{
  return S_IWGRP;
}

int VELIBC_S_IXGRP()
{
  return S_IXGRP;
}

int VELIBC_S_IRWXO()
{
  return S_IRWXO;
}

int VELIBC_S_IROTH()
{
  return S_IROTH;
}

int VELIBC_S_IWOTH()
{
  return S_IWOTH;
}

int VELIBC_S_IXOTH()
{
  return S_IXOTH;
}

int VELIBC_S_IFMT()
{
  return S_IFMT;
}

int VELIBC_S_IFSOCK()
{
  return S_IFSOCK;
}

int VELIBC_S_IFLNK()
{
  return S_IFLNK;
}

int VELIBC_S_IFREG()
{
  return S_IFREG;
}

int VELIBC_S_IFBLK()
{
  return S_IFBLK;
}

int VELIBC_S_IFDIR()
{
  return S_IFDIR;
}

int VELIBC_S_IFCHR()
{
  return S_IFCHR;
}

int VELIBC_S_IFIFO()
{
  return S_IFIFO;
}

int VELIBC_S_ISUID()
{
  return S_ISUID;
}

int VELIBC_S_ISGID()
{
  return S_ISGID;
}

int VELIBC_S_ISVTX()
{
  return S_ISVTX;
}
