/*
   cluster:     "velibc";
   project:     "Visual Eiffel libc Library";
   date:        "$Date: 2005/02/01 10:20:43 $";
   revision:    "$Revision: 1.1 $";
   copyright:   "Copyright (C) 1996-2005 Object Tools Group";
   license:     "http://visual-eiffel.com/license";
   disclaimer:  "[
      This program is free software; you can redistribute it and/or modify it 
      under the terms of the GNU General Public License as published by the 
      Free Software Foundation; either version 2 of the License, or (at your 
      option) any later version. This program is distributed in the hope that 
      it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
      See the GNU General Public License for more details. 
      You should have received a copy of the GNU General Public License along 
      with this program; if not, write to the Free Software Foundation, Inc., 
      59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
   ]";
   restrictions: "[
      if you want to use this program under a different license type, contact 
      Object Tools http://www.object-tools.com
   ]";

*/

#include <sys/types.h>
#include <sys/wait.h>
extern int VERT_argc;


int VELIBC_wait(int *status)
{
  return wait(status);
}  

int VELIBC_waitpid(int pid, int* status,int options)
{
  return waitpid(pid,status,options);
}

int VELIBC_WIFEXITED(int status)
{
  return WIFEXITED(status)!=0;
}

int VELIBC_WEXITSTATUS(int status)
{
  return WEXITSTATUS(status);
}

int VELIBC_WIFSIGNALED(int status)
{
  return WIFSIGNALED(status)!=0;
}

int VELIBC_WTERMSIG(int status)
{
  return WTERMSIG(status);
}

int VELIBC_WIFSTOPPED(int status)
{
  return WIFSTOPPED(status)!=0;
}

int VELIBC_WSTOPSIG(int status)
{
  return WSTOPSIG(status);
}
