indexing

   cluster:     "velibc";
   project:     "Visual Eiffel libc Library";
   date:        "$Date: 2005/02/15 16:22:09 $";
   revision:    "$Revision: 1.2 $";
   copyright:   "Copyright (C) 1996-2005 Object Tools Group";
   license:     "http://visual-eiffel.com/license";
   disclaimer:  "[
      This program is free software; you can redistribute it and/or modify it 
      under the terms of the GNU General Public License as published by the 
      Free Software Foundation; either version 2 of the License, or (at your 
      option) any later version. This program is distributed in the hope that 
      it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
      See the GNU General Public License for more details. 
      You should have received a copy of the GNU General Public License along 
      with this program; if not, write to the Free Software Foundation, Inc., 
      59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
   ]";
   restrictions: "[
      if you want to use this program under a different license type, contact 
      Object Tools http://www.object-tools.com
   ]";

class VELIBC_ERRNO_CONSTANTS

feature

   EPERM: INTEGER is
      once
         Result:=ext_EPERM;
      end

   ENOENT: INTEGER is
      once
         Result:=ext_ENOENT;
      end

   ESRCH: INTEGER is
      once
         Result:=ext_ESRCH;
      end

   EINTR: INTEGER is
      once
         Result:=ext_EINTR;
      end

   EIO: INTEGER is
      once
         Result:=ext_EIO;
      end

   ENXIO: INTEGER is
      once
         Result:=ext_ENXIO;
      end

   E2BIG: INTEGER is
      once
         Result:=ext_E2BIG;
      end

   ENOEXEC: INTEGER is
      once
         Result:=ext_ENOEXEC;
      end

   EBADF: INTEGER is
      once
         Result:=ext_EBADF;
      end

   ECHILD: INTEGER is
      once
         Result:=ext_ECHILD;
      end

   EAGAIN: INTEGER is
      once
         Result:=ext_EAGAIN;
      end

   ENOMEM: INTEGER is
      once
         Result:=ext_ENOMEM;
      end

   EACCES: INTEGER is
      once
         Result:=ext_EACCES;
      end

   EFAULT: INTEGER is
      once
         Result:=ext_EFAULT;
      end

   ENOTBLK: INTEGER is
      once
         Result:=ext_ENOTBLK;
      end

   EBUSY: INTEGER is
      once
         Result:=ext_EBUSY;
      end

   EEXIST: INTEGER is
      once
         Result:=ext_EEXIST;
      end

   EXDEV: INTEGER is
      once
         Result:=ext_EXDEV;
      end

   ENODEV: INTEGER is
      once
         Result:=ext_ENODEV;
      end

   ENOTDIR: INTEGER is
      once
         Result:=ext_ENOTDIR;
      end

   EISDIR: INTEGER is
      once
         Result:=ext_EISDIR;
      end

   EINVAL: INTEGER is
      once
         Result:=ext_EINVAL;
      end

   ENFILE: INTEGER is
      once
         Result:=ext_ENFILE;
      end

   EMFILE: INTEGER is
      once
         Result:=ext_EMFILE;
      end

   ENOTTY: INTEGER is
      once
         Result:=ext_ENOTTY;
      end

   ETXTBSY: INTEGER is
      once
         Result:=ext_ETXTBSY;
      end

   EFBIG: INTEGER is
      once
         Result:=ext_EFBIG;
      end

   ENOSPC: INTEGER is
      once
         Result:=ext_ENOSPC;
      end

   ESPIPE: INTEGER is
      once
         Result:=ext_ESPIPE;
      end

   EROFS: INTEGER is
      once
         Result:=ext_EROFS;
      end

   EMLINK: INTEGER is
      once
         Result:=ext_EMLINK;
      end

   EPIPE: INTEGER is
      once
         Result:=ext_EPIPE;
      end

   EDOM: INTEGER is
      once
         Result:=ext_EDOM;
      end

   ERANGE: INTEGER is
      once
         Result:=ext_ERANGE;
      end

   EDEADLK: INTEGER is
      once
         Result:=ext_EDEADLK;
      end

   ENAMETOOLONG: INTEGER is
      once
         Result:=ext_ENAMETOOLONG;
      end

   ENOLCK: INTEGER is
      once
         Result:=ext_ENOLCK;
      end

   ENOSYS: INTEGER is
      once
         Result:=ext_ENOSYS;
      end

   ENOTEMPTY: INTEGER is
      once
         Result:=ext_ENOTEMPTY;
      end

   ELOOP: INTEGER is
      once
         Result:=ext_ELOOP;
      end

   EWOULDBLOCK: INTEGER is
      once
         Result:=ext_EWOULDBLOCK;
      end

   ENOMSG: INTEGER is
      once
         Result:=ext_ENOMSG;
      end

   EIDRM: INTEGER is
      once
         Result:=ext_EIDRM;
      end

   ECHRNG: INTEGER is
      once
         Result:=ext_ECHRNG;
      end

   EL2NSYNC: INTEGER is
      once
         Result:=ext_EL2NSYNC;
      end

   EL3HLT: INTEGER is
      once
         Result:=ext_EL3HLT;
      end

   EL3RST: INTEGER is
      once
         Result:=ext_EL3RST;
      end

   ELNRNG: INTEGER is
      once
         Result:=ext_ELNRNG;
      end

   EUNATCH: INTEGER is
      once
         Result:=ext_EUNATCH;
      end

   ENOCSI: INTEGER is
      once
         Result:=ext_ENOCSI;
      end

   EL2HLT: INTEGER is
      once
         Result:=ext_EL2HLT;
      end

   EBADE: INTEGER is
      once
         Result:=ext_EBADE;
      end

   EBADR: INTEGER is
      once
         Result:=ext_EBADR;
      end

   EXFULL: INTEGER is
      once
         Result:=ext_EXFULL;
      end

   ENOANO: INTEGER is
      once
         Result:=ext_ENOANO;
      end

   EBADRQC: INTEGER is
      once
         Result:=ext_EBADRQC;
      end

   EBADSLT: INTEGER is
      once
         Result:=ext_EBADSLT;
      end

   EDEADLOCK: INTEGER is
      once
         Result:=ext_EDEADLOCK;
      end

   EBFONT: INTEGER is
      once
         Result:=ext_EBFONT;
      end

   ENOSTR: INTEGER is
      once
         Result:=ext_ENOSTR;
      end

   ENODATA: INTEGER is
      once
         Result:=ext_ENODATA;
      end

   ETIME: INTEGER is
      once
         Result:=ext_ETIME;
      end

   ENOSR: INTEGER is
      once
         Result:=ext_ENOSR;
      end

   ENONET: INTEGER is
      once
         Result:=ext_ENONET;
      end

   ENOPKG: INTEGER is
      once
         Result:=ext_ENOPKG;
      end

   EREMOTE: INTEGER is
      once
         Result:=ext_EREMOTE;
      end

   ENOLINK: INTEGER is
      once
         Result:=ext_ENOLINK;
      end

   EADV: INTEGER is
      once
         Result:=ext_EADV;
      end

   ESRMNT: INTEGER is
      once
         Result:=ext_ESRMNT;
      end

   ECOMM: INTEGER is
      once
         Result:=ext_ECOMM;
      end

   EPROTO: INTEGER is
      once
         Result:=ext_EPROTO;
      end

   EMULTIHOP: INTEGER is
      once
         Result:=ext_EMULTIHOP;
      end

   EDOTDOT: INTEGER is
      once
         Result:=ext_EDOTDOT;
      end

   EBADMSG: INTEGER is
      once
         Result:=ext_EBADMSG;
      end

   EOVERFLOW: INTEGER is
      once
         Result:=ext_EOVERFLOW;
      end

   ENOTUNIQ: INTEGER is
      once
         Result:=ext_ENOTUNIQ;
      end

   EBADFD: INTEGER is
      once
         Result:=ext_EBADFD;
      end

   EREMCHG: INTEGER is
      once
         Result:=ext_EREMCHG;
      end

   ELIBACC: INTEGER is
      once
         Result:=ext_ELIBACC;
      end

   ELIBBAD: INTEGER is
      once
         Result:=ext_ELIBBAD;
      end

   ELIBSCN: INTEGER is
      once
         Result:=ext_ELIBSCN;
      end

   ELIBMAX: INTEGER is
      once
         Result:=ext_ELIBMAX;
      end

   ELIBEXEC: INTEGER is
      once
         Result:=ext_ELIBEXEC;
      end

   EILSEQ: INTEGER is
      once
         Result:=ext_EILSEQ;
      end

   ERESTART: INTEGER is
      once
         Result:=ext_ERESTART;
      end

   ESTRPIPE: INTEGER is
      once
         Result:=ext_ESTRPIPE;
      end

   EUSERS: INTEGER is
      once
         Result:=ext_EUSERS;
      end

   ENOTSOCK: INTEGER is
      once
         Result:=ext_ENOTSOCK;
      end

   EDESTADDRREQ: INTEGER is
      once
         Result:=ext_EDESTADDRREQ;
      end

   EMSGSIZE: INTEGER is
      once
         Result:=ext_EMSGSIZE;
      end

   EPROTOTYPE: INTEGER is
      once
         Result:=ext_EPROTOTYPE;
      end

   ENOPROTOOPT: INTEGER is
      once
         Result:=ext_ENOPROTOOPT;
      end

   EPROTONOSUPPORT: INTEGER is
      once
         Result:=ext_EPROTONOSUPPORT;
      end

   ESOCKTNOSUPPORT: INTEGER is
      once
         Result:=ext_ESOCKTNOSUPPORT;
      end

   EOPNOTSUPP: INTEGER is
      once
         Result:=ext_EOPNOTSUPP;
      end

   EPFNOSUPPORT: INTEGER is
      once
         Result:=ext_EPFNOSUPPORT;
      end

   EAFNOSUPPORT: INTEGER is
      once
         Result:=ext_EAFNOSUPPORT;
      end

   EADDRINUSE: INTEGER is
      once
         Result:=ext_EADDRINUSE;
      end

   EADDRNOTAVAIL: INTEGER is
      once
         Result:=ext_EADDRNOTAVAIL;
      end

   ENETDOWN: INTEGER is
      once
         Result:=ext_ENETDOWN;
      end

   ENETUNREACH: INTEGER is
      once
         Result:=ext_ENETUNREACH;
      end

   ENETRESET: INTEGER is
      once
         Result:=ext_ENETRESET;
      end

   ECONNABORTED: INTEGER is
      once
         Result:=ext_ECONNABORTED;
      end

   ECONNRESET: INTEGER is
      once
         Result:=ext_ECONNRESET;
      end

   ENOBUFS: INTEGER is
      once
         Result:=ext_ENOBUFS;
      end

   EISCONN: INTEGER is
      once
         Result:=ext_EISCONN;
      end

   ENOTCONN: INTEGER is
      once
         Result:=ext_ENOTCONN;
      end

   ESHUTDOWN: INTEGER is
      once
         Result:=ext_ESHUTDOWN;
      end

   ETOOMANYREFS: INTEGER is
      once
         Result:=ext_ETOOMANYREFS;
      end

   ETIMEDOUT: INTEGER is
      once
         Result:=ext_ETIMEDOUT;
      end

   ECONNREFUSED: INTEGER is
      once
         Result:=ext_ECONNREFUSED;
      end

   EHOSTDOWN: INTEGER is
      once
         Result:=ext_EHOSTDOWN;
      end

   EHOSTUNREACH: INTEGER is
      once
         Result:=ext_EHOSTUNREACH;
      end

   EALREADY: INTEGER is
      once
         Result:=ext_EALREADY;
      end

   EINPROGRESS: INTEGER is
      once
         Result:=ext_EINPROGRESS;
      end

   ESTALE: INTEGER is
      once
         Result:=ext_ESTALE;
      end

   EUCLEAN: INTEGER is
      once
         Result:=ext_EUCLEAN;
      end

   ENOTNAM: INTEGER is
      once
         Result:=ext_ENOTNAM;
      end

   ENAVAIL: INTEGER is
      once
         Result:=ext_ENAVAIL;
      end

   EISNAM: INTEGER is
      once
         Result:=ext_EISNAM;
      end

   EREMOTEIO: INTEGER is
      once
         Result:=ext_EREMOTEIO;
      end

   EDQUOT: INTEGER is
      once
         Result:=ext_EDQUOT;
      end

   ENOMEDIUM: INTEGER is
      once
         Result:=ext_ENOMEDIUM;
      end

   EMEDIUMTYPE: INTEGER is
      once
         Result:=ext_EMEDIUMTYPE;
      end

feature {NONE}

   ext_EPERM: INTEGER is
      external "C"
      alias "VELIBC_EPERM"
      end

   ext_ENOENT: INTEGER is
      external "C"
      alias "VELIBC_ENOENT"
      end

   ext_ESRCH: INTEGER is
      external "C"
      alias "VELIBC_ESRCH"
      end

   ext_EINTR: INTEGER is
      external "C"
      alias "VELIBC_EINTR"
      end

   ext_EIO: INTEGER is
      external "C"
      alias "VELIBC_EIO"
      end

   ext_ENXIO: INTEGER is
      external "C"
      alias "VELIBC_ENXIO"
      end

   ext_E2BIG: INTEGER is
      external "C"
      alias "VELIBC_E2BIG"
      end

   ext_ENOEXEC: INTEGER is
      external "C"
      alias "VELIBC_ENOEXEC"
      end

   ext_EBADF: INTEGER is
      external "C"
      alias "VELIBC_EBADF"
      end

   ext_ECHILD: INTEGER is
      external "C"
      alias "VELIBC_ECHILD"
      end

   ext_EAGAIN: INTEGER is
      external "C"
      alias "VELIBC_EAGAIN"
      end

   ext_ENOMEM: INTEGER is
      external "C"
      alias "VELIBC_ENOMEM"
      end

   ext_EACCES: INTEGER is
      external "C"
      alias "VELIBC_EACCES"
      end

   ext_EFAULT: INTEGER is
      external "C"
      alias "VELIBC_EFAULT"
      end

   ext_ENOTBLK: INTEGER is
      external "C"
      alias "VELIBC_ENOTBLK"
      end

   ext_EBUSY: INTEGER is
      external "C"
      alias "VELIBC_EBUSY"
      end

   ext_EEXIST: INTEGER is
      external "C"
      alias "VELIBC_EEXIST"
      end

   ext_EXDEV: INTEGER is
      external "C"
      alias "VELIBC_EXDEV"
      end

   ext_ENODEV: INTEGER is
      external "C"
      alias "VELIBC_ENODEV"
      end

   ext_ENOTDIR: INTEGER is
      external "C"
      alias "VELIBC_ENOTDIR"
      end

   ext_EISDIR: INTEGER is
      external "C"
      alias "VELIBC_EISDIR"
      end

   ext_EINVAL: INTEGER is
      external "C"
      alias "VELIBC_EINVAL"
      end

   ext_ENFILE: INTEGER is
      external "C"
      alias "VELIBC_ENFILE"
      end

   ext_EMFILE: INTEGER is
      external "C"
      alias "VELIBC_EMFILE"
      end

   ext_ENOTTY: INTEGER is
      external "C"
      alias "VELIBC_ENOTTY"
      end

   ext_ETXTBSY: INTEGER is
      external "C"
      alias "VELIBC_ETXTBSY"
      end

   ext_EFBIG: INTEGER is
      external "C"
      alias "VELIBC_EFBIG"
      end

   ext_ENOSPC: INTEGER is
      external "C"
      alias "VELIBC_ENOSPC"
      end

   ext_ESPIPE: INTEGER is
      external "C"
      alias "VELIBC_ESPIPE"
      end

   ext_EROFS: INTEGER is
      external "C"
      alias "VELIBC_EROFS"
      end

   ext_EMLINK: INTEGER is
      external "C"
      alias "VELIBC_EMLINK"
      end

   ext_EPIPE: INTEGER is
      external "C"
      alias "VELIBC_EPIPE"
      end

   ext_EDOM: INTEGER is
      external "C"
      alias "VELIBC_EDOM"
      end

   ext_ERANGE: INTEGER is
      external "C"
      alias "VELIBC_ERANGE"
      end

   ext_EDEADLK: INTEGER is
      external "C"
      alias "VELIBC_EDEADLK"
      end

   ext_ENAMETOOLONG: INTEGER is
      external "C"
      alias "VELIBC_ENAMETOOLONG"
      end

   ext_ENOLCK: INTEGER is
      external "C"
      alias "VELIBC_ENOLCK"
      end

   ext_ENOSYS: INTEGER is
      external "C"
      alias "VELIBC_ENOSYS"
      end

   ext_ENOTEMPTY: INTEGER is
      external "C"
      alias "VELIBC_ENOTEMPTY"
      end

   ext_ELOOP: INTEGER is
      external "C"
      alias "VELIBC_ELOOP"
      end

   ext_EWOULDBLOCK: INTEGER is
      external "C"
      alias "VELIBC_EWOULDBLOCK"
      end

   ext_ENOMSG: INTEGER is
      external "C"
      alias "VELIBC_ENOMSG"
      end

   ext_EIDRM: INTEGER is
      external "C"
      alias "VELIBC_EIDRM"
      end

   ext_ECHRNG: INTEGER is
      external "C"
      alias "VELIBC_ECHRNG"
      end

   ext_EL2NSYNC: INTEGER is
      external "C"
      alias "VELIBC_EL2NSYNC"
      end

   ext_EL3HLT: INTEGER is
      external "C"
      alias "VELIBC_EL3HLT"
      end

   ext_EL3RST: INTEGER is
      external "C"
      alias "VELIBC_EL3RST"
      end

   ext_ELNRNG: INTEGER is
      external "C"
      alias "VELIBC_ELNRNG"
      end

   ext_EUNATCH: INTEGER is
      external "C"
      alias "VELIBC_EUNATCH"
      end

   ext_ENOCSI: INTEGER is
      external "C"
      alias "VELIBC_ENOCSI"
      end

   ext_EL2HLT: INTEGER is
      external "C"
      alias "VELIBC_EL2HLT"
      end

   ext_EBADE: INTEGER is
      external "C"
      alias "VELIBC_EBADE"
      end

   ext_EBADR: INTEGER is
      external "C"
      alias "VELIBC_EBADR"
      end

   ext_EXFULL: INTEGER is
      external "C"
      alias "VELIBC_EXFULL"
      end

   ext_ENOANO: INTEGER is
      external "C"
      alias "VELIBC_ENOANO"
      end

   ext_EBADRQC: INTEGER is
      external "C"
      alias "VELIBC_EBADRQC"
      end

   ext_EBADSLT: INTEGER is
      external "C"
      alias "VELIBC_EBADSLT"
      end

   ext_EDEADLOCK: INTEGER is
      external "C"
      alias "VELIBC_EDEADLOCK"
      end

   ext_EBFONT: INTEGER is
      external "C"
      alias "VELIBC_EBFONT"
      end

   ext_ENOSTR: INTEGER is
      external "C"
      alias "VELIBC_ENOSTR"
      end

   ext_ENODATA: INTEGER is
      external "C"
      alias "VELIBC_ENODATA"
      end

   ext_ETIME: INTEGER is
      external "C"
      alias "VELIBC_ETIME"
      end

   ext_ENOSR: INTEGER is
      external "C"
      alias "VELIBC_ENOSR"
      end

   ext_ENONET: INTEGER is
      external "C"
      alias "VELIBC_ENONET"
      end

   ext_ENOPKG: INTEGER is
      external "C"
      alias "VELIBC_ENOPKG"
      end

   ext_EREMOTE: INTEGER is
      external "C"
      alias "VELIBC_EREMOTE"
      end

   ext_ENOLINK: INTEGER is
      external "C"
      alias "VELIBC_ENOLINK"
      end

   ext_EADV: INTEGER is
      external "C"
      alias "VELIBC_EADV"
      end

   ext_ESRMNT: INTEGER is
      external "C"
      alias "VELIBC_ESRMNT"
      end

   ext_ECOMM: INTEGER is
      external "C"
      alias "VELIBC_ECOMM"
      end

   ext_EPROTO: INTEGER is
      external "C"
      alias "VELIBC_EPROTO"
      end

   ext_EMULTIHOP: INTEGER is
      external "C"
      alias "VELIBC_EMULTIHOP"
      end

   ext_EDOTDOT: INTEGER is
      external "C"
      alias "VELIBC_EDOTDOT"
      end

   ext_EBADMSG: INTEGER is
      external "C"
      alias "VELIBC_EBADMSG"
      end

   ext_EOVERFLOW: INTEGER is
      external "C"
      alias "VELIBC_EOVERFLOW"
      end

   ext_ENOTUNIQ: INTEGER is
      external "C"
      alias "VELIBC_ENOTUNIQ"
      end

   ext_EBADFD: INTEGER is
      external "C"
      alias "VELIBC_EBADFD"
      end

   ext_EREMCHG: INTEGER is
      external "C"
      alias "VELIBC_EREMCHG"
      end

   ext_ELIBACC: INTEGER is
      external "C"
      alias "VELIBC_ELIBACC"
      end

   ext_ELIBBAD: INTEGER is
      external "C"
      alias "VELIBC_ELIBBAD"
      end

   ext_ELIBSCN: INTEGER is
      external "C"
      alias "VELIBC_ELIBSCN"
      end

   ext_ELIBMAX: INTEGER is
      external "C"
      alias "VELIBC_ELIBMAX"
      end

   ext_ELIBEXEC: INTEGER is
      external "C"
      alias "VELIBC_ELIBEXEC"
      end

   ext_EILSEQ: INTEGER is
      external "C"
      alias "VELIBC_EILSEQ"
      end

   ext_ERESTART: INTEGER is
      external "C"
      alias "VELIBC_ERESTART"
      end

   ext_ESTRPIPE: INTEGER is
      external "C"
      alias "VELIBC_ESTRPIPE"
      end

   ext_EUSERS: INTEGER is
      external "C"
      alias "VELIBC_EUSERS"
      end

   ext_ENOTSOCK: INTEGER is
      external "C"
      alias "VELIBC_ENOTSOCK"
      end

   ext_EDESTADDRREQ: INTEGER is
      external "C"
      alias "VELIBC_EDESTADDRREQ"
      end

   ext_EMSGSIZE: INTEGER is
      external "C"
      alias "VELIBC_EMSGSIZE"
      end

   ext_EPROTOTYPE: INTEGER is
      external "C"
      alias "VELIBC_EPROTOTYPE"
      end

   ext_ENOPROTOOPT: INTEGER is
      external "C"
      alias "VELIBC_ENOPROTOOPT"
      end

   ext_EPROTONOSUPPORT: INTEGER is
      external "C"
      alias "VELIBC_EPROTONOSUPPORT"
      end

   ext_ESOCKTNOSUPPORT: INTEGER is
      external "C"
      alias "VELIBC_ESOCKTNOSUPPORT"
      end

   ext_EOPNOTSUPP: INTEGER is
      external "C"
      alias "VELIBC_EOPNOTSUPP"
      end

   ext_EPFNOSUPPORT: INTEGER is
      external "C"
      alias "VELIBC_EPFNOSUPPORT"
      end

   ext_EAFNOSUPPORT: INTEGER is
      external "C"
      alias "VELIBC_EAFNOSUPPORT"
      end

   ext_EADDRINUSE: INTEGER is
      external "C"
      alias "VELIBC_EADDRINUSE"
      end

   ext_EADDRNOTAVAIL: INTEGER is
      external "C"
      alias "VELIBC_EADDRNOTAVAIL"
      end

   ext_ENETDOWN: INTEGER is
      external "C"
      alias "VELIBC_ENETDOWN"
      end

   ext_ENETUNREACH: INTEGER is
      external "C"
      alias "VELIBC_ENETUNREACH"
      end

   ext_ENETRESET: INTEGER is
      external "C"
      alias "VELIBC_ENETRESET"
      end

   ext_ECONNABORTED: INTEGER is
      external "C"
      alias "VELIBC_ECONNABORTED"
      end

   ext_ECONNRESET: INTEGER is
      external "C"
      alias "VELIBC_ECONNRESET"
      end

   ext_ENOBUFS: INTEGER is
      external "C"
      alias "VELIBC_ENOBUFS"
      end

   ext_EISCONN: INTEGER is
      external "C"
      alias "VELIBC_EISCONN"
      end

   ext_ENOTCONN: INTEGER is
      external "C"
      alias "VELIBC_ENOTCONN"
      end

   ext_ESHUTDOWN: INTEGER is
      external "C"
      alias "VELIBC_ESHUTDOWN"
      end

   ext_ETOOMANYREFS: INTEGER is
      external "C"
      alias "VELIBC_ETOOMANYREFS"
      end

   ext_ETIMEDOUT: INTEGER is
      external "C"
      alias "VELIBC_ETIMEDOUT"
      end

   ext_ECONNREFUSED: INTEGER is
      external "C"
      alias "VELIBC_ECONNREFUSED"
      end

   ext_EHOSTDOWN: INTEGER is
      external "C"
      alias "VELIBC_EHOSTDOWN"
      end

   ext_EHOSTUNREACH: INTEGER is
      external "C"
      alias "VELIBC_EHOSTUNREACH"
      end

   ext_EALREADY: INTEGER is
      external "C"
      alias "VELIBC_EALREADY"
      end

   ext_EINPROGRESS: INTEGER is
      external "C"
      alias "VELIBC_EINPROGRESS"
      end

   ext_ESTALE: INTEGER is
      external "C"
      alias "VELIBC_ESTALE"
      end

   ext_EUCLEAN: INTEGER is
      external "C"
      alias "VELIBC_EUCLEAN"
      end

   ext_ENOTNAM: INTEGER is
      external "C"
      alias "VELIBC_ENOTNAM"
      end

   ext_ENAVAIL: INTEGER is
      external "C"
      alias "VELIBC_ENAVAIL"
      end

   ext_EISNAM: INTEGER is
      external "C"
      alias "VELIBC_EISNAM"
      end

   ext_EREMOTEIO: INTEGER is
      external "C"
      alias "VELIBC_EREMOTEIO"
      end

   ext_EDQUOT: INTEGER is
      external "C"
      alias "VELIBC_EDQUOT"
      end

   ext_ENOMEDIUM: INTEGER is
      external "C"
      alias "VELIBC_ENOMEDIUM"
      end

   ext_EMEDIUMTYPE: INTEGER is
      external "C"
      alias "VELIBC_EMEDIUMTYPE"
      end
end
