indexing

   cluster:     "velibc";
   project:     "Visual Eiffel libc Library";
   date:        "$Date: 2005/02/15 16:22:25 $";
   revision:    "$Revision: 1.2 $";
   copyright:   "Copyright (C) 1996-2005 Object Tools Group";
   license:     "http://visual-eiffel.com/license";
   disclaimer:  "[
      This program is free software; you can redistribute it and/or modify it 
      under the terms of the GNU General Public License as published by the 
      Free Software Foundation; either version 2 of the License, or (at your 
      option) any later version. This program is distributed in the hope that 
      it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
      See the GNU General Public License for more details. 
      You should have received a copy of the GNU General Public License along 
      with this program; if not, write to the Free Software Foundation, Inc., 
      59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
   ]";
   restrictions: "[
      if you want to use this program under a different license type, contact 
      Object Tools http://www.object-tools.com
   ]";

class VELIBC_EXTERNAL_ARRAY

inherit

   VELIBC_EXTERNAL_OBJECT

feature {NONE} -- C externals

   make_array_of_pointers (n : INTEGER) : POINTER is
      external "C"
      alias "VELIBC_make_array_of_pointers"
      end

   make_array_of_integers (n : INTEGER) : POINTER is
      external "C"
      alias "VELIBC_make_array_of_integers"
      end

   put_pointer (array : POINTER; i : INTEGER; item : POINTER) is
      external "C"
      alias "VELIBC_array_put_pointer"
      end

   put_integer (array : POINTER; i, item : INTEGER) is
      external "C"
      alias "VELIBC_array_put_integer"
      end

   free_pointers (array : POINTER; n : INTEGER) is
      external "C"
      alias "VELIBC_array_free_pointers"
      end

   free_pointers_and_array (array : POINTER; n : INTEGER) is
      external "C"
      alias "VELIBC_array_free_pointers_and_array"
      end

end
