indexing

   cluster:     "velibc";
   project:     "Visual Eiffel libc Library";
   date:        "$Date: 2005/02/15 16:22:10 $";
   revision:    "$Revision: 1.2 $";
   copyright:   "Copyright (C) 1996-2005 Object Tools Group";
   license:     "http://visual-eiffel.com/license";
   disclaimer:  "[
      This program is free software; you can redistribute it and/or modify it 
      under the terms of the GNU General Public License as published by the 
      Free Software Foundation; either version 2 of the License, or (at your 
      option) any later version. This program is distributed in the hope that 
      it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
      See the GNU General Public License for more details. 
      You should have received a copy of the GNU General Public License along 
      with this program; if not, write to the Free Software Foundation, Inc., 
      59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
   ]";
   restrictions: "[
      if you want to use this program under a different license type, contact 
      Object Tools http://www.object-tools.com
   ]";

class VELIBC_UNISTD_CONSTANTS

feature

   F_OK: BIT 32 is
      once 
         result := ext_F_OK;
      end

   R_OK: BIT 32 is
      once 
         result := ext_R_OK;
      end

   W_OK: BIT 32 is
      once 
         result := ext_W_OK;
      end

   X_OK: BIT 32 is
      once 
         result := ext_X_OK;
      end

feature {NONE}

   ext_F_OK: BIT 32 is
      external "C"
      alias "VELIBC_F_OK"
      end

   ext_R_OK: BIT 32 is
      external "C"
      alias "VELIBC_R_OK"
      end

   ext_W_OK: BIT 32 is
      external "C"
      alias "VELIBC_W_OK"
      end

   ext_X_OK: BIT 32 is
      external "C"
      alias "VELIBC_X_OK"
      end

end
