indexing

   title      : "FORMAT example";
   project:     "Visual Eiffel";
   date:        "$Date: 2005/02/18 15:34:30 $";
   revision:    "$Revision: 1.2 $";
   copyright:   "Copyright (C) 1996-2005 Object Tools Group";
   license:     "http://visual-eiffel.com/license";
   disclaimer:  "[
      This program is free software; you can redistribute it and/or modify it 
      under the terms of the GNU General Public License as published by the 
      Free Software Foundation; either version 2 of the License, or (at your 
      option) any later version. This program is distributed in the hope that 
      it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
      See the GNU General Public License for more details. 
      You should have received a copy of the GNU General Public License along 
      with this program; if not, write to the Free Software Foundation, Inc., 
      59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
   ]";
   restrictions:"[
      if you want to use this program under a different license type, contact 
      Object Tools http://www.object-tools.com
   ]";

class FORM

creation
   make

feature

   make is
      local
         f : G_COMMERCIAL_FORMAT;
         s : STRING;
         i : INTEGER;
         r : REAL;
         b : BOOLEAN;
         c : CHARACTER;
         d : DATE;
         t : TIME;
      do
         !!f.make -- don't forget create formater

         s := "abcde"; i := 12345; r := 3.14159; b := true; c := 'a';
         !!t.set_to_now !!d.set_to_now

         f.printf ("---------------------------------------------------------------------------%N", <<>> )
         f.printf ("        Format    COMMERCIAL           SCIENTIFIC    %N", <<>> )
         f.printf ("---------------------------------------------------------------------------%N", <<>> )
         f.printf ("          Align Left  Center Right     Left    Center    Right%N", <<>> )

         f.printf ("STRING:   !X(8)[JL]   !I(8)  !X(8)[JR] !-9.9s  !^9.9s    !9.9s%N", <<s,s,s,s,s,s>> )

         f.printf ("INTEGER:  !Z(8)9      !-9i   !^9i      !9i%N", <<i,i,i,i>> )
         f.printf ("%N", <<>> )
         f.printf ("REAL:     !ZZZZ9.999  !-9.3f !^9.3f    !9.3f %N", <<r,r,r,r>> )
         f.printf ("---------------------------------------------------------------------------%N", <<>> )
         f.printf ("BOOLEAN:  !Y          !Y     !Y        !-9b    !^9b      !9b %N", <<b,b,b,b,b,b>> )
         f.printf ("---------------------------------------------------------------------------%N", <<>> )
         f.printf ("CHARACTER:!-9c        !^9c   !9c %N", <<c,c,c>> )
         f.printf ("------------------------------------------------------------------------%N", <<>> )
         f.printf ("  DATE(TIMESTAMP)    ---      ---      ---   !-9a!^9.7a!9a%N", <<d,d,d>> )
         f.printf ("---------------------------------------------------------------------------%N", <<>> )
         f.printf ("  TIME(TIMESTAMP)    ---      ---      ---   !-9t!^9.7t!9t%N", <<t,t,t>> )
         f.printf ("---------------------------------------------------------------------------%N", <<>> )

         io.put_string("Press any key ...")
         io.read_character
      end

end -- class FORM

