indexing
    title       : "GTK ";
    cluster     : "Callbacks";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: callbacks.e,v 1.4 2000/03/13 18:19:59 eugenem Exp $";

class CALLBACKS
inherit
   VEGTK_MAIN
   GTK_CONSTANTS

creation
   make

feature -- Creation

   make is
      local
         button : GTK_BUTTON
         box : GTK_VBOX
      do
         vegtk_init

         !!window.make(Gtk_window_toplevel)
         window.set_title("VEGTK supports eGtk-like callbacks!")

         !!box.make(true, 0)
         window.add(box)

         !!button.make_with_label("Hello, world!")
         !!hello_callback
         button.add_action("clicked", hello_callback)
         box.pack_start(button, true, true, 10)

         !!button.make_with_label("Close")
         !!quit_callback
         button.add_action("clicked", quit_callback)
         box.pack_start(button, true, true, 10)

         window.show_all

         gtk_main
      end


feature

   window : GTK_WINDOW
   hello_callback : HELLO_CALLBACK
   quit_callback : QUIT_CALLBACK

end -- class CALLBACKS
