indexing
    title       : "GTK ";
    cluster     : "Testgtk";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: create_button_box.e,v 1.5 2000/03/13 18:20:00 eugenem Exp $";

class CREATE_BUTTON_BOX
inherit
   SIMPLE_TEST
   GTK_CONSTANTS
   VEGTK_CALLBACK_HANDLER

creation
   make

feature -- Creation

   make is
      -- Creation and initialization
      local
         bbox : GTK_HBUTTON_BOX
         button : GTK_BUTTON
      do
         !!window.make(Gtk_window_toplevel)
         window.set_title("Button Box Test")
	 signal_connect(window,"destroy",$destroy_window)
         window.set_border_width(20)

         !!bbox.make
         window.add(bbox)
         bbox.show

         !!button.make_with_label("Horizontal")
         signal_connect(button,"clicked",$test_horizontal)
         bbox.add(button)
         button.show

         !!button.make_with_label("Vertical")
         signal_connect(button,"clicked",$test_vertical)
         bbox.add(button)
         button.show

         window.show
      end -- make

feature {NONE} -- Implementations

   test_vertical(data : ANY) is
      local
         bbox_window : CREATE_BBOX_WINDOW
      do
         !!bbox_window.make(False, "Spread", 50, 40, 85, 25, Gtk_buttonbox_spread)
         !!bbox_window.make(False, "Edge", 250, 40, 85, 28, Gtk_buttonbox_edge)
         !!bbox_window.make(False, "Start", 450, 40, 85, 25, Gtk_buttonbox_start)
         !!bbox_window.make(False, "End", 650, 15, 30, 25, Gtk_buttonbox_end)
      end -- test_vertical

   test_horizontal(data : ANY) is
      local
         bbox_window : CREATE_BBOX_WINDOW
      do
         !!bbox_window.make(True, "spread", 50, 40, 85, 28, Gtk_buttonbox_spread)
         !!bbox_window.make(True, " Edge", 200, 40, 85, 25, Gtk_buttonbox_edge)
         !!bbox_window.make(True, "Start", 350, 40, 85, 25, Gtk_buttonbox_start)
         !!bbox_window.make(True, "End", 500, 15, 30, 25, Gtk_buttonbox_end)
      end -- test_horizontal

end -- class CREATE_BUTTON_BOX
