indexing
    title       : "GTK ";
    cluster     : "Testgtk";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: create_color_selection.e,v 1.5 2000/03/13 18:20:00 eugenem Exp $";

class CREATE_COLOR_SELECTION
inherit
   SIMPLE_TEST
   VEGTK_CALLBACK_HANDLER
   GTK_CONSTANTS

creation
   make

feature -- Creation

   make is
      local
         colorselwid : GTK_COLOR_SELECTION_DIALOG
      do
         !!colorselwid.make("color selection dialog")

         !!window.from_external( colorselwid.to_external )

         signal_connect(colorselwid,"destroy",$destroy_window)
         colorsel := colorselwid.colorsel
         colorsel.set_opacity(True)
         colorsel.set_update_policy(Gtk_update_continuous)
         colorselwid.set_position(Gtk_win_pos_mouse)
         signal_connect(colorselwid.cancel_button,"clicked", $close_window)
         signal_connect(colorselwid.ok_button,"clicked",$ok_clicked)
         colorselwid.show
      end -- make

feature {NONE} -- Implementations

   colorsel : GTK_COLOR_SELECTION

   ok_clicked is
      local
         i : INTEGER
         colors : ARRAY[DOUBLE]
      do
         colors := colorsel.get_color
         print("Color: ")
         from i := colors.lower
         until i > colors.upper
         loop
            print(colors.item(i).out)
            print(" ")
            i := i+1
         end
         print("%N")
      end -- ok_clicked

end -- class CREATE_COLOR_SELECTION
