indexing
    title       : "GTK ";
    cluster     : "Testgtk";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: create_font_selection.e,v 1.5 2000/03/13 18:20:00 eugenem Exp $";

class CREATE_FONT_SELECTION
inherit
   SIMPLE_TEST
   GTK_CONSTANTS
   VEGTK_CALLBACK_HANDLER

creation
   make

feature -- Creation

   make is
      do
         !!dialog.make("Font Selection Dialog")

         window := dialog

         dialog.set_position(Gtk_win_pos_mouse)
         signal_connect(dialog,"destroy",$destroy_window)

         signal_connect(dialog.ok_button,"clicked",$ok_clicked)
         signal_connect(dialog.cancel_button,"clicked", $close_window)

         dialog.show
      end -- make

feature {NONE} -- Implementations

   dialog : GTK_FONT_SELECTION_DIALOG

   ok_clicked is
      local
         font : STRING
      do
         font :=  dialog.fontsel.get_font_name
         if font /= Void then
            print(font)
            print("%N")
         end
      end -- ok_clicked

end -- class CREATE_FONT_SELECTION
