indexing
    title       : "GTK ";
    cluster     : "Testgtk";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: create_handle_box.e,v 1.7 2000/03/13 18:20:00 eugenem Exp $";

class CREATE_HANDLE_BOX
inherit
   CREATE_TOOLBAR
      redefine
         make
      end
   GTK_CONSTANTS

creation
   make

feature -- Creation

   make is
      local
         vbox : GTK_VBOX
         hbox : GTK_HBOX
         label : GTK_LABEL
         separator : GTK_HSEPARATOR
         handle_box, handle_box2 : GTK_HANDLE_BOX
      do
         !!window.make(Gtk_window_toplevel)
         signal_connect(window,"destroy",$destroy_window)
         window.set_title("HandleBox")
         window.set_policy(True, True, False)
         window.set_border_width(20)
         window.realize

         !!vbox.make(False, 0)
         window.add(vbox)
         vbox.show

         !!label.make("Above")
         vbox.add(label)
         label.show

         !!separator.make
         vbox.add(separator)
         separator.show

         !!hbox.make(False, 10)
         vbox.add(hbox)
         hbox.show

         !!separator.make
         vbox.add(separator)
         separator.show

         !!label.make("Below")
         vbox.add(label)
         label.show

         !!handle_box.make
         hbox.pack_start(handle_box, false, false, 0)
         signal_connect(handle_box, "child_attached", $child_attached)
         signal_connect(handle_box, "child_detached", $child_detached)
         handle_box.show

         make_toolbar
         toolbar.set_button_relief(Gtk_relief_normal)
         handle_box.add(toolbar)
         toolbar.show

         !!handle_box.make
         hbox.pack_start(handle_box, false, false, 0)
         signal_connect(handle_box, "child_attached", $child_attached)
         signal_connect(handle_box, "child_detached", $child_detached)
         handle_box.show

         !!handle_box2.make
         handle_box.add(handle_box2)
         signal_connect(handle_box2, "child_attached", $child_attached)
         signal_connect(handle_box2, "child_detached", $child_detached)
         handle_box2.show

         !!label.make("Fooo!")
         handle_box2.add(label)
         label.show

         window.show
      end -- make

feature {NONE} -- Implementations

   child_attached(data : ANY; cb_data : VEGTK_CALLBACK_DATA) is
      local
         args  : GTK_HANDLE_BOX_ATTACH_DETACH_CALLBACK_ARGS;
      do
         !!args.make(cb_data);
         io.put_string("Handle box: child ")
         if args.widget /= Void then
            io.put_string(args.widget.type.name)
         end -- if
         io.put_string(" attached%N")
      end

   child_detached(data : ANY; cb_data : VEGTK_CALLBACK_DATA) is
      local
         args  : GTK_HANDLE_BOX_ATTACH_DETACH_CALLBACK_ARGS;
      do
         !!args.make (cb_data);
         io.put_string("Handle box: child ")
         if args.widget /= Void then
            io.put_string(args.widget.type.name)
         end -- if
         io.put_string(" detached%N")
      end

end -- class CREATE_HANDLE_BOX
