indexing
    title       : "GTK ";
    cluster     : "Testgtk";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: create_labels.e,v 1.5 2000/03/13 18:20:00 eugenem Exp $";

class CREATE_LABELS
inherit
   SIMPLE_TEST
   VEGTK_CALLBACK_HANDLER
   GTK_CONSTANTS

creation
   make

feature -- Creation

   make is
      local
         hbox : GTK_HBOX
         vbox : GTK_VBOX
         frame : GTK_FRAME
         label : GTK_LABEL
      do
         !!window.make(Gtk_window_toplevel)
         signal_connect(window,"destroy",$destroy_window)

         window.set_title("Label")
         !!vbox.make(false, 5)
         !!hbox.make(false, 5)
         window.add(hbox)
         hbox.pack_start(vbox, false, false, 0)
         window.set_border_width(5)

         !!frame.make("Normal Label")
         !!label.make("This is a Normal label")
         frame.add(label)
         vbox.pack_start(frame, false, false, 0)

         !!frame.make("Multi-line Label")
         !!label.make("This is a Multi-line label.%NSecond line%NThird line")
         frame.add(label)
         vbox.pack_start(frame, false, false, 0)

         !!frame.make("Left Justified Label")
         !!label.make("This is a Left-Justified%NMulti-line label.%NThird      line")
         label.set_justify(Gtk_justify_left)
         frame.add(label)
         vbox.pack_start(frame, false, false, 0)

         !!frame.make("Right Justified Label")
         !!label.make("This is a Right-Justified%NMulti-line label.%NFourth line, (j/k)")
         label.set_justify(Gtk_justify_right)
         frame.add(label)
         vbox.pack_start(frame, false, false, 0)

         !!vbox.make(false, 5)
         hbox.pack_start(vbox, false, false, 0)
         !!frame.make("Line wrapped label")
         !!label.make("This is an example of a line-wrapped label. It should not be taking %
               %up the entire %
            %width allocated to it, but automatically wraps the words to fit. %
            %The time has come, for all good men, to come to the aid of their party.%
            %The sixth sheik's six sheep's sick.%N%
            %     It supports multiple paragraphs correctly, and  correctly   adds %
            %many          extra  spaces.")
         label.set_line_wrap(true)
         frame.add(label)
         vbox.pack_start(frame, false, false, 0)

         !!frame.make("Filled, wrapped label")
         !!label.make("This is an example of a line-wrapped, filled label.  It should be taking %
            %up the entire              width allocated to it.  Here is a seneance to prove %
            %my point.  Here is another sentence. %
            %Here comes the sun, do de do de do.%N%
            %    This is a new paragraph.%N%
            %    This is another newer, longer, better paragraph.  It is coming to an end, %
            %unfortunately.")
         label.set_justify(Gtk_justify_fill)
         label.set_line_wrap(true)
         frame.add(label)
         vbox.pack_start(frame, false, false, 0)

         !!frame.make("Underlined label")
         !!label.make("This label is underlined!%N%
            %This one is underlined in quite a funky fashion")
         label.set_justify(Gtk_justify_left)
         label.set_pattern("_________________________ _ _________ _ _____ _ __ __  ___ ____ _____")
         frame.add(label)
         vbox.pack_start(frame, false, false, 0)

         window.show_all
      end -- make

end -- class CREATE_LABELS
