indexing
    title       : "GTK ";
    cluster     : "Testgtk";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: create_scrolled_windows.e,v 1.6 2000/11/07 11:11:31 eugenem Exp $";

class CREATE_SCROLLED_WINDOWS
inherit
   SIMPLE_TEST
   GTK_CONSTANTS
   VEGTK_CALLBACK_HANDLER

creation
   make

feature -- Creation

   make is
      local
         button : GTK_BUTTON
         scrolled_window : GTK_SCROLLED_WINDOW
         table : GTK_TABLE
         i, j : INTEGER
         buf : STRING
         dialog : GTK_DIALOG
      do
         !!dialog.make

         window := dialog

         signal_connect(dialog,"destroy",$destroy_window)
         !!scrolled_window.make(Void, Void)
         scrolled_window.set_border_width(10)
         scrolled_window.set_policy(Gtk_policy_automatic, Gtk_policy_automatic)
         dialog.vbox.pack_start(scrolled_window, True, True, 0)
         scrolled_window.show

         !!table.make(20, 20, False)
         table.set_row_spacings(10)
         table.set_col_spacings(10)
         scrolled_window.add_with_viewport(table)
         table.show

         from i := 0
         until i >= 20
         loop
            from j := 0
            until j >= 20
            loop
               !!buf.make(10)
               buf.copy("button (")
               buf.append_string(i.out)
               buf.append_string(" ")
               buf.append_string(j.out)
               buf.append_string(")")
               !GTK_TOGGLE_BUTTON!button.make_with_label(buf)
               table.attach_defaults(button, i, i+1, j, j+1)
               button.show
               j := j+1
            end -- loop
            i := i+1
         end -- loop

         !!button.make_with_label("close")
         signal_connect(button,"clicked", $close_window)
         dialog.action_area.pack_start(button, True, True, 0)
         button.set_flags(Gtk_can_default)
         button.grab_default
         button.show
         dialog.set_default_size(300, 300)
         dialog.show
      end -- make

end -- class CREATE_SCROLLED_WINDOWS

