indexing
    title       : "GTK ";
    cluster     : "Testgtk";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: create_tooltips.e,v 1.8 2000/03/13 18:20:00 eugenem Exp $";

class CREATE_TOOLTIPS
inherit
   SIMPLE_TEST
   VEGTK_CALLBACK_HANDLER
   GTK_CONSTANTS

creation
   make

feature -- Creation

   make is
      -- Creation and initialization
      local
         box1, box2 : GTK_VBOX
         button : GTK_BUTTON
         separator : GTK_HSEPARATOR
         tooltips : GTK_TOOLTIPS
      do
         !!window.make(Gtk_window_toplevel)
         signal_connect(window,"destroy",$destroy_window)
         window.set_title("tooltips")
         window.set_border_width(0)
         !!tooltips.make

         !!box1.make(False, 0)
         window.add(box1)
         box1.show

         !!box2.make(False, 10)
         box2.set_border_width(10)
         box1.pack_start(box2, True, True, 0)
         box2.show

         !GTK_TOGGLE_BUTTON!button.make_with_label("button1")
         box2.pack_start(button, True, True, 0)
         button.show

         tooltips.set_tip(button, "This is button 1","private text ????")

         !GTK_TOGGLE_BUTTON!button.make_with_label("button2")
         box2.pack_start(button, True, True, 0)
         button.show

         tooltips.set_tip(button, "This is button 2","pr2")

         !GTK_TOGGLE_BUTTON!button.make_with_label("button3")
         box2.pack_start(button, True, True, 0)
         button.show

         tooltips.set_tip(button, "This is button 3. This is also a really long tooltip which probably won't fit on a single line and will therefore need to be wrapped. Hopefully the wrapping will work correctly.","pr3")

         !!separator.make
         box1.pack_start(separator, False, True, 0)
         separator.show

         !!box2.make(False, 10)
         box2.set_border_width(10)
         box1.pack_start(box2, False, True, 0)
         box2.show

         !GTK_BUTTON!button.make_with_label("close")
            signal_connect(button,"clicked", $close_window)
         box2.pack_start(button, True, True, 0)
         button.set_flags(Gtk_can_default)
         button.show

         tooltips.set_tip(button, "Push this button to close window","pr4")

         window.show
      end -- make

end -- class CREATE_TOOLTIPS
