indexing
    title       : "GTK ";
    cluster     : "Testgtk";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: create_gamma_curve.e,v 1.5 2000/03/13 18:20:01 eugenem Exp $";

class CREATE_GAMMA_CURVE
inherit
   SIMPLE_TEST
   GTK_CONSTANTS
   VEGTK_CALLBACK_HANDLER
   MATH

creation
   make

feature -- Creation

   make is
      local
         curve : GTK_GAMMA_CURVE
         vec : ARRAY[REAL]
         max, i : INTEGER
         count : INTEGER
      do
         !!vec.make(0,255)
         !!window.make(Gtk_window_toplevel)
         window.set_title("test")
         window.set_border_width(10)
         signal_connect(window,"destroy",$destroy_window)

         !!curve.make
         window.add(curve)
         curve.show

         count := 1
         max := 127 + ( count \\ 2 ) * 128
         curve.curve.set_range(0, max, 0, max)
         from
            i := 0
         until
            i > max
         loop
            vec.put((127.0 / sqrt(max))*sqrt(i), i)
            i := i+1
         end -- loop
         curve.curve.set_vector(vec)
         window.show
         count := count + 1

      end -- make

end -- class CREATE_GAMMA_CURVE
