-- example-start filesel filesel.e
class FILESEL
inherit
   GTK_CONSTANTS
   VEGTK_MAIN
   VEGTK_CALLBACK_HANDLER
creation
   make

feature -- Creation

   make is
   do
      -- Initialize the toolkit, remove gtk-related commandline stuff
      vegtk_init

      -- Create a new file selection widget
      !!filew.make("File selection")
      signal_connect (filew, "destroy",$destroy);
      -- Connect the ok_button to file_ok_sel function
      signal_connect (filew.ok_button,"clicked",$file_ok_sel);

      -- Connect the cancel_button to destroy the widget
      signal_connect (filew.cancel_button,"clicked", $close_application);

      -- Lets set the filename, as if this were a save dialog,
      -- and we are giving a default filename
      filew.set_filename ("penguin.png");

      filew.show;
      gtk_main ;
   end
feature {NONE} -- Implementation
   filew : GTK_FILE_SELECTION;
feature {NONE} -- Callbacks
   close_application is
   -- This callback quits the program
   do
       filew.destroy;
   end

   file_ok_sel is
      -- Get the selected filename and print it to the console
   do
       print (filew.get_filename);
       print("%N");
   end

   destroy is
   do
       gtk_main_quit;
   end
end -- class FILESEL
-- example-end
