-- example-start frame frame.e
class FRAME
inherit
   GTK_CONSTANTS
   VEGTK_MAIN
   VEGTK_CALLBACK_HANDLER
creation
   make

feature -- Creation

   make is
   local
      window : GTK_WINDOW;
      frame : GTK_FRAME;
   do
      -- Initialise GTK
      vegtk_init
      -- Create a new window
      !!window.make (Gtk_window_toplevel);
      window.set_title("Frame Example");
      -- Here we connect the "destroy" event to a signal handler
      signal_connect (window, "destroy",$destroy);
      window.set_usize(300, 300);

      -- Sets the border width of the window.
      window.set_border_width (10);

      -- Create a Frame
      !!frame.make(Void);
      window.add(frame);
      -- Set the frames label
      frame.set_label("GTK Frame Widget");
      -- Align the label at the right of the frame
      frame.set_label_align(1.0, 0.0);

      -- Set the style of the frame
      frame.set_shadow_type(Gtk_shadow_etched_out);

      frame.show;

      -- Display the window
      window.show;

      -- Enter the event loop
      gtk_main;
   end -- make
feature {NONE} -- Callbacks
   destroy is
   do
       gtk_main_quit;
   end

end -- class FRAME
-- example-end
