-- example-start rulers rulers.e
class RULERS
inherit
   GTK_CONSTANTS
   VEGTK_MAIN
   VEGTK_CALLBACK_HANDLER
creation
   make

feature -- Creation

   make is
   local
      table : GTK_TABLE
   do
      vegtk_init
      !!window.make(Gtk_window_toplevel)
      signal_connect(window,"destroy",$destroy_window)
      window.set_title("rulers")
      window.set_usize(300, 300)
      window.set_events(Gdk_pointer_motion_mask
                        and Gdk_pointer_motion_hint_mask)
      window.set_border_width(0)

      !!table.make(2, 2, False)
      window.add(table)
      table.show

      !!hruler.make
      hruler.set_metric(Gtk_centimeters)
      hruler.set_range(0,100,0, 100)

      signal_connect(window,"motion_notify_event",$motion_event)

      table.attach(hruler, 1, 2, 0, 1,
                   Gtk_expand and Gtk_fill, Gtk_fill, 0, 0)
      hruler.show

      !!vruler.make
      vruler.set_range(5, 15, 0, 20)
      table.attach(vruler, 0, 1, 1, 2,
                   Gtk_fill, Gtk_expand and Gtk_fill, 0, 0)
      vruler.show
      window.show
      gtk_main;
   end -- make

feature {NONE} -- Implementations

   hruler : GTK_HRULER
   vruler : GTK_VRULER
   window : GTK_WINDOW

   motion_event(data : ANY; cb_data : VEGTK_CALLBACK_DATA) is
   local
      event : GDK_EVENT_MOTION
   do
      event ?= cb_data.get_event
      hruler.motion_notify_event(event)
      vruler.motion_notify_event(event)
   end -- motion_event
   destroy_window is
   do
      window.destroy
      gtk_main_quit;
   end -- destroy_window

end -- class RULERS
-- example-end
