indexing

   title      : "Fibonacci numbers demo";
   project:     "Visual Eiffel";
   date:        "$Date: 2005/02/18 15:35:04 $";
   revision:    "$Revision: 1.2 $";
   copyright:   "Copyright (C) 1996-2005 Object Tools Group";
   license:     "http://visual-eiffel.com/license";
   disclaimer:  "[
      This program is free software; you can redistribute it and/or modify it 
      under the terms of the GNU General Public License as published by the 
      Free Software Foundation; either version 2 of the License, or (at your 
      option) any later version. This program is distributed in the hope that 
      it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
      See the GNU General Public License for more details. 
      You should have received a copy of the GNU General Public License along 
      with this program; if not, write to the Free Software Foundation, Inc., 
      59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
   ]";
   restrictions:"[
      if you want to use this program under a different license type, contact 
      Object Tools http://www.object-tools.com
   ]";

class FIBONACCI_NUMBERS

creation

   make

feature {ANY}

   make is
      local
         i       : INTEGER;
         max     : INTEGER;
         fib_num : INTEGER
      do
         io.put_string ("Input upper bound for Fibonacci: ");
         io.read_integer;
         io.to_next_line;
         max := io.last_integer;

         if max > 0 then
            from
               io.put_string ("%NFibonacci numbers in range 1 .. ");
               io.put_integer (max);
               io.put_new_line;
               i := 1;
               fib_num := fib (1)
            until
               fib_num > max
            loop
               io.put_integer (fib_num);
               io.put_character (' ');
               fib_num := fib (i);
               i := i + 1
            end

            io.put_string ("%NThat's all. Press <Enter> to quit ...")
            io.to_next_line;
         else
            io.put_string ("%NInvalid upper bound: ");
            io.put_integer (max);
            io.put_new_line
         end
      end

   fib (n: INTEGER): INTEGER is
      do
         if n < 2 then
            Result := 1
         else
            Result := fib (n-1) + fib (n-2)
         end
      end

end -- class FIBONACCI_NUMBERS
