indexing
   title      : "Calculator in reverse polish form                           ";
   cluster    : ISE_Eiffel_Base_Calculator;
   project    : "EiffelBase Examples",
                "Based on EiffelBase examples for ISE Eiffel,                ",
                "used with permission.                                       ";
   copyright  : "(c) 1986-1997 Interactive Software Engineering Inc.         ",
                "Modifications and extensions:                               ",
                "(c) 1997 Object Tools                                       ",
                "All rights reserved. Duplication and distribution prohibited",
                "May be used only with Visual Eiffel under terms of user     ",
                "license                                                     ";
   address    : "mail_to:support@object-tools.com                            ",
                "http://www.object-tools.com                                 ";

class INTERFACE

feature

	operator_key: STRING;
		-- Letter key associated to an operation.

	associated_command: CALC_STATE;
		-- Associated state.

	help_message: STRING;
		-- Help message.

	set_interface (k, m: STRING; c: CALC_STATE) is
			-- Fill out key with `k', command with `c' and message with `m'.
		do
			operator_key := k;
			associated_command := c;
			help_message := m;
		ensure
			operator_key = k;
			associated_command = c;
			help_message = m
		end; -- set_interface

end -- class INTERFACE
