indexing

   title:       "Abstract formatter with justify actions";
   copyright:   "Object Tools, 1996-2001";
   original:    "8 Sep 2001";
   version:     "1.2";
   last_change: "21 Dec 2001";
   licence:     "Eiffel-forum freeware licence";
   
deferred class G_ABSTRACT_JUSTIFY_FORMATTER

inherit

   G_STRING_TOOLS
      end

   G_ABSTRACT_FORMATTER
      redefine
         make, set_width, set_precision, set_align_left,
         set_align_right, set_align_center
      end

feature {G_ABSTRACT_FORMATTER}

   width, prec  : INTEGER
   alignment    : INTEGER
   align_left,
   align_right,
   align_center : INTEGER is unique

feature

   make (a: ANY) is
      do
         Precursor (a)
         alignment := align_right
         width := 1
         prec := -1
      end

   set_width (w: INTEGER) is
      do
         width := w
      end

   set_precision (p: INTEGER) is
      do
         prec := p
      end

   set_align_left is
      do
         alignment := align_left
      end

   set_align_right is
      do
         alignment := align_right
      end

   set_align_center is
      do
         alignment := align_center
      end

end -- class G_ABSTRACT_JUSTIFY_FORMATTER
