indexing

   copyright  : "Object Tools, 1996-2001";
   original   : "08 Sep 1996";
   version    : "1.2";
   last_change: "17 Jun 2001";
   licencse   : "Eiffel-forum freeware licence";

class G_LOGICAL_COMMERCIAL_FORMATTER

inherit

   G_ABSTRACT_COMMERCIAL_FORMATTER
   G_STRING_TOOLS

creation

   make

feature

   make (b : BOOLEAN_REF) is
      do
         bool := b.item
      end -- make

   output : STRING is
      require else
        Non_void_picture: picture /= Void
      do
         if picture.count /= 1 then
         raise_exception ("Illegal boolean picture");
         end
         Result := ""
         inspect
            picture.item (1)
         when 'L' then
            Result.append_character (ifc (bool, 'T', 'F'))
         when 'Y' then
            Result.append_character (ifc (bool, 'Y', 'N'));
         else
            raise_exception ("Illegal boolean picture")
         end
      end

feature {NONE}

   bool: BOOLEAN

end -- class G_LOGICAL_COMMERCIAL_FORMATTER
