indexing
   copyright  : "Object Tools, 1996-1997";
   original   : "8,Sep,1996";
   version    : "1.1";
   last_change: "1999,August";
   licencse   : "Eiffel-forum freeware licence";


class G_PICTURE_FORMAT_TABLE [ G -> G_PICTURE_FORMATTER ]

inherit
   G_FORMAT_TABLE [ G ]
   end

creation
   make

feature

   search_by_patchar (patchar : CHARACTER) is
   local
      tools : G_STRING_TOOLS;
      
   do
      !!tools
      from
         found_index := lower;
         found := false
      until
         found or else found_index > upper
      loop
         if tools.contain (item(found_index).pattern, patchar) then
            found := true
            found_item := item (found_index);
         else
            found_index := found_index + 1
         end
      end -- loop
   end -- search_by_patchar

   search_by_picture (picture : STRING) is
   -- Search object mostly confirm to picture
   require
      Void_picture : picture /= Void
   local
      i, max_ndx : INTEGER
   do
      from
         i := 1;
         found := true
      until
         not found or else i > picture.count
      loop
         search_by_patchar (picture @ i);
         if found then
            if found_index > max_ndx then
               max_ndx := found_index
            end
         end
         i := i + 1
      end -- loop i
      if found then
         found_index := max_ndx
         found_item := item (found_index);
      end
   end -- search_by_picture

end -- class G_PICTURE_FORMAT_TABLE
