indexing
   copyright  : "Object Tools, 1996-1997";
   original   : "8,Sep,1996";
   version    : "1.1";
   last_change: "1999,August";
   licence    : "Eiffel-forum freeware licence";

class G_STRING_FORMATTER

inherit
   G_ABSTRACT_JUSTIFY_FORMATTER
      redefine
         make
   end

creation
   make

feature

   str: STRING;

   make (s: STRING) is
   require else
      format_string: s /= Void
   do
      Precursor (s);
      str := s
      set_precision (str.count);
      set_width (0);
   end -- make

   output : STRING is
   do
      str := cut_here (str, prec);
      inspect alignment
      when align_left then
         Result := right_pad (str, ' ', width);
      when align_right then
         Result := left_pad (str, ' ', width);
      when align_center then
         Result := center_pad (str, ' ', width);
      end
   end -- output

end -- class G_STRING_FORMATTER
