indexing
   copyright  : "Object Tools, 1996-1997";
   original   : "8,Sep,1996";
   version    : "1.1";
   last_change: "1999,August";
   licence    : "Eiffel-forum freeware licence";


class G_TYPECHAR_FORMAT_TABLE [G -> G_TYPECHAR_FORMATTER]

inherit
   G_FORMAT_TABLE [ G ]
      redefine
         put_at_end
   end

creation
   make

feature

   dyna_types: G_DYNATYPE_TABLE [G_FORMAT_TABLE_ELEMENT] is
   once
      !!Result.make
   end -- dyna_types

   search_by_typechar (typechar: CHARACTER) is
   do
      from
         found_index := lower;
         found := false
      until
         found or else found_index > upper
      loop
         if item (found_index).typechar = typechar then
            found_item := item (found_index);
            found := true
         else
            found_index  := found_index  + 1
         end
      end -- loop
   end -- search_by_typechar

feature  -- operations

   put_at_end (new_g: G) is
   do
      -- typechar must be unique
      search_by_typechar (new_g.typechar);
      if not found then
         Precursor (new_g);
      end
      dyna_types.put_at_end (new_g);
   end -- put_at_end

end -- class G_TYPECHAR_FORMAT_TABLE
