/*
You may be able to redistribute and/or modify this program.
See the README for details.
Copyright (C) 1999 Andrew Klochkov, Eugene Melekhov
*/


#include <gdk/gdk.h>
#include <vegtk.h>

void c_gdk_draw_polygon(GdkDrawable *drawable, GdkGC *gc, int filled, GdkPoint *p_points[], int npoints)
{
 int i;
 GdkPoint *points = (GdkPoint*) g_malloc(sizeof(GdkPoint)*npoints);

 if (!points)
 {
  g_print("c_gtk_draw_polygon : Cann't malloc memory for points");
  return;
 }

 for (i = 0; i<npoints; i++)
 {
 	points[i].x = p_points[i]->x;
 	points[i].y = p_points[i]->y;
 }

 gdk_draw_polygon(drawable,gc,filled,points,npoints);

 g_free(points);

}
