/*
You may be able to redistribute and/or modify this program.
See the README for details.
Copyright (C) 1999 Andrew Klochkov, Eugene Melekhov
*/


#include <gtk/gtk.h>
#include <vegtk.h>

GtkAdjustment* c_gtk_adjustment_new(EIF_REAL arg_value, EIF_REAL arg_lower, EIF_REAL arg_upper, EIF_REAL arg_step_increment, EIF_REAL arg_page_increment, EIF_REAL arg_page_size)
{
 GtkAdjustment *adj = (GtkAdjustment*)gtk_adjustment_new(arg_value,  arg_lower,  arg_upper,  arg_step_increment,  arg_page_increment,  arg_page_size);
 return adj;
}
void c_gtk_adjustment_clamp_page(GtkAdjustment *adjustment,EIF_REAL arg_lower,EIF_REAL arg_upper)
{
 gtk_adjustment_clamp_page(adjustment,arg_lower,arg_upper);
}
void c_gtk_adjustment_set_value (GtkAdjustment *adjustment,EIF_REAL arg_value)
{
 gtk_adjustment_set_value(adjustment,arg_value);
}

EIF_REAL gtk_adjustment_lower_acr (GtkAdjustment * obj)
{
  return obj->lower;
}
EIF_REAL gtk_adjustment_upper_acr (GtkAdjustment * obj)
{
  return obj->upper;
}
EIF_REAL gtk_adjustment_value_acr (GtkAdjustment * obj)
{
  return obj->value;
}
EIF_REAL gtk_adjustment_step_increment_acr (GtkAdjustment * obj)
{
  return obj->step_increment;
}
EIF_REAL gtk_adjustment_page_increment_acr (GtkAdjustment * obj)
{
  return obj->page_increment;
}
EIF_REAL gtk_adjustment_page_size_acr (GtkAdjustment * obj)
{
  return obj->page_size;
}
void gtk_adjustment_lower_acw (GtkAdjustment *obj,EIF_REAL arg_value)
{
  obj->lower = arg_value;
}
void gtk_adjustment_upper_acw (GtkAdjustment *obj,EIF_REAL arg_value)
{
  obj->upper = arg_value;
}
void gtk_adjustment_step_increment_acw (GtkAdjustment *obj,EIF_REAL arg_value)
{
  obj->step_increment = arg_value;
}
void gtk_adjustment_page_increment_acw (GtkAdjustment *obj,EIF_REAL arg_value)
{
//  g_print ("page_icrement  value= %f\n",obj->value);
//  g_print ("page_icrement prev increment= %f\n",obj->page_increment);
  obj->page_increment = arg_value;
//  g_print ("page_icrement increment = %f\n",obj->page_increment);
}
void gtk_adjustment_page_size_acw (GtkAdjustment *obj,EIF_REAL arg_value)
{
//  g_print ("page_size prev value= %f\n",obj->page_size);
  obj->page_size = arg_value;
//  g_print ("page_size value= %f\n",obj->page_size);
}
