/*
You may be able to redistribute and/or modify this program.
See the README for details.
Copyright (C) 1999 Andrew Klochkov, Eugene Melekhov
*/


#include <gtk/gtk.h>
#include <vegtk.h>

GtkHBox *gtk_combo_hbox_acr(GtkCombo *combo)
{
 return &(combo->hbox);
}

GtkWidget *gtk_combo_entry_acr(GtkCombo *combo)
{
 return combo->entry;
}

GtkWidget *gtk_combo_button_acr(GtkCombo *combo)
{
 return combo->button;
}

GtkWidget *gtk_combo_popup_acr(GtkCombo *combo)
{
 return combo->popup;
}

GtkWidget *gtk_combo_popwin_acr(GtkCombo *combo)
{
 return combo->popwin;
}

GtkWidget *gtk_combo_list_acr(GtkCombo *combo)
{
 return combo->list;
}

EIF_BOOLEAN gtk_combo_value_in_list_acr(GtkCombo *combo)
{
 return combo->value_in_list;
}
EIF_BOOLEAN gtk_combo_ok_if_empty_acr(GtkCombo *combo)
{
 return combo->ok_if_empty;
}
EIF_BOOLEAN gtk_combo_case_sensitive_acr(GtkCombo *combo)
{
 return combo->case_sensitive;
}
EIF_BOOLEAN gtk_combo_use_arrows_acr(GtkCombo *combo)
{
 return combo->use_arrows;
}
EIF_BOOLEAN gtk_combo_use_arrows_always_acr(GtkCombo *combo)
{
 return combo->use_arrows_always;
}
void c_gtk_combo_set_popdown_strings(GtkCombo *combo, char** strings, int count)
{
        int i;
        GList *list;
        GList *temp;

        if(count > 0)
        {
                list = g_list_alloc();
                list->data = strings[0];
                temp = list;
                for(i = 1; i < count; i++)
                {
                        temp->next = g_list_alloc();
                        temp->next->prev = temp;
                        temp = temp->next;
                        temp->data = strings[i];
                }
        }
        else
                list = NULL;
        gtk_combo_set_popdown_strings(combo, list);
        g_list_free(list);
}
