/*
You may be able to redistribute and/or modify this program.
See the README for details.
Copyright (C) 1999 Andrew Klochkov, Eugene Melekhov
*/


#include <gtk/gtk.h>
#include <vegtk.h>

void gtk_style_fg_acw (GtkStyle *obj, GtkStateType state, GdkColor *color)
{
 obj->fg[state] = *color;
}
void gtk_style_bg_acw (GtkStyle *obj, GtkStateType state, GdkColor *color)
{
 obj->bg[state] = *color;
}
void gtk_style_base_acw (GtkStyle *obj, GtkStateType state, GdkColor *color)
{
 obj->base[state] = *color;
}
void gtk_style_text_acw (GtkStyle *obj, GtkStateType state, GdkColor *color)
{
 obj->text[state] = *color;
}
void gtk_style_light_acw (GtkStyle *obj, GtkStateType state, GdkColor *color)
{
 obj->light[state] = *color;
}
void gtk_style_dark_acw (GtkStyle *obj, GtkStateType state, GdkColor *color)
{
 obj->dark[state] = *color;
}
void gtk_style_mid_acw (GtkStyle *obj, GtkStateType state, GdkColor *color)
{
 obj->mid[state] = *color;
}
GdkColor *gtk_style_fg_acr (GtkStyle * obj, GtkStateType state)
{
  return &(obj->fg[state]);
}
GdkColor *gtk_style_bg_acr (GtkStyle * obj, GtkStateType state)
{
  return &(obj->bg[state]);
}
GdkColor *gtk_style_light_acr (GtkStyle * obj, GtkStateType state)
{
  return &(obj->light[state]);
}
GdkColor *gtk_style_dark_acr (GtkStyle * obj, GtkStateType state)
{
  return &(obj->dark[state]);
}
GdkColor *gtk_style_mid_acr (GtkStyle * obj, GtkStateType state)
{
  return &(obj->mid[state]);
}
GdkColor *gtk_style_text_acr (GtkStyle * obj, GtkStateType state)
{
  return &(obj->text[state]);
}
GdkColor *gtk_style_base_acr (GtkStyle * obj, GtkStateType state)
{
  return &(obj->base[state]);
}
GdkColor *gtk_style_black_acr (GtkStyle * obj)
{
  return &(obj->black);
}
GdkColor *gtk_style_white_acr (GtkStyle * obj)
{
  return &(obj->white);
}
GdkFont *gtk_style_font_acr (GtkStyle * obj)
{
  return obj->font;
}
void gtk_style_font_acw (GtkStyle * obj, GdkFont *font)
{
  obj->font = font;
}
GdkGC *gtk_style_fg_gc_acr (GtkStyle * obj, GtkStateType state)
{
  return obj->fg_gc[state];
}
GdkGC *gtk_style_bg_gc_acr (GtkStyle * obj, GtkStateType state)
{
  return obj->bg_gc[state];
}
GdkGC *gtk_style_light_gc_acr (GtkStyle * obj, GtkStateType state)
{
  return obj->light_gc[state];
}
GdkGC *gtk_style_dark_gc_acr (GtkStyle * obj, GtkStateType state)
{
  return obj->dark_gc[state];
}
GdkGC *gtk_style_mid_gc_acr (GtkStyle * obj, GtkStateType state)
{
  return obj->mid_gc[state];
}
GdkGC *gtk_style_text_gc_acr (GtkStyle * obj, GtkStateType state)
{
  return obj->text_gc[state];
}
GdkGC *gtk_style_base_gc_acr (GtkStyle * obj, GtkStateType state)
{
  return obj->base_gc[state];
}
GdkGC *gtk_style_black_gc_acr (GtkStyle * obj)
{
  return obj->black_gc;
}
GdkGC *gtk_style_white_gc_acr (GtkStyle * obj)
{
  return obj->white_gc;
}
GdkPixmap *gtk_style_bg_pixmap_acr (GtkStyle * obj, GtkStateType state)
{
  return obj->bg_pixmap[state];
}
