/*
You may be able to redistribute and/or modify this program.
See the README for details.
Copyright (C) 1999 Andrew Klochkov, Eugene Melekhov
*/


#include <gtk/gtk.h>
#include <vegtk.h>

GtkTargetPair* gtk_target_pair_new()
{
	GtkTargetPair *pair = (GtkTargetPair*) g_malloc(sizeof(GtkTargetPair));
	pair->target = 0;
	pair->flags = 0;
	pair->info = 0;
	return pair;
}

GdkAtom gtk_target_pair_target_acr(GtkTargetPair* pair)
{
	return pair->target;
}

guint gtk_target_pair_flags_acr(GtkTargetPair* pair)
{
	return pair->flags;
}

guint gtk_target_pair_info_acr(GtkTargetPair* pair)
{
	return pair->info;
}

void gtk_target_pair_target_acw(GtkTargetPair* pair, GdkAtom target)
{
	pair->target = target;
}

void gtk_target_pair_flags_acw(GtkTargetPair* pair, guint flags)
{
	pair->flags = flags;
}

void gtk_target_pair_info_acw(GtkTargetPair* pair, int info)
{
	pair->info = info;
}
