/*
You may be able to redistribute and/or modify this program.
See the README for details.
Copyright (C) 1999 Andrew Klochkov, Eugene Melekhov
*/


#include <gtk/gtk.h>
#include <vegtk.h>

EIF_INTEGER gtk_object_destroyed(GtkObject* obj)
{
 return GTK_OBJECT_DESTROYED(obj);
}

EIF_INTEGER gtk_widget_flags (GtkWidget *wid)
{
  return GTK_WIDGET_FLAGS(wid);
}

void gtk_widget_set_flags (GtkWidget *widget, EIF_INTEGER flags)
{
  GTK_WIDGET_SET_FLAGS (widget, flags);
}

void gtk_widget_unset_flags (GtkWidget *widget, EIF_INTEGER flags)
{
  GTK_WIDGET_UNSET_FLAGS(widget, flags);
}

EIF_INTEGER gtk_widget_state (GtkWidget *wid)
{
  return GTK_WIDGET_STATE(wid);
}

EIF_INTEGER gtk_widget_visible (GtkWidget *w)
{
  if (GTK_WIDGET_VISIBLE(w))
	return (1);
  else
	return (0);
}

EIF_INTEGER gtk_widget_width (GtkWidget *w)
{
  EIF_INTEGER result = 0;
  if (w != NULL)
	result = w->allocation.width;
  return (result);
}

EIF_INTEGER gtk_widget_height (GtkWidget *w)
{
  EIF_INTEGER result = 0;
  if (w != NULL)
	result = w->allocation.height;
  return (result);
}

EIF_BOOLEAN gtk_widget_mapped_macro(GtkWidget *obj)
{
 return GTK_WIDGET_MAPPED(obj);
}

GdkWindow *gtk_widget_window_acr (GtkWidget * obj)
{
  return obj->window;
}

GtkAllocation *gtk_widget_allocation_acr (GtkWidget * obj)
{
  return &(obj->allocation);
}

GtkWidget *gtk_widget_parent_acr(GtkWidget *widget)
{
 return widget->parent;
}

void gtk_widget_motion_notify_event(GtkWidget *widget, GdkEventMotion* event)
{
 GTK_WIDGET_CLASS(GTK_OBJECT(widget)->klass)->motion_notify_event(widget,event);
}
