#ifndef VEGTK_H
#define VEGTK_H

#if defined (VEGTK_VE)
#include <cecil.h>
#define VEGTK_EIF_PROC           EIF_PROC       
#define VEGTK_EIF_FN_BOOL        EIF_FN_BOOL    
#define VEGTK_EIF_FN_CHAR        EIF_FN_CHAR    
#define VEGTK_EIF_FN_INT         EIF_FN_INT     
#define VEGTK_EIF_FN_REAL        EIF_FN_REAL    
#define VEGTK_EIF_FN_DOUBLE      EIF_FN_DOUBLE  
#define VEGTK_EIF_FN_POINTER     EIF_FN_POINTER 
#define VEGTK_EIF_FN_REF         EIF_FN_REF     
#else
#if defined (VEGTK_SE)
#include <cecil_se.h>
typedef void                     (*VEGTK_EIF_PROC)(EIF_REFERENCE, ...);
typedef EIF_BOOLEAN              (*VEGTK_EIF_FN_BOOL)(EIF_REFERENCE, ...);
typedef EIF_CHARACTER            (*VEGTK_EIF_FN_CHAR)(EIF_REFERENCE, ...);
typedef EIF_INTEGER              (*VEGTK_EIF_FN_INT)(EIF_REFERENCE, ...);
typedef EIF_REAL                 (*VEGTK_EIF_FN_REAL)(EIF_REFERENCE, ...);
typedef EIF_DOUBLE               (*VEGTK_EIF_FN_DOUBLE)(EIF_REFERENCE, ...);
typedef EIF_POINTER              (*VEGTK_EIF_FN_POINTER)(EIF_REFERENCE, ...);
typedef EIF_REFERENCE            (*VEGTK_EIF_FN_REF)(EIF_REFERENCE, ...);
#define eif_adopt(x) VEGTK_ADOPT_adopt(0,(x))
#define eif_wean(x) VEGTK_ADOPT_wean(0,(x))
#else 
#if defined(VEGTK_ISE)
#include <eif_cecil.h>
#include <eif_eiffel.h>
#define VEGTK_EIF_PROC EIF_PROCEDURE
#define VEGTK_EIF_FN_INT EIF_INTEGER_FUNCTION
#define VEGTK_EIF_FN_BOOL EIF_BOOLEAN_FUNCTION
#define VEGTK_EIF_FN_CHAR EIF_CHARACTER_FUNCTION
#define VEGTK_EIF_FN_FLOAT EIF_REAL_FUNCTION
#define VEGTK_EIF_FN_DOUBLE EIF_DOUBLE_FUNCTION
#define VEGTK_EIF_FN_REF EIF_REFERENCE_FUNCTION
#define VEGTK_EIF_FN_POINTER EIF_POINTER_FUNCTION
#define VEGTK_EIF_FN_BIT EIF_BIT_FUNCTION
#endif
#endif
#endif
#endif //VEGTK_H