#include <gtk/gtk.h>

static int g_argc;
static char** g_argv;


extern void marshal_func(GtkObject *object,
                         gpointer       data,
                         guint          nparams,
                         GtkArg         *args,
                         GtkType        *arg_types,
                         GtkType        return_type);

extern void destroy_func(gpointer data);

void ext_gtk_init(int *argc,char ***argv) {
  gtk_init(argc,argv);
  gtk_signal_set_funcs(marshal_func,destroy_func);
}

void ext_vegtk_init(int argc, char** argv)
{
  int i;
  g_argc = argc;

  g_argv = (char**) g_malloc(sizeof(char*)*argc);
  for(i=0;i<argc;i++)
    g_argv[i] = argv[i];
  ext_gtk_init(&g_argc, &g_argv);
}

int ext_vegtk_args_get_count()
{
  return g_argc;
}

char* ext_vegtk_args_get_i(int i)
{
  return g_argv[i];
}

void ext_vegtk_args_free()
{
  g_free(g_argv);
}
