indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gdk_flags.e,v 1.4 2000/03/13 18:19:50 eugenem Exp $";

class GDK_FLAGS
   inherit
      ANY
         redefine
            is_equal
         end

creation
   make

feature -- Comparsion

   is_equal(other : like current) : BOOLEAN is
      do
         result := value = other.value
      end

feature -- Access

   make, set_value(new_value : INTEGER) is
      do
         value := new_value
      end

   get_value : INTEGER is
      do
         Result := value
      end

   test(other : like current) : BOOLEAN is
      do
         Result := other.is_equal(Current and other)
      end

feature -- Queries

   infix "and" (other : like current) : like current is
      local
         bit1: BIT 32;
         bit2: BIT 32;
      do
         bit1.from_integer(value);
         bit2.from_integer(other.value);
         !!Result.make((bit1 or bit2).to_integer);
      end

feature {GDK_FLAGS} -- Implementation

   value : INTEGER

end -- class GDK_FLAGS
