indexing
    title       : "GTK ";
    cluster     : "VEGDK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gdk_color_context.e,v 1.5 2000/03/16 14:03:50 eugenem Exp $";

class GDK_COLOR_CONTEXT
inherit
   GDK_COLOR_CONTEXT_EXTERNALS
   GDK_OBJECT
creation
   from_external, make
feature -- creation
   make (visual : GDK_VISUAL; colormap : GDK_COLORMAP) is
      do
         from_external(gdk_color_context_new  (visual.to_external, colormap.to_external))
      end

feature -- operations

   new_mono (visual : GDK_VISUAL; colormap : GDK_COLORMAP) : GDK_COLOR_CONTEXT is
      do
         !!Result.from_external(gdk_color_context_new_mono  (visual.to_external, colormap.to_external));
      end
   free is
      do
         gdk_color_context_free  (to_external);
      end
   init_dither is
      do
         gdk_color_context_init_dither  (to_external);
      end
   free_dither is
      do
         gdk_color_context_free_dither  (to_external);
      end

end -- class GDK_COLOR_CONTEXT
