indexing
    title       : "GTK ";
    cluster     : "VEGDK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gdk_cursor.e,v 1.6 2000/03/20 07:54:44 eugenem Exp $";

class GDK_CURSOR
inherit
   GDK_CURSOR_EXTERNALS
   GDK_OBJECT
creation
   from_external, make
feature -- creation
   make (cursor_type : GDK_CURSOR_TYPE) is
      do
         from_external(gdk_cursor_new  (cursor_type.get_value));
      end

feature -- operations

   type : GDK_CURSOR_TYPE is
      do
         !!result.make(gdk_cursor_type_acr  (to_external));
      end
   new_from_pixmap (source : GDK_PIXMAP; mask : GDK_PIXMAP; fg : GDK_COLOR; bg : GDK_COLOR; x : INTEGER; y : INTEGER) : GDK_CURSOR is
      do
         !!Result.from_external(gdk_cursor_new_from_pixmap  (source.to_external, mask.to_external, fg.to_external, bg.to_external, x, y));
      end
   destroy is
      do
         gdk_cursor_destroy  (to_external);
      end

end -- class GDK_CURSOR
