indexing
    title       : "GTK ";
    cluster     : "VEGDK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gdk_event.e,v 1.5 2000/03/16 14:03:50 eugenem Exp $";

class GDK_EVENT
inherit
   GDK_OBJECT
creation
   from_external

feature -- operations

   type : GDK_EVENT_TYPE is
      do
         !!result.make(gdk_event_type_acr  (to_external));
      end
   window : GDK_WINDOW is
      do
         !!Result.from_external(gdk_event_window_acr  (to_external));
      end
   send_event : INTEGER is
      do
         Result:= gdk_event_send_event_acr  (to_external);
      end

feature {NONE} -- external C features

   gdk_event_type_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_type_acr"
      end
   gdk_event_window_acr (obj : POINTER) : POINTER is
      external "C"
      alias "gdk_event_window_acr"
      end
   gdk_event_send_event_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_send_event_acr"
      end
end -- class GDK_EVENT
