indexing
    title       : "GTK ";
    cluster     : "VEGDK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gdk_event_button.e,v 1.5 2000/03/16 14:03:50 eugenem Exp $";

class GDK_EVENT_BUTTON
inherit
   GDK_EVENT
creation
   from_external

feature -- operations

   time : INTEGER is
      do
         result := gdk_event_button_time_acr  (to_external)
      end
   x : REAL is
      do
         Result:= gdk_event_button_x_acr  (to_external);
      end
   y : REAL is
      do
         Result:= gdk_event_button_y_acr  (to_external);
      end
   pressure : REAL is
      do
         Result:= gdk_event_button_pressure_acr  (to_external);
      end
   xtilt : REAL is
      do
         Result:= gdk_event_button_xtilt_acr  (to_external);
      end
   ytilt : REAL is
      do
         Result:= gdk_event_button_ytilt_acr  (to_external);
      end
   state : INTEGER is
      do
         Result:= gdk_event_button_state_acr  (to_external);
      end
   button : INTEGER is
      do
         Result:= gdk_event_button_button_acr  (to_external);
      end
   source : GDK_INPUT_SOURCE is
      do
         !!result.make(gdk_event_button_source_acr  (to_external))
      end
   deviceid : INTEGER is
      do
         Result:= gdk_event_button_deviceid_acr  (to_external);
      end
   x_root : REAL is
      do
         Result:= gdk_event_button_x_root_acr  (to_external);
      end
   y_root : REAL is
      do
         Result:= gdk_event_button_y_root_acr  (to_external);
      end

feature {NONE} -- external C features

   gdk_event_button_time_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_button_time_acr"
      end
   gdk_event_button_x_acr (obj : POINTER) : REAL is
      external "C"
      alias "gdk_event_button_x_acr"
      end
   gdk_event_button_y_acr (obj : POINTER) : REAL is
      external "C"
      alias "gdk_event_button_y_acr"
      end
   gdk_event_button_pressure_acr (obj : POINTER) : REAL is
      external "C"
      alias "gdk_event_button_pressure_acr"
      end
   gdk_event_button_xtilt_acr (obj : POINTER) : REAL is
      external "C"
      alias "gdk_event_button_xtilt_acr"
      end
   gdk_event_button_ytilt_acr (obj : POINTER) : REAL is
      external "C"
      alias "gdk_event_button_ytilt_acr"
      end
   gdk_event_button_state_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_button_state_acr"
      end
   gdk_event_button_button_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_button_button_acr"
      end
   gdk_event_button_source_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_button_source_acr"
      end
   gdk_event_button_deviceid_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_button_deviceid_acr"
      end
   gdk_event_button_x_root_acr (obj : POINTER) : REAL is
      external "C"
      alias "gdk_event_button_x_root_acr"
      end
   gdk_event_button_y_root_acr (obj : POINTER) : REAL is
      external "C"
      alias "gdk_event_button_y_root_acr"
      end
end -- class GDK_EVENT_BUTTON
