indexing
    title       : "GTK ";
    cluster     : "VEGDK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gdk_event_client.e,v 1.5 2000/03/16 14:03:50 eugenem Exp $";

class GDK_EVENT_CLIENT
inherit
   GDK_EVENT
creation
   from_external

feature -- operations

   message_type : GDK_ATOM is
      do
         Result := gdk_event_client_message_type_acr  (to_external)
      end
   data_format : INTEGER is
      do
         Result:= gdk_event_client_data_format_acr  (to_external);
      end

feature {NONE} -- external C features

   gdk_event_client_message_type_acr (obj : POINTER) : GDK_ATOM is
      external "C"
      alias "gdk_event_client_message_type_acr"
      end
   gdk_event_client_data_format_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_client_data_format_acr"
      end
end -- class GDK_EVENT_CLIENT
