indexing
    title       : "GTK ";
    cluster     : "VEGDK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gdk_event_configure.e,v 1.5 2000/03/16 14:03:50 eugenem Exp $";

class GDK_EVENT_CONFIGURE
inherit
   GDK_EVENT
creation
   from_external

feature -- operations

   x : INTEGER is
      do
         Result:= gdk_event_configure_x_acr  (to_external);
      end
   y : INTEGER is
      do
         Result:= gdk_event_configure_y_acr  (to_external);
      end
   width : INTEGER is
      do
         Result:= gdk_event_configure_width_acr  (to_external);
      end
   height : INTEGER is
      do
         Result:= gdk_event_configure_height_acr  (to_external);
      end

feature {NONE} -- external C features

   gdk_event_configure_x_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_configure_x_acr"
      end
   gdk_event_configure_y_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_configure_y_acr"
      end
   gdk_event_configure_width_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_configure_width_acr"
      end
   gdk_event_configure_height_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_configure_height_acr"
      end
end -- class GDK_EVENT_CONFIGURE
