indexing
    title       : "GTK ";
    cluster     : "VEGDK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gdk_event_crossing.e,v 1.5 2000/03/16 14:03:50 eugenem Exp $";

class GDK_EVENT_CROSSING
inherit
   GDK_EVENT
creation
   from_external

feature -- operations

   time : INTEGER is
      do
         result := gdk_event_crossing_time_acr  (to_external)
      end
   x : REAL is
      do
         result := gdk_event_crossing_x_acr  (to_external)
      end
   y : REAL is
      do
         Result:= gdk_event_crossing_y_acr  (to_external);
      end
   x_root : REAL is
      do
         Result:= gdk_event_crossing_x_root_acr  (to_external);
      end
   y_root : REAL is
      do
         Result:= gdk_event_crossing_y_root_acr  (to_external);
      end
   mode : GDK_CROSSING_MODE is
      do
         !!result.make(gdk_event_crossing_mode_acr  (to_external))
      end
   detail : GDK_NOTIFY_TYPE is
      do
         !!result.make(gdk_event_crossing_detail_acr  (to_external))
      end
   focus : INTEGER is
      do
         Result:= gdk_event_crossing_focus_acr  (to_external);
      end
   state : INTEGER is
      do
         Result:= gdk_event_crossing_state_acr  (to_external);
      end

feature {NONE} -- external C features

   gdk_event_crossing_time_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_crossing_time_acr"
      end
   gdk_event_crossing_x_acr (obj : POINTER) : REAL is
      external "C"
      alias "gdk_event_crossing_x_acr"
      end
   gdk_event_crossing_y_acr (obj : POINTER) : REAL is
      external "C"
      alias "gdk_event_crossing_y_acr"
      end
   gdk_event_crossing_x_root_acr (obj : POINTER) : REAL is
      external "C"
      alias "gdk_event_crossing_x_root_acr"
      end
   gdk_event_crossing_y_root_acr (obj : POINTER) : REAL is
      external "C"
      alias "gdk_event_crossing_y_root_acr"
      end
   gdk_event_crossing_mode_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_crossing_mode_acr"
      end
   gdk_event_crossing_detail_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_crossing_detail_acr"
      end
   gdk_event_crossing_focus_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_crossing_focus_acr"
      end
   gdk_event_crossing_state_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_crossing_state_acr"
      end
end -- class GDK_EVENT_CROSSING
