indexing
    title       : "GTK ";
    cluster     : "VEGDK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gdk_event_key.e,v 1.5 2000/03/16 14:03:50 eugenem Exp $";

class GDK_EVENT_KEY
inherit
   GDK_EVENT
creation
   from_external

feature -- operations

   time : INTEGER is
      do
         Result:= gdk_event_key_time_acr  (to_external);
      end
   state : INTEGER is
      do
         Result:= gdk_event_key_state_acr  (to_external);
      end
   keyval : INTEGER is
      do
         Result:= gdk_event_key_keyval_acr  (to_external);
      end
   length : INTEGER is
      do
         Result:= gdk_event_key_length_acr  (to_external);
      end
   str : INTEGER is
      do
         Result:= gdk_event_key_str_acr  (to_external);
      end

feature {NONE} -- external C features

   gdk_event_key_time_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_key_time_acr"
      end
   gdk_event_key_state_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_key_state_acr"
      end
   gdk_event_key_keyval_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_key_keyval_acr"
      end
   gdk_event_key_length_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_key_length_acr"
      end
   gdk_event_key_str_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_key_str_acr"
      end
end -- class GDK_EVENT_KEY
