indexing
    title       : "GTK ";
    cluster     : "VEGDK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gdk_event_property.e,v 1.5 2000/03/16 14:03:50 eugenem Exp $";

class GDK_EVENT_PROPERTY
inherit
   GDK_EVENT
creation
   from_external

feature -- operations

   atom : GDK_ATOM is
      do
         Result := gdk_event_property_atom_acr  (to_external)
      end
   time : INTEGER is
      do
         Result:= gdk_event_property_time_acr  (to_external);
      end
   state : INTEGER is
      do
         Result:= gdk_event_property_state_acr  (to_external);
      end

feature {NONE} -- external C features

   gdk_event_property_atom_acr (obj : POINTER) : GDK_ATOM is
      external "C"
      alias "gdk_event_property_atom_acr"
      end
   gdk_event_property_time_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_property_time_acr"
      end
   gdk_event_property_state_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_property_state_acr"
      end
end -- class GDK_EVENT_PROPERTY
