indexing
    title       : "GTK ";
    cluster     : "VEGDK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gdk_event_proximity.e,v 1.5 2000/03/16 14:03:50 eugenem Exp $";

class GDK_EVENT_PROXIMITY
inherit
   GDK_EVENT
creation
   from_external

feature -- operations

   time : INTEGER is
      do
         result := gdk_event_proximity_time_acr  (to_external)
      end
   source : GDK_INPUT_SOURCE is
      do
         !!result.make(gdk_event_proximity_source_acr  (to_external))
      end
   deviceid : INTEGER is
      do
         Result:= gdk_event_proximity_deviceid_acr  (to_external);
      end

feature {NONE} -- external C features

   gdk_event_proximity_time_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_proximity_time_acr"
      end
   gdk_event_proximity_source_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_proximity_source_acr"
      end
   gdk_event_proximity_deviceid_acr (obj : POINTER) : INTEGER is
      external "C"
      alias "gdk_event_proximity_deviceid_acr"
      end
end -- class GDK_EVENT_PROXIMITY
