indexing
    title       : "GTK ";
    cluster     : "VEGDK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gdk_gcvalues.e,v 1.5 2000/03/16 14:03:50 eugenem Exp $";

class GDK_GCVALUES
inherit
   GDK_GCVALUES_EXTERNALS
   GDK_OBJECT
creation
   from_external

feature -- operations

   foreground : GDK_COLOR is
      do
         !!Result.from_external(gdk_gcvalues_foreground_acr  (to_external));
      end
   background : GDK_COLOR is
      do
         !!Result.from_external(gdk_gcvalues_background_acr  (to_external));
      end
   font : GDK_FONT is
      do
         !!Result.from_external(gdk_gcvalues_font_acr  (to_external));
      end
   function : GDK_FUNCTION is
      do
         !!result.make(gdk_gcvalues_function_acr  (to_external));
      end
   fill : GDK_FILL is
      do
         !!result.make(gdk_gcvalues_fill_acr  (to_external));
      end
   tile : GDK_PIXMAP is
      do
         !!Result.from_external(gdk_gcvalues_tile_acr  (to_external));
      end
   stipple : GDK_PIXMAP is
      do
         !!Result.from_external(gdk_gcvalues_stipple_acr  (to_external));
      end
   clip_mask : GDK_PIXMAP is
      do
         !!Result.from_external(gdk_gcvalues_clip_mask_acr  (to_external));
      end
   subwindow_mode : GDK_SUBWINDOW_MODE is
      do
         !!result.make(gdk_gcvalues_subwindow_mode_acr  (to_external));
      end
   ts_x_origin : INTEGER is
      do
         result := gdk_gcvalues_ts_x_origin_acr  (to_external)
      end
   ts_y_origin : INTEGER is
      do
         result := gdk_gcvalues_ts_y_origin_acr  (to_external)
      end
   clip_x_origin : INTEGER is
      do
         result := gdk_gcvalues_clip_x_origin_acr  (to_external)
      end
   clip_y_origin : INTEGER is
      do
         result := gdk_gcvalues_clip_y_origin_acr  (to_external)
      end
   graphics_exposures : INTEGER is
      do
         Result:= gdk_gcvalues_graphics_exposures_acr  (to_external);
      end
   line_width : INTEGER is
      do
         Result:= gdk_gcvalues_line_width_acr  (to_external);
      end
   line_style : GDK_LINE_STYLE is
      do
         !!result.make(gdk_gcvalues_line_style_acr  (to_external))
      end
   cap_style : GDK_CAP_STYLE is
      do
         !!result.make(gdk_gcvalues_cap_style_acr  (to_external))
      end
   join_style : GDK_JOIN_STYLE is
      do
         !!result.make(gdk_gcvalues_join_style_acr  (to_external))
      end

end -- class GDK_GCVALUES
