indexing
    title       : "GTK ";
    cluster     : "VEGDK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gdk_geometry.e,v 1.5 2000/03/16 14:03:50 eugenem Exp $";

class GDK_GEOMETRY
inherit
   GDK_GEOMETRY_EXTERNALS
   GDK_OBJECT
creation
   from_external

feature -- operations

   min_width : INTEGER is
      do
         Result:= gdk_geometry_min_width_acr  (to_external);
      end
   min_height : INTEGER is
      do
         Result:= gdk_geometry_min_height_acr  (to_external);
      end
   max_width : INTEGER is
      do
         Result:= gdk_geometry_max_width_acr  (to_external);
      end
   max_height : INTEGER is
      do
         Result:= gdk_geometry_max_height_acr  (to_external);
      end
   base_width : INTEGER is
      do
         Result:= gdk_geometry_base_width_acr  (to_external);
      end
   base_height : INTEGER is
      do
         Result:= gdk_geometry_base_height_acr  (to_external);
      end
   width_inc : INTEGER is
      do
         Result:= gdk_geometry_width_inc_acr  (to_external);
      end
   height_inc : INTEGER is
      do
         Result:= gdk_geometry_height_inc_acr  (to_external);
      end
   min_aspect : REAL is
      do
         Result:= gdk_geometry_min_aspect_acr  (to_external);
      end
   max_aspect : REAL is
      do
         Result:= gdk_geometry_max_aspect_acr  (to_external);
      end

end -- class GDK_GEOMETRY
