indexing
    title       : "GTK ";
    cluster     : "VEGDK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gdk_segment.e,v 1.5 2000/03/16 14:03:50 eugenem Exp $";

class GDK_SEGMENT
inherit
   GDK_SEGMENT_EXTERNALS
   GDK_OBJECT
creation
   from_external
--   , make, make_with_values
--feature -- creation
--   make is
--      do
--         from_external(gdk_segment_new)
--      end
--   make_with_values (arg_x1 : INTEGER; arg_y1 : INTEGER; arg_x2 : INTEGER; arg_y3 : INTEGER) is
--      do
--         from_external(gdk_segment_new_with_values  (arg_x1, arg_y1, arg_x2, arg_y3))
--      end

feature -- operations

   x1 : INTEGER is
      do
         Result:= gdk_segment_x1_acr  (to_external);
      end
   y1 : INTEGER is
      do
         Result:= gdk_segment_y1_acr  (to_external);
      end
   x2 : INTEGER is
      do
         Result:= gdk_segment_x2_acr  (to_external);
      end
   y2 : INTEGER is
      do
         Result:= gdk_segment_y2_acr  (to_external);
      end
   set_x1 (arg_x1 : INTEGER) is
      do
         gdk_segment_set_x1_acw  (to_external, arg_x1);
      end
   set_x2 (arg_x2 : INTEGER) is
      do
         gdk_segment_set_x2_acw  (to_external, arg_x2);
      end
   set_y1 (arg_y1 : INTEGER) is
      do
         gdk_segment_set_y1_acw  (to_external, arg_y1);
      end
   set_y2 (arg_y2 : INTEGER) is
      do
         gdk_segment_set_y2_acw  (to_external, arg_y2);
      end

end -- class GDK_SEGMENT
