indexing
    title       : "GTK ";
    cluster     : "VEGDK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gdk_drawable_np.e,v 1.5 2000/03/16 14:03:51 eugenem Exp $";

class GDK_DRAWABLE_NP
inherit
   GDK_DRAWABLE_EXTERNALS
feature {NONE} -- non portable calls
   np_gdk_drawable_set_data (drawable : POINTER; key : STRING; data : POINTER; destroy_func : POINTER) is
   local
      t : ANY
   do
      t := key.to_c
      gdk_drawable_set_data (drawable,$t, data, destroy_func);
   end
   np_gdk_drawable_draw_string (drawable : POINTER; font : POINTER; gc : POINTER; x : INTEGER; y : INTEGER; str : STRING) is
   local
      t : ANY
   do
      t := str.to_c
      gdk_drawable_draw_string (drawable, font, gc, x, y, $t);
   end
   np_gdk_drawable_draw_text (drawable : POINTER; font : POINTER; gc : POINTER; x : INTEGER; y : INTEGER; text : STRING; text_length : INTEGER) is
   local
      t : ANY
   do
      t := text.to_c
      gdk_drawable_draw_text (drawable, font, gc, x, y, $t, text_length);
   end
   np_gdk_drawable_draw_text_wc (drawable : POINTER; font : POINTER; gc : POINTER; x : INTEGER; y : INTEGER; text : STRING; text_length : INTEGER) is
   local
      t : ANY
   do
      t := text.to_c
      gdk_drawable_draw_text_wc (drawable, font, gc, x, y, $t, text_length);
   end
end -- class GDK_DRAWABLE_NP
