indexing
    title       : "GTK ";
    cluster     : "VEGDK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gdk_font_np.e,v 1.5 2000/03/16 14:03:51 eugenem Exp $";

class GDK_FONT_NP
inherit
GDK_FONT_EXTERNALS
feature {NONE} -- non portable calls
   np_gdk_font_load (font_name : STRING) : POINTER is
   do
      Result := gdk_font_load (font_name.to_external);
   end
   np_gdk_font_fontset_load (fontset_name : STRING) : POINTER is
   do
      Result := gdk_font_fontset_load (fontset_name.to_external);
   end
   np_gdk_font_string_width (font : POINTER; str : STRING) : INTEGER is
   do
      Result := gdk_font_string_width (font, str.to_external);
   end
   np_gdk_font_text_width (font : POINTER; text : STRING; text_length : INTEGER) : INTEGER is
   do
      Result := gdk_font_text_width (font, text.to_external, text_length);
   end
   np_gdk_font_text_width_wc (font : POINTER; text : STRING; text_length : INTEGER) : INTEGER is
   do
      Result := gdk_font_text_width_wc (font, text.to_external, text_length);
   end
   np_gdk_font_string_measure (font : POINTER; str : STRING) : INTEGER is
   do
      Result := gdk_font_string_measure (font, str.to_external);
   end
   np_gdk_font_text_measure (font : POINTER; str : STRING; text_length : INTEGER) : INTEGER is
   do
      Result := gdk_font_text_measure (font, str.to_external, text_length);
   end
   np_gdk_font_string_height (font : POINTER; str : STRING) : INTEGER is
   do
      Result := gdk_font_string_height (font, str.to_external);
   end
   np_gdk_font_text_height (font : POINTER; str : STRING; text_length : INTEGER) : INTEGER is
   do
      Result := gdk_font_text_height (font, str.to_external, text_length);
   end
   np_gdk_font_text_extents (font : POINTER; text : STRING; text_length : INTEGER; lbearing : POINTER; rbearing : POINTER; width : POINTER; arg_ascent : POINTER; arg_descent : POINTER) is
   do
      gdk_font_text_extents (font, text.to_external, text_length, lbearing, rbearing, width, arg_ascent, arg_descent);
   end
   np_gdk_font_text_extents_wc (font : POINTER; text : STRING; text_length : INTEGER; lbearing : POINTER; rbearing : POINTER; width : POINTER; arg_ascent : POINTER; arg_descent : POINTER) is
   do
      gdk_font_text_extents_wc (font, text.to_external, text_length, lbearing, rbearing, width, arg_ascent, arg_descent);
   end
   np_gdk_font_string_extents (font : POINTER; str : STRING; lbearing : POINTER; rbearing : POINTER; width : POINTER; arg_ascent : POINTER; arg_descent : POINTER) is
   do
      gdk_font_string_extents (font, str.to_external, lbearing, rbearing, width, arg_ascent, arg_descent);
   end
end -- class GDK_FONT_NP











