indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_accel_label.e,v 1.5 2000/03/16 14:03:51 eugenem Exp $";

class GTK_ACCEL_LABEL
inherit
   GTK_ACCEL_LABEL_NP
   GTK_ACCEL_LABEL_EXTERNALS
   GTK_LABEL
   redefine
      make,
      make_for_register
   end;
creation
   from_external, make, make_for_register
feature -- creation
   make (string : STRING) is
      do
         from_external(np_gtk_accel_label_new  (string))
      end

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_accel_label_get_type)
      end

feature -- operations

   get_accel_width : INTEGER is
      do
         Result:= gtk_accel_label_get_accel_width  (to_external);
      end
   set_accel_widget (accel_widget : GTK_WIDGET) is
      do
         gtk_accel_label_set_accel_widget  (to_external, accel_widget.to_external);
      end
   refetch : BOOLEAN is
      do
         Result:= gtk_accel_label_refetch  (to_external);
      end

end -- class GTK_ACCEL_LABEL
