indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_alignment.e,v 1.5 2000/03/16 14:03:51 eugenem Exp $";

class GTK_ALIGNMENT
inherit
   GTK_ALIGNMENT_NP
   GTK_ALIGNMENT_EXTERNALS
   GTK_BIN
      redefine
         make_for_register
      end
creation
   from_external, make, make_for_register
feature -- creation
   make (xalign : REAL; yalign : REAL; xscale : REAL; yscale : REAL) is
      do
         from_external(np_gtk_alignment_new  (xalign, yalign, xscale, yscale))
      end

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_alignment_get_type)
      end

feature -- operations

   set (xalign : REAL; yalign : REAL; xscale : REAL; yscale : REAL) is
      do
         np_gtk_alignment_set  (to_external, xalign, yalign, xscale, yscale);
      end

end -- class GTK_ALIGNMENT
