indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_allocation.e,v 1.5 2000/03/16 14:03:51 eugenem Exp $";

class GTK_ALLOCATION
inherit
   GTK_ALLOCATION_EXTERNALS
   VEGTK_EXTERNAL_OBJECT

creation
   from_external, make, make_with_values

feature -- Creation

   make is
      do
    from_external(gtk_allocation_new (0, 0, 0, 0))
      end

   make_with_values(arg_x, arg_y, arg_width, arg_height : INTEGER) is
      do
    from_external(gtk_allocation_new (arg_x, arg_y, arg_width, arg_height))
      end

feature -- Operations

   set_x(arg_x : INTEGER) is
      do
         gtk_allocation_x_acw(to_external, arg_x)
      end

   set_y(arg_y : INTEGER) is
      do
         gtk_allocation_y_acw(to_external, arg_y)
      end

   set_width(arg_width : INTEGER) is
      do
         gtk_allocation_width_acw(to_external, arg_width)
      end

   set_height(arg_height : INTEGER) is
      do
         gtk_allocation_height_acw(to_external, arg_height)
      end

feature -- Queries

   x : INTEGER is
      do
         Result := gtk_allocation_x_acr(to_external)
      end

   y : INTEGER is
      do
         Result := gtk_allocation_y_acr(to_external)
      end

   width : INTEGER is
      do
         Result := gtk_allocation_width_acr(to_external)
      end

   height : INTEGER is
      do
         Result := gtk_allocation_height_acr(to_external)
      end

end -- class GTK_ALLOCATION
