indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_arrow.e,v 1.6 2000/03/20 07:54:45 eugenem Exp $";

class GTK_ARROW
inherit
   GTK_ARROW_EXTERNALS
   GTK_WIDGET
      redefine make_for_register
   end
creation
   from_external, make, make_for_register
feature -- creation
   make (arrow_type : GTK_ARROW_TYPE; shadow_type : GTK_SHADOW_TYPE) is
      do
         from_external(gtk_arrow_new  (arrow_type.get_value, shadow_type.get_value));
      end

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_arrow_get_type)
      end

feature -- operations

   set (arrow_type : GTK_ARROW_TYPE; shadow_type : GTK_SHADOW_TYPE) is
      do
         gtk_arrow_set  (to_external, arrow_type.get_value, shadow_type.get_value);
      end

end -- class GTK_ARROW
