indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_button.e,v 1.5 2000/03/16 14:03:51 eugenem Exp $";

class GTK_BUTTON
inherit
   GTK_BUTTON_NP
   GTK_BUTTON_EXTERNALS
   GTK_CONTAINER
      redefine
         make_for_register
      end
creation
   from_external, make, make_with_label, make_for_register
feature -- creation
   make is
      do
         from_external(gtk_button_new)
      end
   make_with_label (label : STRING) is
      do
         from_external(np_gtk_button_new_with_label  (label))
      end

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_button_get_type)
      end

feature -- operations

   pressed is
      do
         gtk_button_pressed  (to_external);
      end
   released is
      do
         gtk_button_released  (to_external);
      end
   clicked is
      do
         gtk_button_clicked  (to_external);
      end
   enter is
      do
         gtk_button_enter  (to_external);
      end
   leave is
      do
         gtk_button_leave  (to_external);
      end
   set_relief (newstyle : GTK_RELIEF_STYLE) is
      do
         gtk_button_set_relief  (to_external, newstyle.get_value);
      end
   get_relief : GTK_RELIEF_STYLE is
      do
         !!result.make(gtk_button_get_relief  (to_external));
      end

end -- class GTK_BUTTON
