indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_button_box.e,v 1.5 2000/03/16 14:03:51 eugenem Exp $";

class GTK_BUTTON_BOX
inherit
   GTK_BUTTON_BOX_EXTERNALS
   GTK_BOX
      rename
         set_spacing as set_spacing_box
      redefine
         make_for_register
      end
creation
   from_external, make_for_register

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_button_box_get_type)
      end

feature -- operations

   get_child_size_default (min_width : INTEGER; min_height : INTEGER) is
      do
         gtk_button_box_get_child_size_default  (min_width, min_height);
      end
   get_child_ipadding_default (ipad_x : INTEGER; ipad_y : INTEGER) is
      do
         gtk_button_box_get_child_ipadding_default  (ipad_x, ipad_y);
      end
   set_child_size_default (min_width : INTEGER; min_height : INTEGER) is
      do
         gtk_button_box_set_child_size_default  (min_width, min_height);
      end
   set_child_ipadding_default (ipad_x : INTEGER; ipad_y : INTEGER) is
      do
         gtk_button_box_set_child_ipadding_default  (ipad_x, ipad_y);
      end
   get_spacing : INTEGER is
      do
         result := gtk_button_box_get_spacing  (to_external)
      end
   get_layout : GTK_BUTTON_BOX_STYLE is
      do
         !!result.make(gtk_button_box_get_layout  (to_external))
      end
   get_child_size (min_width : POINTER; min_height : POINTER) is
      do
         gtk_button_box_get_child_size  (to_external, min_width, min_height);
      end
   get_child_ipadding (ipad_x : POINTER; ipad_y : POINTER) is
      do
         gtk_button_box_get_child_ipadding  (to_external, ipad_x, ipad_y);
      end
   set_spacing (spacing : INTEGER) is
      do
         gtk_button_box_set_spacing  (to_external, spacing);
      end
   set_layout (layout_style : GTK_BUTTON_BOX_STYLE) is
      do
         gtk_button_box_set_layout  (to_external, layout_style.get_value);
      end
   set_child_size (min_width : INTEGER; min_height : INTEGER) is
      do
         gtk_button_box_set_child_size  (to_external, min_width, min_height);
      end
   set_child_ipadding (ipad_x : INTEGER; ipad_y : INTEGER) is
      do
         gtk_button_box_set_child_ipadding  (to_external, ipad_x, ipad_y);
      end

end -- class GTK_BUTTON_BOX
