indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_calendar.e,v 1.5 2000/03/16 14:03:51 eugenem Exp $";

class GTK_CALENDAR
inherit
   GTK_CALENDAR_EXTERNALS
   GTK_WIDGET
creation
   from_external, make
feature -- creation
   make is
      do
         from_external(gtk_calendar_new)
      end

feature -- operations

   select_month (month : INTEGER; year : INTEGER) : INTEGER is
      do
         Result:= gtk_calendar_select_month  (to_external, month, year);
      end
   select_day (day : INTEGER) is
      do
         gtk_calendar_select_day  (to_external, day);
      end
   mark_day (day : INTEGER) : INTEGER is
      do
         Result:= gtk_calendar_mark_day  (to_external, day);
      end
   unmark_day (day : INTEGER) : INTEGER is
      do
         Result:= gtk_calendar_unmark_day  (to_external, day);
      end
   clear_marks is
      do
         gtk_calendar_clear_marks  (to_external);
      end
   display_options (arg_flags : GTK_CALENDAR_DISPLAY_OPTIONS) is
      do
         gtk_calendar_display_options  (to_external, arg_flags.get_value);
      end
   get_date (year : POINTER; month : POINTER; day : POINTER) is
      do
         gtk_calendar_get_date  (to_external, year, month, day);
      end
   freeze is
      do
         gtk_calendar_freeze  (to_external);
      end
   thaw is
      do
         gtk_calendar_thaw  (to_external);
      end

end -- class GTK_CALENDAR
