indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_cell_pixtext.e,v 1.6 2000/03/16 14:03:51 eugenem Exp $";

class GTK_CELL_PIXTEXT
inherit
   GTK_CELL_PIXTEXT_EXTERNALS
   GTK_CELL
      redefine
         text,
         pixmap
      end

creation
   from_external

feature -- Queries

   text : STRING is
      local
         sh : VEGTK_STRING_HELPER
      do
         !!sh
         Result := sh.string_from_external(gtk_cell_pixtext_text_acr(to_external))
      end
   spacing : INTEGER is
      do
         Result := gtk_cell_pixtext_spacing_acr(to_external)
      end
   pixmap : GDK_PIXMAP is
      do
         !!Result.create_pixmap(gtk_cell_pixtext_pixmap_acr(to_external),
            gtk_cell_pixtext_mask_acr(to_external))
      end

feature -- Operations

end -- class GTK_CELL_PIXTEXT
