indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_color_selection_dialog.e,v 1.5 2000/03/16 14:03:51 eugenem Exp $";

class GTK_COLOR_SELECTION_DIALOG
inherit
   GTK_COLOR_SELECTION_DIALOG_NP
   GTK_COLOR_SELECTION_DIALOG_EXTERNALS
   GTK_WINDOW
      rename
         make as make_window
      redefine
         make_for_register
      end
creation
   from_external, make, make_for_register
feature -- creation
   make (title : STRING) is
      do
         from_external(np_gtk_color_selection_dialog_new  (title))
      end

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_color_selection_dialog_get_type)
      end

feature -- Access

   colorsel : GTK_COLOR_SELECTION is
      do
         !!Result.from_external(gtk_color_selection_dialog_colorsel_acr(to_external))
      end

   main_vbox : GTK_VBOX is
      do
         !!Result.from_external(gtk_color_selection_dialog_main_vbox_acr(to_external))
      end

   ok_button : GTK_BUTTON is
      do
         !!Result.from_external(gtk_color_selection_dialog_ok_button_acr(to_external))
      end

   reset_button : GTK_BUTTON is
      do
         !!Result.from_external(gtk_color_selection_dialog_reset_button_acr(to_external))
      end

   cancel_button : GTK_BUTTON is
      do
         !!Result.from_external(gtk_color_selection_dialog_cancel_button_acr(to_external))
      end

   help_button : GTK_BUTTON is
      do
         !!Result.from_external(gtk_color_selection_dialog_help_button_acr(to_external))
      end

end -- class GTK_COLOR_SELECTION_DIALOG
