indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_curve.e,v 1.5 2000/03/16 14:03:51 eugenem Exp $";

class GTK_CURVE
inherit
   GTK_CURVE_NP
   GTK_CURVE_EXTERNALS
   GTK_DRAWING_AREA
     redefine
        make, make_for_register
     end;
creation
   from_external, make, make_for_register
feature -- creation
   make is
      do
         from_external(gtk_curve_new)
      end

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_curve_get_type)
      end

feature -- operations

   reset is
      do
         gtk_curve_reset  (to_external);
      end
   set_gamma (gamma : REAL) is
      do
         np_gtk_curve_set_gamma  (to_external, gamma);
      end
   set_range (min_x : REAL; max_x : REAL; min_y : REAL; max_y : REAL) is
      do
         np_gtk_curve_set_range  (to_external, min_x, max_x, min_y, max_y);
      end
   set_curve_type (arg_type : GTK_CURVE_TYPE) is
      do
         gtk_curve_set_curve_type  (to_external, arg_type.get_value);
      end
   get_vector(veclen : INTEGER) : ARRAY[REAL] is
      do
--         !!Result.make(1,0)
--         Result.from_c(c_gtk_curve_get_vector(to_external, veclen), veclen)
         io.put_string("not done yet%N")
      end
   set_vector(vector : ARRAY[REAL]) is
      do
         np_gtk_curve_set_vector(to_external, vector)
      end

end -- class GTK_CURVE
