indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_drawing_area.e,v 1.5 2000/03/16 14:03:51 eugenem Exp $";

class GTK_DRAWING_AREA
inherit
   GTK_DRAWING_AREA_EXTERNALS
   GTK_WIDGET
      redefine
         make_for_register
      end
creation
   from_external, make, make_for_register
feature -- creation
   make is
      do
         from_external(gtk_drawing_area_new)
      end

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_drawing_area_get_type)
      end

feature -- operations

   size (width : INTEGER; height : INTEGER) is
      do
         gtk_drawing_area_size  (to_external, width, height);
      end

end -- class GTK_DRAWING_AREA
