indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_fixed.e,v 1.5 2000/03/16 14:03:51 eugenem Exp $";

class GTK_FIXED
inherit
   GTK_FIXED_EXTERNALS
   GTK_CONTAINER
      redefine
         make_for_register
      end
creation
   from_external, make, make_for_register
feature -- creation
   make is
      do
         from_external(gtk_fixed_new)
      end

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_fixed_get_type)
      end

feature -- operations

   put (widget : GTK_WIDGET; x : INTEGER; y : INTEGER) is
      do
         gtk_fixed_put  (to_external, widget.to_external, x, y);
      end
   move (widget : GTK_WIDGET; x : INTEGER; y : INTEGER) is
      do
         gtk_fixed_move  (to_external, widget.to_external, x, y);
      end

end -- class GTK_FIXED
