indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_frame.e,v 1.5 2000/03/16 14:03:51 eugenem Exp $";

class GTK_FRAME
inherit
   GTK_FRAME_NP
   GTK_FRAME_EXTERNALS
   GTK_BIN
      redefine
         make_for_register
      end
creation
   from_external, make, make_for_register
feature -- creation
   make (label : STRING) is
      do
         from_external(np_gtk_frame_new  (label))
      end

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_frame_get_type)
      end

feature -- operations

   set_label (label : STRING) is
      do
         np_gtk_frame_set_label  (to_external, label);
      end
   set_label_align (xalign : REAL; yalign : REAL) is
      do
         np_gtk_frame_set_label_align  (to_external, xalign, yalign);
      end
   set_shadow_type (arg_type : GTK_SHADOW_TYPE) is
      do
         gtk_frame_set_shadow_type  (to_external, arg_type.get_value);
      end

end -- class GTK_FRAME
