indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_image.e,v 1.5 2000/03/16 14:03:52 eugenem Exp $";

class GTK_IMAGE
inherit
   GTK_IMAGE_EXTERNALS
   GTK_MISC
      redefine
         make_for_register
      end
creation
   from_external, make, make_for_register
feature -- creation
   make (val : GDK_IMAGE; mask : GDK_BITMAP) is
      do
         from_external(gtk_image_new  (val.to_external, mask.to_external))
      end

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_image_get_type)
      end

feature -- operations

   set (val : GDK_IMAGE; mask : GDK_BITMAP) is
      do
         gtk_image_set  (to_external, val.to_external, mask.to_external);
      end
   get (val : POINTER; mask : POINTER) is
      do
         gtk_image_get  (to_external, val, mask);
      end

end -- class GTK_IMAGE
