indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_menu_bar.e,v 1.5 2000/03/16 14:03:52 eugenem Exp $";

class GTK_MENU_BAR
inherit
   GTK_MENU_BAR_EXTERNALS
   GTK_MENU_SHELL
      rename
         append as append_menu_shell,
         prepend as prepend_menu_shell,
         insert as insert_menu_shell
      redefine
         make_for_register
      end
creation
   from_external, make, make_for_register
feature -- creation
   make is
      do
         from_external(gtk_menu_bar_new)
      end

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_menu_bar_get_type)
      end

feature -- operations

   append (child : GTK_WIDGET) is
      do
         gtk_menu_bar_append  (to_external, child.to_external);
      end
   prepend (child : GTK_WIDGET) is
      do
         gtk_menu_bar_prepend  (to_external, child.to_external);
      end
   insert (child : GTK_WIDGET; position : INTEGER) is
      do
         gtk_menu_bar_insert  (to_external, child.to_external, position);
      end
   set_shadow_type (arg_type : GTK_SHADOW_TYPE) is
      do
         gtk_menu_bar_set_shadow_type  (to_external, arg_type.get_value);
      end

end -- class GTK_MENU_BAR
