indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_range.e,v 1.5 2000/03/16 14:03:52 eugenem Exp $";

class GTK_RANGE
inherit
   GTK_RANGE_NP
   GTK_RANGE_EXTERNALS
   GTK_WIDGET
      redefine
         make_for_register
      end
creation
   from_external, make_for_register

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_range_get_type)
      end

feature -- operations

   get_adjustment : GTK_ADJUSTMENT is
      do
         !!Result.from_external(gtk_range_get_adjustment  (to_external));
      end
   set_update_policy (policy : GTK_UPDATE_TYPE) is
      do
         gtk_range_set_update_policy  (to_external, policy.get_value);
      end
   set_adjustment (adjustment : GTK_ADJUSTMENT) is
      do
         gtk_range_set_adjustment  (to_external, adjustment.to_external);
      end
   draw_background is
      do
         gtk_range_draw_background  (to_external);
      end
--   clear_background is
--      do
--         gtk_range_clear_background  (to_external);
--      end
   draw_trough is
      do
         gtk_range_draw_trough  (to_external);
      end
   draw_slider is
      do
         gtk_range_draw_slider  (to_external);
      end
   draw_step_forw is
      do
         gtk_range_draw_step_forw  (to_external);
      end
   draw_step_back is
      do
         gtk_range_draw_step_back  (to_external);
      end
   slider_update is
      do
         gtk_range_slider_update  (to_external);
      end
   trough_click (x : INTEGER; y : INTEGER; jump_perc : REAL) : INTEGER is
      do
         Result:= np_gtk_range_trough_click  (to_external, x, y, jump_perc);
      end
   default_hslider_update is
      do
         gtk_range_default_hslider_update  (to_external);
      end
   default_vslider_update is
      do
         gtk_range_default_vslider_update  (to_external);
      end
   default_htrough_click (x : INTEGER; y : INTEGER; jump_perc : REAL) : INTEGER is
      do
         Result:= np_gtk_range_default_htrough_click  (to_external, x, y, jump_perc);
      end
   default_vtrough_click (x : INTEGER; y : INTEGER; jump_perc : REAL) : INTEGER is
      do
         Result:= np_gtk_range_default_vtrough_click  (to_external, x, y, jump_perc);
      end
   default_hmotion (xdelta : INTEGER; ydelta : INTEGER) is
      do
         gtk_range_default_hmotion  (to_external, xdelta, ydelta);
      end
   default_vmotion (xdelta : INTEGER; ydelta : INTEGER) is
      do
         gtk_range_default_vmotion  (to_external, xdelta, ydelta);
      end

end -- class GTK_RANGE
