indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_selection_data.e,v 1.5 2000/03/16 14:03:52 eugenem Exp $";

class GTK_SELECTION_DATA
inherit
   GTK_SELECTION_DATA_EXTERNALS
   VEGTK_EXTERNAL_OBJECT

creation
   from_external

feature -- Queries

   selection : GDK_ATOM is
      do
         Result := gtk_selection_data_selection_acr(to_external)
      end
   target : GDK_ATOM is
      do
         Result := gtk_selection_data_target_acr(to_external)
      end
   type : GDK_ATOM is
      do
         Result := gtk_selection_data_type_acr(to_external)
      end
   format : INTEGER is
      do
         Result := gtk_selection_data_format_acr(to_external)
      end
   data : POINTER is
      do
         Result := gtk_selection_data_data_acr(to_external)
      end
   length : INTEGER is
      do
         Result := gtk_selection_data_length_acr(to_external)
      end

feature -- Operations

   set(type_ : GDK_ATOM; format_ : INTEGER; data_ : POINTER; length_ : INTEGER) is
      do
         gtk_selection_data_set(to_external,type,format,data_,length_)
      end

end -- class GTK_SELECTION_DATA
