indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_statusbar.e,v 1.5 2000/03/16 14:03:52 eugenem Exp $";

class GTK_STATUSBAR
inherit
   GTK_STATUSBAR_NP
   GTK_STATUSBAR_EXTERNALS
   GTK_HBOX
      rename
         make as make_hbox,
         remove as remove_container
      redefine
         make_for_register
      end
creation
   from_external, make, make_for_register
feature -- creation
   make is
      do
         from_external(gtk_statusbar_new)
      end

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_statusbar_get_type)
      end

feature -- queries

   last_message_id : INTEGER

   get_context_id (context_description : STRING) : INTEGER is
      do
         Result:= np_gtk_statusbar_get_context_id  (to_external, context_description);
      end

feature -- operations

   push (context_id : INTEGER; text : STRING)  is
      do
         last_message_id := np_gtk_statusbar_push  (to_external, context_id, text);
      end
   pop (context_id : INTEGER) is
      do
         gtk_statusbar_pop  (to_external, context_id);
      end
   remove (context_id : INTEGER; message_id : INTEGER) is
      do
         gtk_statusbar_remove  (to_external, context_id, message_id);
      end

end -- class GTK_STATUSBAR
