indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_target_pair.e,v 1.5 2000/03/16 14:03:52 eugenem Exp $";

class GTK_TARGET_PAIR
inherit
   GTK_TARGET_PAIR_EXTERNALS
   VEGTK_EXTERNAL_OBJECT

creation
   from_external, make

feature -- Creation

   make is
      do
         from_external(gtk_target_pair_new)
      end -- make

feature -- Queries

   target : GDK_ATOM is
      do
         Result := gtk_target_pair_target_acr(to_external)
      end -- target

   flags : INTEGER is
      do
         Result := gtk_target_pair_flags_acr(to_external)
      end -- flags

   info : INTEGER is
      do
         Result := gtk_target_pair_info_acr(to_external)
      end -- info

feature -- Operations

   set_target(arg_target : GDK_ATOM) is
      do
         gtk_target_pair_target_acw(to_external, arg_target)
      end -- set_target

   set_flags(arg_flags : INTEGER) is
      do
         gtk_target_pair_flags_acw(to_external, arg_flags)
      end -- set_flags

   set_info(arg_info : INTEGER) is
      do
         gtk_target_pair_info_acw(to_external, arg_info)
      end -- set_info

end -- class GTK_TARGET_PAIR
