indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_type.e,v 1.6 2000/03/16 14:03:52 eugenem Exp $";

class GTK_TYPE
inherit
   GTK_TYPE_NP
   GTK_TYPE_EXTERNALS
creation
   from_external, from_name, make

feature -- Creation

   from_name (arg_name : STRING) is
      do
         value := np_gtk_type_from_name  (arg_name);
      end
   make,from_external,from_integer (arg_type : INTEGER) is
      do
         value := arg_type;
      end
feature -- queries
   name : STRING is
      local
         sh : VEGTK_STRING_HELPER
      do
         !!sh
         Result := sh.string_from_external (gtk_type_name  (value))
      end
   parent : GTK_TYPE is
      do
         !!Result.from_external(gtk_type_parent  (value));
      end
   fundamental : GTK_FUNDAMENTAL_TYPE is
      do
         !!result.make(gtk_type_fundamental(value))
      end
   to_external : INTEGER is
      do
         Result := value;
      end

feature
  value : INTEGER;

end -- class GTK_TYPE
