indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_vbutton_box.e,v 1.5 2000/03/16 14:03:52 eugenem Exp $";

class GTK_VBUTTON_BOX
inherit
   GTK_VBUTTON_BOX_EXTERNALS
   GTK_BUTTON_BOX
      redefine
         make_for_register
      end
creation
   from_external, make, make_for_register
feature -- creation
   make is
      do
         from_external(gtk_vbutton_box_new)
      end

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_vbutton_box_get_type)
      end

feature -- operations

   get_spacing_default : INTEGER is
      do
         result := gtk_vbutton_box_get_spacing_default
      end
   get_layout_default : GTK_BUTTON_BOX_STYLE is
      do
         !!result.make(gtk_vbutton_box_get_layout_default)
      end
   set_spacing_default (spacing : INTEGER) is
      do
         gtk_vbutton_box_set_spacing_default  (spacing);
      end
   set_layout_default (layout : GTK_BUTTON_BOX_STYLE) is
      do
         gtk_vbutton_box_set_layout_default  (layout.get_value);
      end

end -- class GTK_VBUTTON_BOX
