indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_ctree_np.e,v 1.5 2000/03/16 14:03:54 eugenem Exp $";

class GTK_CTREE_NP
inherit
   GTK_CTREE_EXTERNALS
feature {NONE} -- non portable calls
   np_gtk_ctree_node_set_text (ctree : POINTER; node : POINTER; column : INTEGER; text : STRING) is
   local
      t : ANY
   do
      t := text.to_c
      gtk_ctree_node_set_text (ctree, node, column, $t);
   end
   np_gtk_ctree_node_set_pixtext (ctree : POINTER; node : POINTER; column : INTEGER; text : STRING; spacing : INTEGER; pixmap : POINTER; mask : POINTER) is
   local
      t : ANY
   do
      t := text.to_c
      gtk_ctree_node_set_pixtext (ctree, node, column, $t, spacing, pixmap, mask);
   end
   np_gtk_ctree_set_node_info (ctree : POINTER; node : POINTER; text : STRING; spacing : INTEGER; pixmap_closed : POINTER; mask_closed : POINTER; pixmap_opened : POINTER; mask_opened : POINTER; is_leaf : BOOLEAN; arg_expanded : BOOLEAN) is
      local
         t : ANY
      do
         t := text.to_c
         gtk_ctree_set_node_info (ctree, node, $t, spacing, pixmap_closed, mask_closed, pixmap_opened, mask_opened, is_leaf, arg_expanded)
      end
   np_gtk_ctree_node_moveto (ctree : POINTER; node : POINTER; column : INTEGER; row_align : REAL; col_align : REAL) is
      local
         t : ANY
      do
         gtk_ctree_node_moveto (ctree, node, column, row_align, col_align)
      end
end -- class GTK_CTREE_NP
