indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_aspect_frame.e,v 1.2 2000/03/13 18:19:55 eugenem Exp $";

class GTK_ASPECT_FRAME
inherit
   GTK_ASPECT_FRAME_NP
   GTK_ASPECT_FRAME_EXTERNALS
   GTK_FRAME
      rename
         make as make_frame
      redefine
         make_for_register
      end
creation
   from_external, make, make_for_register
feature -- creation
   make (label : STRING; xalign : REAL; yalign : REAL; ratio : REAL; obey_child : BOOLEAN) is
      do
         from_external (gtk_aspect_frame_new (label.to_external, xalign, yalign,
                                              ratio,obey_child.to_integer))
      end

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_aspect_frame_get_type)
      end

feature -- operations

   set (xalign : REAL; yalign : REAL; ratio : REAL; obey_child : BOOLEAN) is
      do
         gtk_aspect_frame_set  (to_external, xalign, yalign, ratio,
                                obey_child.to_integer);
      end

end -- class GTK_ASPECT_FRAME
