indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_box.e,v 1.3 2000/03/16 14:03:55 eugenem Exp $";

class GTK_BOX
inherit
   GTK_BOX_EXTERNALS
   GTK_CONTAINER
      redefine
         make_for_register
      end
creation
   from_external, make_for_register

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_box_get_type)
      end

feature -- operations

   pack_start (child : GTK_WIDGET; expand : BOOLEAN; fill : BOOLEAN; padding : INTEGER) is
      do
         gtk_box_pack_start  (to_external, child.to_external, expand.to_integer, fill.to_integer, padding);
      end
   pack_end (child : GTK_WIDGET; expand : BOOLEAN; fill : BOOLEAN; padding : INTEGER) is
      do
         gtk_box_pack_end  (to_external, child.to_external, expand.to_integer, fill.to_integer, padding);
      end
   pack_start_defaults (child : GTK_WIDGET) is
      do
         gtk_box_pack_start_defaults  (to_external, child.to_external);
      end
   pack_end_defaults (child : GTK_WIDGET) is
      do
         gtk_box_pack_end_defaults  (to_external, child.to_external);
      end
   set_homogeneous (homogenous : BOOLEAN) is
      do
         gtk_box_set_homogeneous  (to_external, homogenous.to_integer);
      end
   set_spacing (spacing : INTEGER) is
      do
         gtk_box_set_spacing  (to_external, spacing);
      end
   reorder_child (child : GTK_WIDGET; pos : INTEGER) is
      do
         gtk_box_reorder_child  (to_external, child.to_external, pos);
      end
   query_child_packing (child : GTK_WIDGET; expand : POINTER; fill : POINTER; padding : POINTER; pack_type : POINTER) is
      do
         gtk_box_query_child_packing  (to_external, child.to_external, expand, fill, padding, pack_type);
      end
   set_child_packing (child : GTK_WIDGET; expand : BOOLEAN; fill : BOOLEAN; padding : INTEGER; pack_type : GTK_PACK_TYPE) is
      do
         gtk_box_set_child_packing  (to_external, child.to_external, expand.to_integer, fill.to_integer, padding, pack_type.get_value);
      end

end -- class GTK_BOX
