indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_check_menu_item.e,v 1.3 2000/03/16 14:03:55 eugenem Exp $";

class GTK_CHECK_MENU_ITEM
inherit
   GTK_CHECK_MENU_ITEM_NP
   GTK_CHECK_MENU_ITEM_EXTERNALS
   GTK_MENU_ITEM
      redefine
         make,
         make_with_label,
         make_for_register
      end
creation
   from_external, make, make_with_label, make_for_register
feature -- creation
   make is
      do
         from_external(gtk_check_menu_item_new)
      end
   make_with_label (label : STRING) is
      do
         from_external(np_gtk_check_menu_item_new_with_label  (label))
      end

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_check_menu_item_get_type)
      end

feature -- access

   active : BOOLEAN is
      do
         Result := gtk_check_menu_item_active_acr (to_external)
      end

feature -- operations

   set_active (arg_state : BOOLEAN) is
      do
         gtk_check_menu_item_set_active  (to_external, arg_state.to_integer);
      end
   set_show_toggle (always : BOOLEAN) is
      do
         gtk_check_menu_item_set_show_toggle  (to_external, always.to_integer);
      end
   toggled is
      do
         gtk_check_menu_item_toggled  (to_external);
      end

end -- class GTK_CHECK_MENU_ITEM
