indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_clist_np.e,v 1.5 2000/03/16 14:03:55 eugenem Exp $";

class GTK_CLIST_NP
inherit
   GTK_CLIST_EXTERNALS
feature {NONE} -- non portable calls
   np_gtk_clist_set_column_title (clist : POINTER; column : INTEGER; title : STRING) is
   do
      gtk_clist_set_column_title (clist, column, title.to_external);
   end
   np_gtk_clist_set_text (clist : POINTER; row : INTEGER; column : INTEGER; text : STRING) is
   do
      gtk_clist_set_text (clist, row, column, text.to_external);
   end
   np_gtk_clist_set_pixtext (clist : POINTER; row : INTEGER; column : INTEGER; text : STRING; spacing : INTEGER; pixmap : POINTER; mask : POINTER) is
   do
      gtk_clist_set_pixtext (clist, row, column, text.to_external, spacing, pixmap, mask);
   end
   np_gtk_clist_moveto (clist : POINTER; row : INTEGER; column : INTEGER; row_align : REAL; col_align : REAL) is
   do
      gtk_clist_moveto (clist, row, column, row_align, col_align)
   end
end -- class GTK_CLIST_NP
