indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_menu_shell.e,v 1.3 2000/03/16 14:03:55 eugenem Exp $";

class GTK_MENU_SHELL
inherit
   GTK_MENU_SHELL_EXTERNALS
   GTK_CONTAINER
      redefine
         make_for_register
      end
creation
   from_external, make_for_register

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_menu_shell_get_type)
      end

feature -- operations

   append (child : GTK_WIDGET) is
      do
         gtk_menu_shell_append  (to_external, child.to_external);
      end
   prepend (child : GTK_WIDGET) is
      do
         gtk_menu_shell_prepend  (to_external, child.to_external);
      end
   insert (child : GTK_WIDGET; position : INTEGER) is
      do
         gtk_menu_shell_insert  (to_external, child.to_external, position);
      end
   deactivate is
      do
         gtk_menu_shell_deactivate  (to_external);
      end
   select_item (menu_item : GTK_WIDGET) is
      do
         gtk_menu_shell_select_item  (to_external, menu_item.to_external);
      end
   activate_item (menu_item : GTK_WIDGET; force_deactivate : BOOLEAN) is
      do
         gtk_menu_shell_activate_item  (to_external, menu_item.to_external, force_deactivate.to_integer);
      end

end -- class GTK_MENU_SHELL
