indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_scale.e,v 1.3 2000/03/16 14:03:55 eugenem Exp $";

class GTK_SCALE
inherit
   GTK_SCALE_EXTERNALS
   GTK_RANGE
      redefine
         make_for_register
      end
creation
   from_external, make_for_register

feature {GTK_OBJECT} -- Creation for register purposes

   make_for_register is
      do
         register_without_external (gtk_scale_get_type)
      end

feature -- operations

   set_digits (digits : INTEGER) is
      do
         gtk_scale_set_digits  (to_external, digits);
      end
   set_draw_value (arg_draw_value : BOOLEAN) is
      do
         gtk_scale_set_draw_value  (to_external, arg_draw_value.to_integer);
      end
   set_value_pos (pos : GTK_POSITION_TYPE) is
      do
         gtk_scale_set_value_pos  (to_external, pos.get_value);
      end
   get_value_width : INTEGER is
      do
         Result:= gtk_scale_get_value_width  (to_external);
      end
   draw_value is
      do
         gtk_scale_draw_value  (to_external);
      end

end -- class GTK_SCALE
