indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_spin_button_np.e,v 1.5 2000/03/16 14:03:55 eugenem Exp $";

class GTK_SPIN_BUTTON_NP
inherit
   GTK_SPIN_BUTTON_EXTERNALS
feature {NONE}
   np_gtk_spin_button_configure (spin_button, adjustment : POINTER; climb_rate : REAL; digits : INTEGER) is
      do
         gtk_spin_button_configure (spin_button, adjustment, climb_rate, digits);
      end
   np_gtk_spin_button_set_value (spin_button : POINTER; value : REAL) is
      do
         gtk_spin_button_set_value  (spin_button, value);
      end
   np_gtk_spin_button_spin (spin_button : POINTER; direction : INTEGER; increment : REAL) is
      do
         gtk_spin_button_spin  (spin_button, direction, increment);
      end
   np_gtk_spin_button_new  (adjustment : POINTER; climb_rate : REAL; digits : INTEGER) : POINTER is
   do
      Result := gtk_spin_button_new  (adjustment ,climb_rate,digits);
   end
   np_gtk_spin_button_get_value_as_float (spin_button : POINTER) : REAL is
      do
         Result:= gtk_spin_button_get_value_as_float(spin_button);
      end
end -- class GTK_SPIN_BUTTON_NP
