indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: g_list_externals.e,v 1.3 2000/03/16 14:03:55 eugenem Exp $";

class G_LIST_EXTERNALS

feature {NONE} -- external C features

   g_list_next_acr (list : POINTER) : POINTER is
      external "C"
      alias "g_list_next_acr"
      end
   g_list_prev_acr (list : POINTER) : POINTER is
      external "C"
      alias "g_list_prev_acr"
      end
   g_list_data_acr (list : POINTER) : POINTER is
      external "C"
      alias "g_list_data_acr"
      end
   g_list_alloc : POINTER is
      external "C"
      alias "g_list_alloc"
      end
   g_list_free (list : POINTER) is
      external "C"
      alias "g_list_free"
      end
   g_list_free_1 (list : POINTER) is
      external "C"
      alias "g_list_free_1"
      end
   g_list_append (list : POINTER; arg_data : POINTER) : POINTER is
      external "C"
      alias "g_list_append"
      end
   g_list_prepend (list : POINTER; arg_data : POINTER) : POINTER is
      external "C"
      alias "g_list_prepend"
      end
   g_list_insert (list : POINTER; arg_data : POINTER; arg_position : INTEGER) : POINTER is
      external "C"
      alias "g_list_insert"
      end
   g_list_concat (list1 : POINTER; list2 : POINTER) : POINTER is
      external "C"
      alias "g_list_concat"
      end
   g_list_remove (list : POINTER; arg_data : POINTER) : POINTER is
      external "C"
      alias "g_list_remove"
      end
   g_list_remove_link (list : POINTER; llink : POINTER) : POINTER is
      external "C"
      alias "g_list_remove_link"
      end
   g_list_reverse (list : POINTER) : POINTER is
      external "C"
      alias "g_list_reverse"
      end
   g_list_copy (list : POINTER) : POINTER is
      external "C"
      alias "g_list_copy"
      end
   g_list_nth (list : POINTER; n : INTEGER) : POINTER is
      external "C"
      alias "g_list_nth"
      end
   g_list_find (list : POINTER; arg_data : POINTER) : POINTER is
      external "C"
      alias "g_list_find"
      end
   g_list_position (list : POINTER; llink : POINTER) : INTEGER is
      external "C"
      alias "g_list_position"
      end
   g_list_index (list : POINTER; arg_data : POINTER) : INTEGER is
      external "C"
      alias "g_list_index"
      end
   g_list_last (list : POINTER) : POINTER is
      external "C"
      alias "g_list_last"
      end
   g_list_first (list : POINTER) : POINTER is
      external "C"
      alias "g_list_first"
      end
   g_list_length (list : POINTER) : INTEGER is
      external "C"
      alias "g_list_length"
      end
   g_list_nth_data (list : POINTER; n : INTEGER) : POINTER is
      external "C"
      alias "g_list_nth_data"
      end

end -- class G_LIST_EXTERNALS
