indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: vegtk_main.e,v 1.7 2000/03/21 20:55:35 eugenem Exp $";

class VEGTK_MAIN
inherit
   VEGTK_INIT_NP

feature
   gtk_init (argc : POINTER; argv : POINTER) is
      external "C"
      alias "ext_gtk_init"
      end
--   gtk_exit (code : INTEGER) is
--      external "C"
--      alias "gtk_exit"
--      end
   gtk_events_pending : BOOLEAN is
      external "C"
      alias "gtk_events_pending"
      end
   gtk_main is
      external "C"
      alias "gtk_main"
      end
   gtk_main_level : INTEGER is
      external "C"
      alias "gtk_main_level"
      end
   gtk_main_quit is
      external "C"
      alias "gtk_main_quit"
      end
   gtk_main_iteration : BOOLEAN is
      external "C"
      alias "gtk_main_iteration"
      end
--   gtk_init_add (function : POINTER; data : POINTER) is
--      external "C"
--      alias "gtk_init_add"
--      end
--   gtk_quit_add_destroy (main_level : INTEGER; object : GTK_OBJECT) is
--      do
--         ext_real_gtk_quit_add_destroy (main_level, object.to_external);
--      end
--   ext_real_gtk_quit_add_destroy (main_level : INTEGER; object : POINTER) is
--      external "C"
--      alias "gtk_quit_add_destroy"
--      end
--   gtk_quit_add (main_level : INTEGER; function : POINTER; data : POINTER) : INTEGER is
--      external "C"
--      alias "gtk_quit_add"
--      end
--   gtk_quit_add_full (main_level : INTEGER; function : POINTER; marshal : POINTER; data : POINTER; destroy : POINTER) : INTEGER is
--      external "C"
--      alias "gtk_quit_add_full"
--      end
--   gtk_quit_remove (quit_handler_id : INTEGER) is
--      external "C"
--      alias "gtk_quit_remove"
--      end
--   gtk_quit_remove_by_data (data : POINTER) is
--      external "C"
--      alias "gtk_quit_remove_by_data"
--      end
   gtk_set_locale : STRING is
      local
         sh : VEGTK_STRING_HELPER
      do
         !!sh
         Result := sh.string_from_external(ext_gtk_set_locale)
      end
   gtk_main_iteration_do (blocking : BOOLEAN) : INTEGER is
      external "C"
      alias "gtk_main_iteration_do"
      end

feature {NONE} -- C externals

   ext_gtk_set_locale : POINTER is
      external "C"
      alias "gtk_set_locale"
      end
end -- class VEGTK_MAIN
