indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_file_selection_np.e,v 1.6 2000/03/16 14:03:56 eugenem Exp $";

class GTK_FILE_SELECTION_NP
inherit
   GTK_FILE_SELECTION_EXTERNALS
feature {NONE} -- non portable calls
   np_gtk_file_selection_new (title : STRING) : POINTER is
   local
      mem : MEMORY
   do
      !!mem
      mem.collection_off;
      Result := gtk_file_selection_new (title.to_external);
      mem.collection_on;
   end
   np_gtk_file_selection_set_filename (filesel : POINTER; filename : STRING) is
   local
      mem : MEMORY
   do
      !!mem
      mem.collection_off;
      gtk_file_selection_set_filename (filesel, filename.to_external);
      mem.collection_on;
   end
end -- class GTK_FILE_SELECTION_NP
