indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_label_np.e,v 1.6 2000/03/16 14:03:56 eugenem Exp $";

class GTK_LABEL_NP
inherit
   GTK_LABEL_EXTERNALS
feature {NONE} -- non portable calls
   np_gtk_label_new (str : STRING) : POINTER is
   local
      mem : MEMORY
   do
      !!mem
      mem.collection_off;
      Result := gtk_label_new (str.to_external);
      mem.collection_on;
   end
   np_gtk_label_set_text (label : POINTER; str : STRING) is
   local
      mem : MEMORY
   do
      !!mem
      mem.collection_off;
      gtk_label_set_text (label, str.to_external);
      mem.collection_on;
   end
   np_gtk_label_set_pattern (label : POINTER; pattern : STRING) is
   local
      mem : MEMORY
   do
      !!mem
      mem.collection_off;
      gtk_label_set_pattern (label, pattern.to_external);
      mem.collection_on;
   end
end -- class GTK_LABEL_NP
