indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_statusbar_np.e,v 1.6 2000/03/16 14:03:56 eugenem Exp $";

class GTK_STATUSBAR_NP
inherit
   GTK_STATUSBAR_EXTERNALS
feature {NONE} -- non portable calls
   np_gtk_statusbar_push (statusbar : POINTER; context_id : INTEGER; text : STRING) : INTEGER is
   local
      mem : MEMORY
   do
      !!mem
      mem.collection_off;
      Result := gtk_statusbar_push (statusbar, context_id, text.to_external)
      mem.collection_on;
   end
   np_gtk_statusbar_get_context_id (statusbar : POINTER; context_description : STRING) : INTEGER is
   local
      mem : MEMORY
   do
      !!mem
      mem.collection_off;
      Result := gtk_statusbar_get_context_id (statusbar, context_description.to_external)
      mem.collection_on;
   end
end -- class GTK_STATUSBAR_NP
