indexing
    title       : "GTK ";
    cluster     : "VEGTK";
    project     : "VEGTK library v 1.2.1 GTK+ 1.2.x";
    copyright   : "Object Tools, 1999-2000";
    key         : "GTK", "GUI";
    cvs         : "$Id: gtk_tooltips_np.e,v 1.6 2000/03/16 14:03:56 eugenem Exp $";

class GTK_TOOLTIPS_NP
inherit
   GTK_TOOLTIPS_EXTERNALS
feature {NONE} -- non portable calls
   np_gtk_tooltips_set_tip (tooltips : POINTER; widget : POINTER; tip_text : STRING; tip_private : STRING) is
   local
      mem : MEMORY
   do
      !!mem
      mem.collection_off;
      if tip_text = Void then
         gtk_tooltips_set_tip (tooltips, widget, tip_text.to_external, default_pointer)
      else
         gtk_tooltips_set_tip (tooltips, widget, tip_text.to_external, tip_private.to_external)
      end
      mem.collection_on;
   end
end -- class GTK_TOOLTIPS_NP
