class VEGTK_EXTERNAL_STRINGS
inherit
   VEGTK_EXTERNAL_ARRAY
   MEMORY
      redefine
         dispose
      end

creation
   make

feature -- Creation

   make (array : ARRAY[STRING]) is
      local
         i, j : INTEGER
         t : ANY
      do
         count := array.count+1
         from_external(c_make_array_of_pointers(array.count+1))
         from
            i := array.lower
         until
            i > array.upper
         loop
            t := array.item(i).to_c
            c_array_put_pointer(to_external, i-array.lower, g_strdup($t))
            i := i+1
         end -- loop
         -- NULL terminate.
         c_array_put_pointer(to_external, i-array.lower, default_pointer)
      end

feature -- memory managment

   dispose is
      do
--         print("disposed%N")
         c_free_pointers(to_external, count)
         from_external(default_pointer)
      end

feature {NONE}

   count : INTEGER

end -- class VEGTK_EXTERNAL_STRINGS
