class VEGTK_EXTERNAL_ARRAY
inherit
   VEGTK_EXTERNAL_OBJECT

feature {VEGTK_EXTERNAL_ARRAY} -- C externals

   c_make_array_of_pointers(n : INTEGER) : POINTER is
      external "C"
      alias "c_make_array_of_pointers"
      end
   c_make_array_of_integers(n : INTEGER) : POINTER is
      external "C"
      alias "c_make_array_of_integers"
      end
   c_array_put_pointer(array : POINTER; i : INTEGER; item : POINTER) is
      external "C"
      alias "c_array_put_pointer"
      end
   c_array_put_integer(array : POINTER; i, item : INTEGER) is
      external "C"
      alias "c_array_put_integer"
      end
   g_strdup(str : POINTER) : POINTER is
      external "C"
      alias "g_strdup"
      end
   g_free(p : POINTER) is
      external "C"
      alias "g_free"
      end
   c_free_pointers(array : POINTER; n : INTEGER) is
      external "C"
      alias "c_free_pointers"
      end

end -- class VEGTK_EXTERNAL_ARRAY
