class VEGTK_EXTERNAL_INTEGERS
inherit
   VEGTK_EXTERNAL_ARRAY
   MEMORY
      redefine
         dispose
      end

creation
   make

feature -- Creation

   make (array : ARRAY[INTEGER]) is
      local
         i, j : INTEGER
      do
         from_external(c_make_array_of_integers(array.count))
         from
            i := array.lower
         until
            i > array.upper
         loop
            c_array_put_integer(to_external, i-array.lower, array.item(i))
            i := i+1
         end -- loop
      end

feature -- memory managment

   dispose is
      do
         g_free(to_external)
         from_external(default_pointer)
      end

end -- class VEGTK_EXTERNAL_INTEGERS
