class VEGTK_EXTERNAL_OBJECTS
inherit
   VEGTK_EXTERNAL_ARRAY
   MEMORY
      redefine
         dispose
      end

creation
   make

feature -- Creation

   make (array : ARRAY[VEGTK_EXTERNAL_OBJECT]) is
      local
         i, j : INTEGER
      do
         from_external(c_make_array_of_pointers(array.count+1))
         from
            i := array.lower
         until
            i > array.upper
         loop
            c_array_put_pointer(to_external, i-array.lower, array.item(i).to_external)
            i := i+1
         end -- loop
         -- NULL terminate.
         c_array_put_pointer(to_external, i-array.lower, default_pointer)
      end

feature -- memory managment

   dispose is
      do
         g_free(to_external)
         from_external(default_pointer)
      end

end -- class VEGTK_EXTERNAL_OBJECTS
