indexing
   description: "Cursors for linked trees";
   title      : "EiffelBase: library of reusable components for Eiffel.      ",
                "Based on EiffelBase library for ISE Eiffel,                 ",
                "used with permission.                                       ";
   cluster    : EiffelBase;
   project    : "EiffelBase Library";
   copyright  : "(c) 1986-1997 Interactive Software Engineering Inc.         ",
                "Modifications and extensions:                               ",
                "(c) 1997 Object Tools                                       ",
                "All rights reserved. Duplication and distribution prohibited",
                "May be used only with Visual Eiffel under terms of user     ",
                "license                                                     ";
   key        : linked_tree_cursor, cursor;
   address    : "mail_to:support@object-tools.com                            ",
                "http://www.object-tools.com                                 ";

class LINKED_TREE_CURSOR [G] inherit

   RECURSIVE_TREE_CURSOR [G]
      export
         {LINKED_CURSOR_TREE} make
      redefine
         active
      end

feature {LINKED_CURSOR_TREE} -- Access

   active: LINKED_TREE [G]
         -- Current node

end -- class LINKED_TREE_CURSOR
