indexing
   description: "Infinite containers";
   title      : "EiffelBase: library of reusable components for Eiffel.      ",
                "Based on EiffelBase library for ISE Eiffel,                 ",
                "used with permission.                                       ";
   cluster    : EiffelBase;
   project    : "EiffelBase Library";
   copyright  : "(c) 1986-1997 Interactive Software Engineering Inc.         ",
                "Modifications and extensions:                               ",
                "(c) 1997 Object Tools                                       ",
                "All rights reserved. Duplication and distribution prohibited",
                "May be used only with Visual Eiffel under terms of user     ",
                "license                                                     ";
   key        : infinite, storage;
   address    : "mail_to:support@object-tools.com                            ",
                "http://www.object-tools.com                                 ";

deferred class INFINITE [G] inherit

        BOX [G]
                end

feature -- Status report

        empty: BOOLEAN is false;
                        -- Is structure empty? (Answer: no.)

        full: BOOLEAN is true;
                        -- The structure is complete

invariant

        never_empty: not empty;
        always_full: full

end -- class INFINITE
