indexing
   description: "Finite structures whose item count is not bounded";
   title      : "EiffelBase: library of reusable components for Eiffel.      ",
                "Based on EiffelBase library for ISE Eiffel,                 ",
                "used with permission.                                       ";
   cluster    : EiffelBase;
   project    : "EiffelBase Library";
   copyright  : "(c) 1986-1997 Interactive Software Engineering Inc.         ",
                "Modifications and extensions:                               ",
                "(c) 1997 Object Tools                                       ",
                "All rights reserved. Duplication and distribution prohibited",
                "May be used only with Visual Eiffel under terms of user     ",
                "license                                                     ";
   key        : unbounded, storage;
   address    : "mail_to:support@object-tools.com                            ",
                "http://www.object-tools.com                                 ";

deferred class UNBOUNDED [G] inherit

   FINITE [G]

feature -- Status report

   --extendible: BOOLEAN is true;
      -- Can new items be added? (Answer: yes)

-- invariant

   -- extendible: extendible

end -- class UNBOUNDED
