indexing
   description: "The objects available from the operating system";
   title      : "EiffelBase: library of reusable components for Eiffel.      ",
                "Based on EiffelBase library for ISE Eiffel,                 ",
                "used with permission.                                       ";
   cluster    : EiffelBase;
   project    : "EiffelBase Library";
   copyright  : "(c) 1986-1997 Interactive Software Engineering Inc.         ",
                "Modifications and extensions:                               ",
                "(c) 1997 Object Tools                                       ",
                "All rights reserved. Duplication and distribution prohibited",
                "May be used only with Visual Eiffel under terms of user     ",
                "license                                                     ";
   address    : "mail_to:support@object-tools.com                            ",
                "http://www.object-tools.com                                 ";

class OPERATING_ENVIRONMENT

feature

   Directory_separator: CHARACTER is '\'
         -- Character used to separate subdirectories in a path name on this platform.

   Current_directory_name_representation: STRING is "."
         -- Representation of the current directory

   home_directory_supported: BOOLEAN is True
         -- Is the notion of home directory supported on this platform?

   root_directory_supported: BOOLEAN is True
         -- Is the notion of root directory supported on this platform?

   case_sensitive_path_names: BOOLEAN is False
         -- Are path names case sensitive?

end -- class OPERATING_ENVIRONMENT
