indexing

   title:       "Access to JNI";
   cluster:     "jni_support";
   project:     "Java Native Interface Support Library";
   date:        "$Date: 2005/02/01 10:20:42 $";
   revision:    "$Revision: 1.1 $";
   copyright:   "Copyright (C) 1996-2005 Object Tools Group";
   license:     "http://visual-eiffel.com/license";
   disclaimer:  "[
      This program is free software; you can redistribute it and/or modify it 
      under the terms of the GNU General Public License as published by the 
      Free Software Foundation; either version 2 of the License, or (at your 
      option) any later version. This program is distributed in the hope that 
      it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
      See the GNU General Public License for more details. 
      You should have received a copy of the GNU General Public License along 
      with this program; if not, write to the Free Software Foundation, Inc., 
      59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
   ]";
   restrictions: "[
      if you want to use this program under a different license type, contact 
      Object Tools http://www.object-tools.com
   ]";

class JNI_OBJECT

inherit

   JNI_SERVER
      end

creation -- Objects of this class are never created

feature -- Access

   this: JNI_jobject
         -- Reflects Java object

feature -- Creation

   make_from_java_object (object: JNI_jobject) is
      require
         non_void_object: object /= Void
      do
         this := object
      ensure
         this_set_properly: this = object
      end

invariant

   non_void_this: this /= Void

end