/*
   cluster:     "velibc";
   project:     "Visual Eiffel libc Library";
   date:        "$Date: 2005/02/01 10:20:43 $";
   revision:    "$Revision: 1.1 $";
   copyright:   "Copyright (C) 1996-2005 Object Tools Group";
   license:     "http://visual-eiffel.com/license";
   disclaimer:  "[
      This program is free software; you can redistribute it and/or modify it 
      under the terms of the GNU General Public License as published by the 
      Free Software Foundation; either version 2 of the License, or (at your 
      option) any later version. This program is distributed in the hope that 
      it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
      See the GNU General Public License for more details. 
      You should have received a copy of the GNU General Public License along 
      with this program; if not, write to the Free Software Foundation, Inc., 
      59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
   ]";
   restrictions: "[
      if you want to use this program under a different license type, contact 
      Object Tools http://www.object-tools.com
   ]";

*/

#include <sys/stat.h>

int VELIBC_mkdir(char* pathname,int mode)
{
  return mkdir(pathname,mode);
}

int VELIBC_chmod(char *pathname,int mode)
{
  return chmod(pathname,mode);
}

int VELIBC_stat (char *pathname,void *result_struct)
{
  return stat(pathname,result_struct);
}

int VELIBC_lstat (char *pathname,void *result_struct)
{
  return lstat(pathname,result_struct);
}

int VELIBC_fstat (int fd,void *result_struct)
{
  return fstat(fd,result_struct);
}

int VELIBC_umask(int new_mask)
{
  return umask(new_mask);
}
