indexing

   cluster:     "velibc";
   project:     "Visual Eiffel libc Library";
   date:        "$Date: 2005/02/15 16:22:09 $";
   revision:    "$Revision: 1.2 $";
   copyright:   "Copyright (C) 1996-2005 Object Tools Group";
   license:     "http://visual-eiffel.com/license";
   disclaimer:  "[
      This program is free software; you can redistribute it and/or modify it 
      under the terms of the GNU General Public License as published by the 
      Free Software Foundation; either version 2 of the License, or (at your 
      option) any later version. This program is distributed in the hope that 
      it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
      See the GNU General Public License for more details. 
      You should have received a copy of the GNU General Public License along 
      with this program; if not, write to the Free Software Foundation, Inc., 
      59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
   ]";
   restrictions: "[
      if you want to use this program under a different license type, contact 
      Object Tools http://www.object-tools.com
   ]";

class VELIBC_FCNTL_CONSTANTS

feature

   O_RDONLY: BIT 32 is
      once 
         result := ext_O_RDONLY;
      end

   O_WRONLY: BIT 32 is
      once 
         result := ext_O_WRONLY
      end

   O_RDWR: BIT 32 is
      once 
         result := ext_O_RDWR;
      end

   O_CREAT: BIT 32 is
      once 
         result := ext_O_CREAT;
      end

   O_EXCL: BIT 32 is
      once 
         result := ext_O_EXCL;
      end

   O_NOCTTY: BIT 32 is
      once 
         result := ext_O_NOCTTY;
      end

   O_TRUNC: BIT 32 is
      once 
         result := ext_O_TRUNC
      end

   O_APPEND: BIT 32 is
      once 
         result := ext_O_APPEND;
      end

   O_NONBLOC: BIT 32 is
      once 
         result := ext_O_NONBLOCK;
      end

   O_SYNC: BIT 32 is
      once 
         result := ext_O_SYNC;
      end

feature {NONE}

   ext_O_RDONLY: BIT 32 is
      external "C"
      alias "VELIBC_O_RDONLY"
      end

   ext_O_WRONLY: BIT 32 is
      external "C"
      alias "VELIBC_O_WRONLY"
      end

   ext_O_RDWR: BIT 32 is
      external "C"
      alias "VELIBC_O_RDWR"
      end

   ext_O_CREAT: BIT 32 is
      external "C"
      alias "VELIBC_O_CREAT"
      end

   ext_O_EXCL: BIT 32 is
      external "C"
      alias "VELIBC_O_EXCL"
      end

   ext_O_NOCTTY: BIT 32 is
      external "C"
      alias "VELIBC_O_NOCTTY"
      end

   ext_O_TRUNC: BIT 32 is
      external "C"
      alias "VELIBC_O_TRUNC"
      end

   ext_O_APPEND: BIT 32 is
      external "C"
      alias "VELIBC_O_APPEND"
      end

   ext_O_NONBLOCK: BIT 32 is
      external "C"
      alias "VELIBC_O_NONBLOCK"
      end

   ext_O_SYNC: BIT 32 is
      external "C"
      alias "VELIBC_O_SYNC"
      end
end
